#ifndef CYGONCE_LIBM_COSH_H
#define CYGONCE_LIBM_COSH_H
//===========================================================================
//
//      cosh.h
//
//      Test vectors for testing of cosh() math library function
//
//===========================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//===========================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):   jlarmour
// Contributors:  jlarmour
// Date:        1998-02-13
// Purpose:     
// Description: 
// Usage:       #include "vectors/cosh.h"
//
//####DESCRIPTIONEND####
//
//===========================================================================


// CONFIGURATION

#include <pkgconf/libm.h>   // Configuration header


// INCLUDES

#include <cyg/infra/cyg_type.h>    // Common type definitions and support
#include "vectors/vector_support.h"// extra support for math tests

#define COSH_TOLERANCE 1.0E-04

static const Cyg_libm_test_double_vec_t cosh_vec[] = {

// AUTOMATICALLY GENERATED VECTORS START

{ 1, 1074853420u, 2506787616u, 1090024059u, 3619148316u, 1078025426u, 969469392u, 0, COSH_TOLERANCE, 0},
{ 2, 3220250806u, 3176730980u, 1051524793u, 2993920299u, 1073353662u, 1862384311u, 0, COSH_TOLERANCE, 0},
{ 3, 3226028315u, 2725707538u, 3232101343u, 2346810316u, 1148131614u, 3406370818u, 0, COSH_TOLERANCE, 0},
{ 4, 1078922874u, 2088062470u, 3201242716u, 420891118u, 1165520069u, 2120331304u, 0, COSH_TOLERANCE, 0},
{ 5, 3221200677u, 2636405208u, 1100049309u, 471635570u, 1074621306u, 1840668058u, 0, COSH_TOLERANCE, 0},
{ 6, 1077828855u, 1746012320u, 1054478713u, 3333988501u, 1117516582u, 699114409u, 0, COSH_TOLERANCE, 0},
{ 7, 1066827528u, 183014794u, 3202039382u, 2016785810u, 1072693501u, 214984896u, 0, COSH_TOLERANCE, 0},
{ 8, 3219777490u, 2688957927u, 1046089230u, 2709029994u, 1073056030u, 1838945346u, 0, COSH_TOLERANCE, 0},
{ 9, 1070330066u, 624574473u, 1045840574u, 3473266330u, 1072718329u, 916151728u, 0, COSH_TOLERANCE, 0},
{ 10, 3217502754u, 1605286142u, 1068931671u, 4233776869u, 1072710512u, 2874087843u, 0, COSH_TOLERANCE, 0},
{ 11, 1069780594u, 1857607719u, 3222889559u, 3417070006u, 1072705510u, 1532142699u, 0, COSH_TOLERANCE, 0},
{ 12, 1081579891u, 3981151660u, 1088899021u, 1332651746u, 1642782946u, 1345086100u, 0, COSH_TOLERANCE, 0},
{ 13, 1075860838u, 3824988054u, 1066856791u, 2070129652u, 1083933725u, 2536695545u, 0, COSH_TOLERANCE, 0},
{ 14, 3218045550u, 1372884064u, 1080833116u, 3229926662u, 1072725116u, 1230358004u, 0, COSH_TOLERANCE, 0},
{ 15, 1078097861u, 3217805330u, 3191644264u, 2014578707u, 1127449977u, 1807458751u, 0, COSH_TOLERANCE, 0},
{ 16, 1080267391u, 265058758u, 3239903247u, 1630600647u, 1308474718u, 1523986687u, 0, COSH_TOLERANCE, 0},
{ 17, 1073221381u, 1946677669u, 3198462609u, 926009897u, 1073930690u, 1965098529u, 0, COSH_TOLERANCE, 0},
{ 18, 1073178875u, 2271884183u, 3203741999u, 2118617783u, 1073886257u, 3027131755u, 0, COSH_TOLERANCE, 0},
{ 19, 3214772053u, 213658772u, 3249401130u, 314151656u, 1072693684u, 2346214u, 0, COSH_TOLERANCE, 0},
{ 20, 3228946464u, 1564829925u, 3197817016u, 497230814u, 1599525087u, 3665494831u, 0, COSH_TOLERANCE, 0},
{ 21, 3219408362u, 2075329122u, 3231746400u, 169900577u, 1072910812u, 2781323759u, 0, COSH_TOLERANCE, 0},
{ 22, 1067674434u, 541549344u, 1096608669u, 3119070100u, 1072694002u, 1218945670u, 0, COSH_TOLERANCE, 0},
{ 23, 1075989871u, 567496114u, 1045286891u, 1969998540u, 1085434125u, 3238675061u, 0, COSH_TOLERANCE, 0},
{ 24, 1069985379u, 1299369769u, 1049342524u, 4167404066u, 1072709753u, 436121612u, 0, COSH_TOLERANCE, 0},
{ 25, 3218302829u, 3348930841u, 1078472138u, 358457347u, 1072741812u, 1512364096u, 0, COSH_TOLERANCE, 0},
{ 26, 1073166449u, 2192461366u, 1099527247u, 3184735642u, 1073873641u, 4040593230u, 0, COSH_TOLERANCE, 0},
{ 27, 1068590412u, 331696577u, 3189610016u, 793242270u, 1072695669u, 3489656380u, 0, COSH_TOLERANCE, 0},
{ 28, 3229460262u, 2322696981u, 1083791358u, 3020766674u, 1789286809u, 4287903039u, 0, COSH_TOLERANCE, 0},
{ 29, 1066922273u, 252085215u, 3214426435u, 4139068910u, 1072693534u, 2665457975u, 0, COSH_TOLERANCE, 0},
{ 30, 3221457149u, 105589263u, 1056316170u, 261630827u, 1075259864u, 1375611334u, 0, COSH_TOLERANCE, 0},
{ 31, 1082047584u, 428765703u, 3251828686u, 2009972239u, 1815498097u, 3462966019u, 0, COSH_TOLERANCE, 0},
{ 32, 1079693651u, 3517376586u, 3240257920u, 3304487302u, 1233851281u, 1250614638u, 0, COSH_TOLERANCE, 0},
{ 33, 3224100728u, 237004814u, 3237899261u, 3364008659u, 1092696187u, 168267900u, 0, COSH_TOLERANCE, 0},
{ 34, 3214121920u, 472004928u, 3226869477u, 1186387580u, 1072693440u, 1076112274u, 0, COSH_TOLERANCE, 0},
{ 35, 1068906914u, 4085763910u, 1106394906u, 2684738273u, 1072697202u, 594398828u, 0, COSH_TOLERANCE, 0},
{ 36, 1069636551u, 2055490142u, 3231581370u, 3879040079u, 1072702904u, 4128087196u, 0, COSH_TOLERANCE, 0},
{ 37, 3213093895u, 3725731239u, 1061652681u, 591292963u, 1072693297u, 2624770646u, 0, COSH_TOLERANCE, 0},
{ 38, 3221869253u, 1147041027u, 3215417793u, 624695933u, 1076446275u, 1285958834u, 0, COSH_TOLERANCE, 0},
{ 39, 3217587110u, 705725219u, 3238067573u, 1116238321u, 1072712487u, 3913803238u, 0, COSH_TOLERANCE, 0},
{ 40, 3217852848u, 7287411u, 1045917232u, 116067742u, 1072719417u, 863220422u, 0, COSH_TOLERANCE, 0},
{ 41, 3226423734u, 3604989074u, 1066381836u, 545298780u, 1166321280u, 3198996771u, 0, COSH_TOLERANCE, 0},
{ 42, 3221178088u, 1681476121u, 1060345752u, 3553822398u, 1074581780u, 785211380u, 0, COSH_TOLERANCE, 0},
{ 43, 1080811562u, 3410480388u, 1052460275u, 1660607230u, 1408926430u, 2715754844u, 0, COSH_TOLERANCE, 0},
{ 44, 1077682533u, 1494984673u, 3196647153u, 287894723u, 1114110585u, 2741076212u, 0, COSH_TOLERANCE, 0},
{ 45, 1068516615u, 644548665u, 1081948134u, 2442134629u, 1072695366u, 1384821396u, 0, COSH_TOLERANCE, 0},
{ 46, 1077068335u, 2312530895u, 3221584595u, 3379665576u, 1100002913u, 3357999194u, 0, COSH_TOLERANCE, 0},
{ 47, 1079308159u, 3018463866u, 1086226574u, 404012923u, 1198269222u, 2905917257u, 0, COSH_TOLERANCE, 0},
{ 48, 1071024755u, 1710279345u, 3251401196u, 3528946000u, 1072758958u, 1795613829u, 0, COSH_TOLERANCE, 0},
{ 49, 1070973535u, 2164450219u, 1083520023u, 3312018966u, 1072754437u, 2812445457u, 0, COSH_TOLERANCE, 0},
{ 50, 1069831588u, 2648986431u, 1050330591u, 1474376550u, 1072706507u, 2784383684u, 0, COSH_TOLERANCE, 0},
{ 51, 3214344972u, 1839068700u, 1077406406u, 3013052171u, 1072693512u, 3372008771u, 0, COSH_TOLERANCE, 0},
{ 52, 1066416574u, 772102380u, 3220729740u, 4219039958u, 1072693379u, 2736422544u, 0, COSH_TOLERANCE, 0},
{ 53, 3223180765u, 3058618779u, 1046304788u, 3338676024u, 1082858658u, 288113767u, 0, COSH_TOLERANCE, 0},
{ 54, 1067949353u, 506286854u, 1094907481u, 2217000199u, 1072694363u, 1851415872u, 0, COSH_TOLERANCE, 0},
{ 55, 1076136854u, 1147428263u, 1065432625u, 3034786717u, 1087127673u, 1640783217u, 0, COSH_TOLERANCE, 0},
{ 56, 1075725296u, 2844125311u, 1082985198u, 2561492677u, 1083060297u, 812604215u, 0, COSH_TOLERANCE, 0},
{ 57, 3218876948u, 704542600u, 3222902057u, 2762779203u, 1072796430u, 3706016226u, 0, COSH_TOLERANCE, 0},
{ 58, 3215409254u, 184131949u, 3249723525u, 1667366082u, 1072694329u, 1957018312u, 0, COSH_TOLERANCE, 0},
{ 59, 3221512446u, 3904224140u, 1067056698u, 2942159914u, 1075426314u, 1203848820u, 0, COSH_TOLERANCE, 0},
{ 60, 1080713919u, 426114282u, 3209056785u, 1083606355u, 1390879870u, 3657642479u, 0, COSH_TOLERANCE, 0},
{ 61, 1082048697u, 3774123863u, 1106787580u, 2722107965u, 1815954824u, 2241806278u, 0, COSH_TOLERANCE, 0},
{ 62, 1077519332u, 1377734762u, 1104232051u, 2377063483u, 1110428932u, 844049504u, 0, COSH_TOLERANCE, 0},
{ 63, 1072526287u, 1029739074u, 1105467109u, 3062201018u, 1073169629u, 3757788751u, 0, COSH_TOLERANCE, 0},
{ 64, 3225304413u, 773857656u, 3214251949u, 335833884u, 1117303861u, 3714139170u, 0, COSH_TOLERANCE, 0},
{ 65, 3216856098u, 1473865960u, 1103073830u, 4000427507u, 1072700136u, 3810050038u, 0, COSH_TOLERANCE, 0},
{ 66, 1081165135u, 4242092620u, 1067009473u, 14539161u, 1489589453u, 1225921132u, 0, COSH_TOLERANCE, 0},
{ 67, 3214536170u, 1732245037u, 1101371955u, 1533536108u, 1072693584u, 789262791u, 0, COSH_TOLERANCE, 0},
{ 68, 3228182475u, 1833841275u, 1099430098u, 4144145552u, 1388140140u, 2429748539u, 0, COSH_TOLERANCE, 0},
{ 69, 3227493247u, 935007012u, 3188865420u, 604442938u, 1263004120u, 3099153891u, 0, COSH_TOLERANCE, 0},
{ 70, 3217389013u, 2211464602u, 1046255144u, 1635910526u, 1072708019u, 4133545447u, 0, COSH_TOLERANCE, 0},
{ 71, 1074725689u, 2549219008u, 3231633258u, 3733639385u, 1077420993u, 3573315642u, 0, COSH_TOLERANCE, 0},
{ 72, 1075803633u, 1819374372u, 3202219056u, 2617077637u, 1083464179u, 4070461796u, 0, COSH_TOLERANCE, 0},
{ 73, 1078616640u, 546465680u, 1048653554u, 532401530u, 1151433358u, 1660202510u, 0, COSH_TOLERANCE, 0},
{ 74, 1066591187u, 2759019783u, 3221570188u, 3554409630u, 1072693426u, 1804445835u, 0, COSH_TOLERANCE, 0},
{ 75, 3219222738u, 2527221960u, 1099107978u, 2696971136u, 1072852880u, 4070723488u, 0, COSH_TOLERANCE, 0},
{ 76, 1079332208u, 173134582u, 1087299442u, 2877794600u, 1200522954u, 2450291402u, 0, COSH_TOLERANCE, 0},
{ 77, 1076963290u, 547642046u, 3197285510u, 3521286127u, 1097525900u, 1604458500u, 0, COSH_TOLERANCE, 0},
{ 78, 1073812126u, 1231582831u, 1090971734u, 1653446832u, 1074864811u, 1996198827u, 0, COSH_TOLERANCE, 0},
{ 79, 1070779719u, 3762182190u, 3252967851u, 2615360375u, 1072738823u, 3172325200u, 0, COSH_TOLERANCE, 0},
{ 80, 3216563063u, 2588067350u, 3206610957u, 3551059728u, 1072698194u, 4146036215u, 0, COSH_TOLERANCE, 0},
{ 81, 3217464616u, 845263327u, 1073415902u, 1749010288u, 1072709655u, 139198688u, 0, COSH_TOLERANCE, 0},
{ 82, 3217110706u, 3092685191u, 3190678390u, 2872219490u, 1072702744u, 974344816u, 0, COSH_TOLERANCE, 0},
{ 83, 3220412207u, 4107255722u, 3205337291u, 3069068345u, 1073582488u, 3601775790u, 0, COSH_TOLERANCE, 0},
{ 84, 3227213641u, 2294867524u, 3216653996u, 2860384670u, 1237260976u, 1311152806u, 0, COSH_TOLERANCE, 0},
{ 85, 3214297870u, 2265437201u, 3240198679u, 1234948614u, 1072693496u, 2160301788u, 0, COSH_TOLERANCE, 0},
{ 86, 3219505657u, 1186945904u, 3251167793u, 1896750851u, 1072945110u, 2441861331u, 0, COSH_TOLERANCE, 0},
{ 87, 1075284022u, 3686084548u, 1079286273u, 3309277689u, 1080454737u, 1834280803u, 0, COSH_TOLERANCE, 0},
{ 88, 3221379088u, 3006860614u, 3231412671u, 2504194724u, 1075053274u, 3685158235u, 0, COSH_TOLERANCE, 0},
{ 89, 3224614924u, 1948717780u, 1048317852u, 3791803982u, 1101387050u, 776596525u, 0, COSH_TOLERANCE, 0},
{ 90, 1070636471u, 4272034420u, 3192982124u, 1526175922u, 1072728787u, 177521945u, 0, COSH_TOLERANCE, 0},
{ 91, 3226943458u, 4108948538u, 1104691287u, 640541190u, 1212283421u, 2139002760u, 0, COSH_TOLERANCE, 0},
{ 92, 3217743177u, 3259274853u, 1082507103u, 3677038020u, 1072716427u, 776404209u, 0, COSH_TOLERANCE, 0},
{ 93, 1076841042u, 3781708548u, 1096584871u, 1207386447u, 1095222699u, 77431u, 0, COSH_TOLERANCE, 0},
{ 94, 3213861096u, 3011191657u, 1103798670u, 1096124830u, 1072693373u, 206751463u, 0, COSH_TOLERANCE, 0},
{ 95, 1071623631u, 2540404725u, 3240157452u, 4122845725u, 1072824347u, 1612247748u, 0, COSH_TOLERANCE, 0},
{ 96, 1076303678u, 311336721u, 3214382367u, 4212533768u, 1089026116u, 2664579205u, 0, COSH_TOLERANCE, 0},
{ 97, 1067916643u, 1769686293u, 3240200923u, 3538602249u, 1072694316u, 3304105254u, 0, COSH_TOLERANCE, 0},
{ 98, 1075081821u, 508056696u, 1103793878u, 776520138u, 1079295635u, 1807521048u, 0, COSH_TOLERANCE, 0},
{ 99, 1080890481u, 4064962760u, 1077424413u, 819766631u, 1423488425u, 3317334315u, 0, COSH_TOLERANCE, 0},
{ 100, 1074178362u, 2112385259u, 3227593179u, 1187058516u, 1075907720u, 3448229353u, 0, COSH_TOLERANCE, 0},
{ 101, 1076003603u, 2514398118u, 1076579751u, 870169764u, 1085567394u, 4040666214u, 0, COSH_TOLERANCE, 0},
{ 102, 3227977024u, 1190259653u, 1069112254u, 3417249840u, 1350163471u, 1074619959u, 0, COSH_TOLERANCE, 0},
{ 103, 3214634603u, 3467757357u, 3215075200u, 2168175352u, 1072693624u, 1123141988u, 0, COSH_TOLERANCE, 0},
{ 104, 3226011647u, 1508888184u, 1060430241u, 3524949092u, 1147319027u, 4152444040u, 0, COSH_TOLERANCE, 0},
{ 105, 3215238675u, 166402802u, 3237198975u, 3572369260u, 1072694100u, 3674442469u, 0, COSH_TOLERANCE, 0},
{ 106, 1075575366u, 2441536203u, 3202753937u, 3658194573u, 1082198549u, 1303886570u, 0, COSH_TOLERANCE, 0},
{ 107, 1070781516u, 2479742828u, 1062342831u, 4214154303u, 1072738957u, 3022776512u, 0, COSH_TOLERANCE, 0},
{ 108, 1076105338u, 426896765u, 1066474375u, 2201754442u, 1086731957u, 3468972475u, 0, COSH_TOLERANCE, 0},
{ 109, 3214503389u, 2055773734u, 3239267288u, 291396537u, 1072693571u, 1450513960u, 0, COSH_TOLERANCE, 0},
{ 110, 3224385121u, 874125203u, 3210508124u, 4091098764u, 1096086990u, 529374978u, 0, COSH_TOLERANCE, 0},
{ 111, 1072007482u, 120488169u, 3241241441u, 1985269424u, 1072939813u, 2389502735u, 0, COSH_TOLERANCE, 0},
{ 112, 3218073746u, 2243036871u, 3243941101u, 740033495u, 1072725997u, 3948893692u, 0, COSH_TOLERANCE, 0},
{ 113, 3218862090u, 1176656356u, 1074261978u, 3588756231u, 1072794750u, 819787567u, 0, COSH_TOLERANCE, 0},
{ 114, 3228699543u, 3037249392u, 1061635587u, 1173102190u, 1508329855u, 1211293113u, 0, COSH_TOLERANCE, 0},
{ 115, 3224626669u, 2882725208u, 1071440059u, 69225090u, 1101667894u, 2351994968u, 0, COSH_TOLERANCE, 0},
{ 116, 3218954930u, 272319256u, 1072073912u, 2493997123u, 1072805489u, 1686170561u, 0, COSH_TOLERANCE, 0},
{ 117, 1070303098u, 188610379u, 3232757923u, 2209647371u, 1072717593u, 236808659u, 0, COSH_TOLERANCE, 0},
{ 118, 3225224181u, 1990439193u, 1078073146u, 622849962u, 1115491532u, 3932839728u, 0, COSH_TOLERANCE, 0},
{ 119, 1069718653u, 756052458u, 1081649113u, 2247475162u, 1072704351u, 3003850457u, 0, COSH_TOLERANCE, 0},
{ 120, 1071060248u, 3878055211u, 3222407050u, 2979438623u, 1072762188u, 2461618929u, 0, COSH_TOLERANCE, 0},
{ 121, 3214165365u, 2676398686u, 1105124431u, 3631096636u, 1072693453u, 2018804946u, 0, COSH_TOLERANCE, 0},
{ 122, 1071370846u, 1697791764u, 3198136112u, 2299842819u, 1072793896u, 2354734361u, 0, COSH_TOLERANCE, 0},
{ 123, 1074939040u, 1931502677u, 3215264397u, 3016456382u, 1078464791u, 2439295006u, 0, COSH_TOLERANCE, 0},
{ 124, 1073302002u, 343404215u, 1061072607u, 4266232536u, 1074020614u, 4198175003u, 0, COSH_TOLERANCE, 0},
{ 125, 3225502196u, 4140316002u, 1082896196u, 868256971u, 1123795724u, 3427688141u, 0, COSH_TOLERANCE, 0},
{ 126, 1074374234u, 1864139509u, 3187675097u, 3084482407u, 1076410861u, 3327335940u, 0, COSH_TOLERANCE, 0},
{ 127, 3220191323u, 2427162817u, 3234748208u, 2715105792u, 1073279818u, 1325802416u, 0, COSH_TOLERANCE, 0},
{ 128, 1070891968u, 3943389284u, 1046724025u, 3626825684u, 1072747579u, 3427003319u, 0, COSH_TOLERANCE, 0},
{ 129, 1067443098u, 967350972u, 1093012318u, 448002663u, 1072693756u, 2136965429u, 0, COSH_TOLERANCE, 0},
{ 130, 3228777187u, 105058217u, 1069733884u, 171786224u, 1537057146u, 2944133190u, 0, COSH_TOLERANCE, 0},
{ 131, 3213731756u, 2863482262u, 3204997271u, 877784425u, 1072693357u, 3990621442u, 0, COSH_TOLERANCE, 0},
{ 132, 3216260801u, 2801782962u, 3213604117u, 762347195u, 1072696528u, 2729731056u, 0, COSH_TOLERANCE, 0},
{ 133, 3224049543u, 2317950339u, 3246333414u, 2135700283u, 1092046479u, 699547095u, 0, COSH_TOLERANCE, 0},
{ 134, 1069099309u, 4171919805u, 1082858682u, 2180920863u, 1072698316u, 2698555179u, 0, COSH_TOLERANCE, 0},
{ 135, 3221197660u, 1918836931u, 1083603224u, 3137821660u, 1074615975u, 2866178825u, 0, COSH_TOLERANCE, 0},
{ 136, 1081882778u, 3456203663u, 3235600523u, 2335688936u, 1754633057u, 4057860990u, 0, COSH_TOLERANCE, 0},
{ 137, 1066396570u, 4170235262u, 1051824459u, 521583737u, 1072693375u, 1572125749u, 0, COSH_TOLERANCE, 0},
{ 138, 1075056847u, 1296623194u, 3250673860u, 2442872540u, 1079172105u, 4063375717u, 0, COSH_TOLERANCE, 0},
{ 139, 1071121461u, 289979405u, 1049514449u, 3865737145u, 1072767947u, 1956781744u, 0, COSH_TOLERANCE, 0},
{ 140, 1074250368u, 3699090239u, 1054539840u, 3259249360u, 1076071149u, 1820335208u, 0, COSH_TOLERANCE, 0},
{ 141, 1079640884u, 1619819023u, 1045993352u, 1022642459u, 1229016129u, 1444182022u, 0, COSH_TOLERANCE, 0},
{ 142, 1075141548u, 19455098u, 3229182089u, 2096003654u, 1079643489u, 1763506935u, 0, COSH_TOLERANCE, 0},
{ 143, 1074200784u, 3803689997u, 1071630912u, 2263729518u, 1075956212u, 541371697u, 0, COSH_TOLERANCE, 0},
{ 144, 1080385741u, 2816837387u, 1063422305u, 2597606398u, 1330293545u, 1095829056u, 0, COSH_TOLERANCE, 0},
{ 145, 1072245897u, 3680967506u, 1040201163u, 179224723u, 1073034800u, 1106942961u, 0, COSH_TOLERANCE, 0},
{ 146, 3213795591u, 978126928u, 1101553990u, 4047893399u, 1072693365u, 1156495186u, 0, COSH_TOLERANCE, 0},
{ 147, 3221273469u, 4059818629u, 1042678728u, 3640293589u, 1074819359u, 1680813367u, 0, COSH_TOLERANCE, 0},
{ 148, 3228541096u, 3383497159u, 1070002807u, 1527313008u, 1454398110u, 4173296238u, 0, COSH_TOLERANCE, 0},
{ 149, 3216339167u, 2599946514u, 1104170406u, 2738675352u, 1072696927u, 3659150073u, 0, COSH_TOLERANCE, 0},
{ 150, 1081115375u, 3616571377u, 1060859316u, 1130603218u, 1471256027u, 3187069287u, 0, COSH_TOLERANCE, 0},
{ 151, 1073931644u, 3859211180u, 1067940450u, 1744531824u, 1075145206u, 3259882951u, 0, COSH_TOLERANCE, 0},
{ 152, 1065900012u, 1958025850u, 3236511256u, 2472176453u, 1072693322u, 327825150u, 0, COSH_TOLERANCE, 0},
{ 153, 3223669905u, 182132862u, 3250520938u, 3924356991u, 1087674283u, 2611530335u, 0, COSH_TOLERANCE, 0},
{ 154, 3224210428u, 35632886u, 3209806504u, 1453402523u, 1093919296u, 1099362036u, 0, COSH_TOLERANCE, 0},
{ 155, 1076182070u, 743225214u, 3202890678u, 142917400u, 1087631855u, 3785393671u, 0, COSH_TOLERANCE, 0},
{ 156, 1075442096u, 1472665012u, 3203138231u, 256588219u, 1081376587u, 3032890454u, 0, COSH_TOLERANCE, 0},
{ 157, 1079253522u, 1062927000u, 1061134072u, 931677439u, 1193281892u, 3538812810u, 0, COSH_TOLERANCE, 0},
{ 158, 1069912068u, 2320910576u, 1055663370u, 288059864u, 1072708161u, 1882746750u, 0, COSH_TOLERANCE, 0},
{ 159, 1075812365u, 1448349062u, 3199478070u, 3454027134u, 1083509354u, 3244981512u, 0, COSH_TOLERANCE, 0},
{ 160, 3224875886u, 4215445172u, 3196654963u, 2231888973u, 1107446504u, 159529183u, 0, COSH_TOLERANCE, 0},
{ 161, 3227757863u, 40413554u, 3232578253u, 983832844u, 1309743639u, 1304081657u, 0, COSH_TOLERANCE, 0},
{ 162, 3221624382u, 3995725873u, 1050082319u, 777231627u, 1075822815u, 4273229959u, 0, COSH_TOLERANCE, 0},
{ 163, 1066152450u, 672789828u, 3253385962u, 2982787335u, 1072693347u, 1605275833u, 0, COSH_TOLERANCE, 0},
{ 164, 1072585179u, 2075971825u, 1070166500u, 4034633931u, 1073201328u, 3750652822u, 0, COSH_TOLERANCE, 0},
{ 165, 3218434785u, 1018222907u, 3244621407u, 3090050495u, 1072752512u, 3396710540u, 0, COSH_TOLERANCE, 0},
{ 166, 1071875189u, 937732557u, 3200798890u, 2557898276u, 1072894405u, 2050433952u, 0, COSH_TOLERANCE, 0},
{ 167, 1075196588u, 130346162u, 3223590310u, 275568693u, 1080037821u, 3469976951u, 0, COSH_TOLERANCE, 0},
{ 168, 1065967541u, 3807416441u, 1075961161u, 3706820266u, 1072693328u, 2062373411u, 0, COSH_TOLERANCE, 0},
{ 169, 3219244733u, 1710131411u, 1078123323u, 1900790503u, 1072859242u, 2262607443u, 0, COSH_TOLERANCE, 0},
{ 170, 3226236449u, 3420420033u, 3210844787u, 588423066u, 1157720745u, 774296256u, 0, COSH_TOLERANCE, 0},
{ 171, 1067509906u, 1160162008u, 3246307879u, 4265764460u, 1072693819u, 3631349776u, 0, COSH_TOLERANCE, 0},
{ 172, 1080523338u, 366653268u, 3188814424u, 466059202u, 1355764484u, 760636581u, 0, COSH_TOLERANCE, 0},
{ 173, 3222433435u, 1325936170u, 3221436876u, 680097612u, 1078530781u, 3669498780u, 0, COSH_TOLERANCE, 0},
{ 174, 3225711052u, 1827735934u, 3200554324u, 2875599271u, 1133496792u, 2135776268u, 0, COSH_TOLERANCE, 0},
{ 175, 3213050498u, 3117037091u, 3239246636u, 15838845u, 1072693294u, 1579961608u, 0, COSH_TOLERANCE, 0},
{ 176, 1067702644u, 749718883u, 3223587064u, 1523766569u, 1072694036u, 422449494u, 0, COSH_TOLERANCE, 0},
{ 177, 1066853747u, 1966536294u, 3250158026u, 699164258u, 1072693510u, 562801207u, 0, COSH_TOLERANCE, 0},
{ 178, 1079174067u, 3759049394u, 1106085272u, 1183789499u, 1185944512u, 3807740687u, 0, COSH_TOLERANCE, 0},
{ 179, 1074910167u, 1970107747u, 1095245453u, 2308233883u, 1078300334u, 1661985235u, 0, COSH_TOLERANCE, 0},
{ 180, 1076367836u, 1491017852u, 1041444355u, 1723375725u, 1089770148u, 2037745521u, 0, COSH_TOLERANCE, 0},
{ 181, 3219775798u, 1141349287u, 1097465301u, 3403438584u, 1073055268u, 2358787186u, 0, COSH_TOLERANCE, 0},
{ 182, 3224280452u, 1711085243u, 3250239076u, 1377484108u, 1094776418u, 2040663178u, 0, COSH_TOLERANCE, 0},
{ 183, 1079510651u, 2880275004u, 1084039594u, 1611394950u, 1216939131u, 2867297031u, 0, COSH_TOLERANCE, 0},
{ 184, 3224784251u, 2626629370u, 1063771493u, 1499080813u, 1105335110u, 3654476853u, 0, COSH_TOLERANCE, 0},
{ 185, 1068862751u, 3936262414u, 1103919063u, 3175668759u, 1072696965u, 3660378434u, 0, COSH_TOLERANCE, 0},
{ 186, 3217418903u, 1270950554u, 3194616071u, 3680565379u, 1072708656u, 267045490u, 0, COSH_TOLERANCE, 0},
{ 187, 3217585407u, 1066985223u, 3221613219u, 4089383168u, 1072712446u, 4162711102u, 0, COSH_TOLERANCE, 0},
{ 188, 3220204567u, 4017329311u, 3208334452u, 1667591498u, 1073295796u, 2773972944u, 0, COSH_TOLERANCE, 0},
{ 189, 1077678397u, 3154656624u, 1061894279u, 3886344038u, 1114014484u, 1143078455u, 0, COSH_TOLERANCE, 0},
{ 190, 1068478737u, 977586119u, 3209762784u, 953839852u, 1072695257u, 1568551512u, 0, COSH_TOLERANCE, 0},
{ 191, 1081896575u, 143071571u, 3206165386u, 913097445u, 1759744561u, 1725664653u, 0, COSH_TOLERANCE, 0},
{ 192, 3213634128u, 1371169579u, 1057079837u, 2594818628u, 1072693347u, 695760778u, 0, COSH_TOLERANCE, 0},
{ 193, 3228724664u, 2259342224u, 3217432469u, 1824221478u, 1517614491u, 1347867273u, 0, COSH_TOLERANCE, 0},
{ 194, 3227960407u, 1576604497u, 1079368611u, 185078728u, 1347106434u, 3370329867u, 0, COSH_TOLERANCE, 0},
{ 195, 3221679427u, 444800035u, 3243343143u, 1734989302u, 1075945204u, 3272065637u, 0, COSH_TOLERANCE, 0},
{ 196, 1072748883u, 130452005u, 1041548088u, 2158433515u, 1073330400u, 1602882483u, 0, COSH_TOLERANCE, 0},
{ 197, 3225258784u, 1941318385u, 1045807374u, 792193370u, 1116250287u, 3103118402u, 0, COSH_TOLERANCE, 0},
{ 198, 3225716754u, 1299392207u, 3212131720u, 3205732280u, 1133701703u, 3451158556u, 0, COSH_TOLERANCE, 0},
{ 199, 1079824436u, 3035093505u, 1052187689u, 3287702190u, 1245928697u, 3659026689u, 0, COSH_TOLERANCE, 0},
{ 200, 3227801892u, 2160225215u, 1102624859u, 836655570u, 1317853110u, 1753278920u, 0, COSH_TOLERANCE, 0},
{ 201, 1079946410u, 3360816360u, 3246176356u, 172860634u, 1257254087u, 595783054u, 0, COSH_TOLERANCE, 0},
{ 202, 1073092940u, 146831910u, 1051558014u, 2340722078u, 1073802343u, 192170069u, 0, COSH_TOLERANCE, 0},
{ 203, 3224124895u, 1603798153u, 3207725532u, 1099413093u, 1092924694u, 2401380251u, 0, COSH_TOLERANCE, 0},
{ 204, 3227804010u, 2429340443u, 3190303581u, 3223770005u, 1318235431u, 1901620640u, 0, COSH_TOLERANCE, 0},
{ 205, 1073785807u, 955542166u, 3230415151u, 275583938u, 1074811387u, 2594666488u, 0, COSH_TOLERANCE, 0},
{ 206, 1078291818u, 513397822u, 1090646554u, 2089321329u, 1136418636u, 351397573u, 0, COSH_TOLERANCE, 0},
{ 207, 3214141396u, 2782073372u, 1046063872u, 4023829068u, 1072693446u, 525984948u, 0, COSH_TOLERANCE, 0},
{ 208, 1079690454u, 3242223094u, 3194111199u, 4264674108u, 1233536710u, 346227329u, 0, COSH_TOLERANCE, 0},
{ 209, 3225927909u, 3506346169u, 1047020885u, 1742757458u, 1143421892u, 2781434878u, 0, COSH_TOLERANCE, 0},
{ 210, 3214684573u, 1265459564u, 3193450280u, 3650514880u, 1072693645u, 2020640906u, 0, COSH_TOLERANCE, 0},
{ 211, 1075464434u, 1525260440u, 3235452527u, 2612331392u, 1081496072u, 2899446050u, 0, COSH_TOLERANCE, 0},
{ 212, 3227697400u, 1263613754u, 3219096387u, 635677201u, 1298518908u, 459760033u, 0, COSH_TOLERANCE, 0},
{ 213, 3217806423u, 4140947288u, 3200792376u, 2013265346u, 1072718129u, 500268673u, 0, COSH_TOLERANCE, 0},
{ 214, 3227954296u, 1912759945u, 3237045253u, 1351396825u, 1345966111u, 1464931509u, 0, COSH_TOLERANCE, 0},
{ 215, 3228282218u, 1001433078u, 3206926643u, 2741676659u, 1406514744u, 3156202362u, 0, COSH_TOLERANCE, 0},
{ 216, 1075680726u, 1088945233u, 1085095743u, 3986114865u, 1082750959u, 2813999483u, 0, COSH_TOLERANCE, 0},
{ 217, 3219928361u, 831239754u, 1099828675u, 3071308141u, 1073127703u, 3507722226u, 0, COSH_TOLERANCE, 0},
{ 218, 3222688769u, 3473592372u, 1102759382u, 1309576357u, 1080072667u, 3702574099u, 0, COSH_TOLERANCE, 0},
{ 219, 3229166610u, 2042340367u, 1091945628u, 2062772374u, 1680905763u, 210474498u, 0, COSH_TOLERANCE, 0},
{ 220, 3214688631u, 1840632537u, 1096533424u, 807510337u, 1072693647u, 938142822u, 0, COSH_TOLERANCE, 0},
{ 221, 3224111690u, 144814872u, 3212698915u, 2282965697u, 1092794632u, 1680580331u, 0, COSH_TOLERANCE, 0},
{ 222, 1073333582u, 2552499583u, 3229111426u, 1470130815u, 1074057948u, 4239780720u, 0, COSH_TOLERANCE, 0},
{ 223, 3227364425u, 2858583811u, 1089760910u, 6360994u, 1251137827u, 697276436u, 0, COSH_TOLERANCE, 0},
{ 224, 3215042145u, 1614537194u, 1075198900u, 4088705365u, 1072693871u, 435034830u, 0, COSH_TOLERANCE, 0},
{ 225, 3228918974u, 3545570051u, 1065221325u, 1629217700u, 1589407573u, 229769802u, 0, COSH_TOLERANCE, 0},
{ 226, 1072744324u, 1813392963u, 3235313361u, 3772501596u, 1073324678u, 267422968u, 0, COSH_TOLERANCE, 0},
{ 227, 3215677054u, 2406734491u, 1042055360u, 89226663u, 1072694743u, 314704995u, 0, COSH_TOLERANCE, 0},
{ 228, 3214625449u, 1618759139u, 3194723421u, 3888234802u, 1072693620u, 1885675412u, 0, COSH_TOLERANCE, 0},
{ 229, 1068988736u, 3590035633u, 3212424262u, 2892456615u, 1072697659u, 797486592u, 0, COSH_TOLERANCE, 0},
{ 230, 3213011732u, 2431246964u, 3241512456u, 183850734u, 1072693291u, 2419777582u, 0, COSH_TOLERANCE, 0},
{ 231, 1076918189u, 3088319870u, 3211544311u, 862225364u, 1096486112u, 1720101621u, 0, COSH_TOLERANCE, 0},
{ 232, 3224808904u, 3495352775u, 1058576726u, 596957268u, 1105876117u, 1924270502u, 0, COSH_TOLERANCE, 0},
{ 233, 1066476292u, 1839214511u, 3205004060u, 1923240983u, 1072693394u, 3599825330u, 0, COSH_TOLERANCE, 0},
{ 234, 1069608200u, 739619702u, 3223356436u, 2689885273u, 1072702428u, 3984013578u, 0, COSH_TOLERANCE, 0},
{ 235, 3216053611u, 2143376228u, 1098306332u, 3760236188u, 1072695583u, 2926029591u, 0, COSH_TOLERANCE, 0},
{ 236, 1074621795u, 671680995u, 1091262633u, 2315535361u, 1077136875u, 826067980u, 0, COSH_TOLERANCE, 0},
{ 237, 3219408869u, 2493598049u, 3194927008u, 1689107592u, 1072910984u, 1200702158u, 0, COSH_TOLERANCE, 0},
{ 238, 3213058631u, 1578976988u, 1066368383u, 2117279163u, 1072693294u, 4154544241u, 0, COSH_TOLERANCE, 0},
{ 239, 3221939535u, 3425290087u, 1098487295u, 1263412017u, 1076683118u, 1001936109u, 0, COSH_TOLERANCE, 0},
{ 240, 3217869948u, 3635396812u, 1070999426u, 3965655689u, 1072719899u, 4191291117u, 0, COSH_TOLERANCE, 0},
{ 241, 1069633530u, 2183973116u, 1101098363u, 1118613350u, 1072702853u, 2843946852u, 0, COSH_TOLERANCE, 0},
{ 242, 3221946089u, 199516350u, 1078368488u, 164621458u, 1076706867u, 2653466916u, 0, COSH_TOLERANCE, 0},
{ 243, 3212871842u, 3570940805u, 3230316437u, 3596080877u, 1072693282u, 733293125u, 0, COSH_TOLERANCE, 0},
{ 244, 3217646749u, 980880313u, 1079833442u, 884465057u, 1072713949u, 2327888183u, 0, COSH_TOLERANCE, 0},
{ 245, 1080054180u, 2558179220u, 1052873711u, 1233598120u, 1269060948u, 2524660391u, 0, COSH_TOLERANCE, 0},
{ 246, 1067038165u, 1909994277u, 1085015978u, 2991527452u, 1072693578u, 2262681612u, 0, COSH_TOLERANCE, 0},
{ 247, 1070292444u, 1680290941u, 1074309900u, 2943870846u, 1072717305u, 1264785041u, 0, COSH_TOLERANCE, 0},
{ 248, 1069981892u, 1451927357u, 3228615456u, 1502585517u, 1072709675u, 2378690044u, 0, COSH_TOLERANCE, 0},
{ 249, 3224677615u, 751136990u, 3230392165u, 3493275472u, 1102866871u, 215829603u, 0, COSH_TOLERANCE, 0},
{ 250, 1079491599u, 1209623292u, 3238056647u, 979495322u, 1215252451u, 1345426533u, 0, COSH_TOLERANCE, 0},
{ 251, 3228404200u, 1717672108u, 1048120593u, 531240316u, 1429099700u, 3462906838u, 0, COSH_TOLERANCE, 0},
{ 252, 1068854987u, 3548721654u, 1086112947u, 3391817224u, 1072696925u, 281688495u, 0, COSH_TOLERANCE, 0},
{ 253, 1074691123u, 2758195125u, 1100880260u, 2028440924u, 1077320145u, 4283533331u, 0, COSH_TOLERANCE, 0},
{ 254, 1076883861u, 2750123373u, 3232200256u, 1086294931u, 1095793270u, 788833266u, 0, COSH_TOLERANCE, 0},
{ 255, 1065978768u, 2986160931u, 1076097908u, 2540046258u, 1072693329u, 2450552268u, 0, COSH_TOLERANCE, 0},
{ 256, 3224990842u, 451471221u, 1064816262u, 4187644495u, 1110076565u, 655095513u, 0, COSH_TOLERANCE, 0},
{ 257, 1080585860u, 2439500162u, 1065280276u, 1979490284u, 1367314315u, 4075308906u, 0, COSH_TOLERANCE, 0},
{ 258, 1065581656u, 2283342035u, 1078398157u, 1345997553u, 1072693295u, 1984477633u, 0, COSH_TOLERANCE, 0},
{ 259, 3219540804u, 179066662u, 1103272172u, 1217337578u, 1072958184u, 2633513687u, 0, COSH_TOLERANCE, 0},
{ 260, 3218902409u, 3779303391u, 3210023352u, 3115946280u, 1072799344u, 2662349015u, 0, COSH_TOLERANCE, 0},
{ 261, 3213961394u, 286247089u, 1085153597u, 713645369u, 1072693395u, 938537965u, 0, COSH_TOLERANCE, 0},
{ 262, 1077941860u, 1468283899u, 1042831668u, 2022736418u, 1120232171u, 2888650454u, 0, COSH_TOLERANCE, 0},
{ 263, 1076847649u, 3305564080u, 1065483445u, 482392433u, 1095303241u, 3604886385u, 0, COSH_TOLERANCE, 0},
{ 264, 3216375871u, 2256346551u, 3222430705u, 2071674991u, 1072697122u, 3114668340u, 0, COSH_TOLERANCE, 0},
{ 265, 3216607607u, 2295269094u, 1084451053u, 2773103941u, 1072698469u, 1831807840u, 0, COSH_TOLERANCE, 0},
{ 266, 1075028218u, 1482721827u, 1092243422u, 3125409590u, 1079044245u, 1232254491u, 0, COSH_TOLERANCE, 0},
{ 267, 3221065973u, 1381740563u, 1071545057u, 2918235653u, 1074398228u, 2786573068u, 0, COSH_TOLERANCE, 0},
{ 268, 3226133060u, 1105857967u, 3241990046u, 2703723225u, 1152893521u, 2850491479u, 0, COSH_TOLERANCE, 0},
{ 269, 1066084243u, 174689677u, 1079333374u, 3947057014u, 1072693340u, 742181246u, 0, COSH_TOLERANCE, 0},
{ 270, 1077878947u, 2023082423u, 3242081486u, 1169047927u, 1118700325u, 3426525989u, 0, COSH_TOLERANCE, 0},
{ 271, 1070817355u, 3742487766u, 1043425732u, 194972788u, 1072741671u, 3984460825u, 0, COSH_TOLERANCE, 0},
{ 272, 3220083283u, 2136071361u, 3211529757u, 993675115u, 1073209296u, 2409955736u, 0, COSH_TOLERANCE, 0},
{ 273, 3219954837u, 210772141u, 3241441539u, 580731413u, 1073141062u, 1932588337u, 0, COSH_TOLERANCE, 0},
{ 274, 1078111773u, 1751560711u, 1074522705u, 180987057u, 1128126630u, 2518765659u, 0, COSH_TOLERANCE, 0},
{ 275, 1071997471u, 2552236599u, 1088658621u, 2112468655u, 1072936199u, 2897169212u, 0, COSH_TOLERANCE, 0},
{ 276, 3213407865u, 1578223762u, 3224596567u, 2456166162u, 1072693324u, 1465320139u, 0, COSH_TOLERANCE, 0},
{ 277, 1070041301u, 2110924310u, 1086207177u, 3161208323u, 1072711021u, 3971776018u, 0, COSH_TOLERANCE, 0},
{ 278, 3223474786u, 2352173188u, 1079361728u, 4070222179u, 1085445849u, 578433019u, 0, COSH_TOLERANCE, 0},
{ 279, 1080041384u, 2481562701u, 1090937016u, 3809489716u, 1266749058u, 404634930u, 0, COSH_TOLERANCE, 0},
{ 280, 3215877019u, 330905705u, 1086260896u, 90264431u, 1072695095u, 2298955529u, 0, COSH_TOLERANCE, 0},
{ 281, 1065895785u, 4162008079u, 3194387916u, 759522153u, 1072693321u, 2939280632u, 0, COSH_TOLERANCE, 0},
{ 282, 1075772157u, 1839697482u, 3216442625u, 2211508949u, 1083313275u, 3907126828u, 0, COSH_TOLERANCE, 0},
{ 283, 3227787115u, 3736863454u, 1063475914u, 3150741666u, 1315110814u, 1556023783u, 0, COSH_TOLERANCE, 0},
{ 284, 1070223067u, 4200269406u, 3236646101u, 1061812176u, 1072715473u, 2995155516u, 0, COSH_TOLERANCE, 0},
{ 285, 1074975099u, 106027290u, 3234978297u, 2245237549u, 1078697327u, 2130268559u, 0, COSH_TOLERANCE, 0},
{ 286, 3228109966u, 2132131375u, 3250483427u, 3449276437u, 1374762386u, 2754991195u, 0, COSH_TOLERANCE, 0},
{ 287, 1077854442u, 2334440944u, 1105423490u, 4004336184u, 1118086726u, 1452344798u, 0, COSH_TOLERANCE, 0},
{ 288, 3220869856u, 4090088208u, 1042030013u, 3898658299u, 1074122930u, 2876824951u, 0, COSH_TOLERANCE, 0},
{ 289, 3217345248u, 2272831437u, 3253082595u, 2639188641u, 1072707112u, 3996072429u, 0, COSH_TOLERANCE, 0},
{ 290, 1069446748u, 1856594168u, 3189515294u, 4101853676u, 1072700680u, 1721485335u, 0, COSH_TOLERANCE, 0},
{ 291, 1073915260u, 2211699255u, 3195060344u, 3865018604u, 1075102800u, 1125779193u, 0, COSH_TOLERANCE, 0},
{ 292, 3227038370u, 996259334u, 3241496889u, 3782673116u, 1221003247u, 1357097126u, 0, COSH_TOLERANCE, 0},
{ 293, 1080256379u, 3840380763u, 1048674041u, 550040067u, 1306461489u, 928374556u, 0, COSH_TOLERANCE, 0},
{ 294, 3229399497u, 95874100u, 3237232828u, 2645647822u, 1766909843u, 3490239415u, 0, COSH_TOLERANCE, 0},
{ 295, 1065685736u, 3441419500u, 3252367038u, 876710419u, 1072693303u, 2207449341u, 0, COSH_TOLERANCE, 0},
{ 296, 3226010640u, 2560836004u, 3199616543u, 1180840586u, 1147281949u, 3335028675u, 0, COSH_TOLERANCE, 0},
{ 297, 3221602966u, 2218230392u, 3227485787u, 3947214579u, 1075740200u, 2468828995u, 0, COSH_TOLERANCE, 0},
{ 298, 1075345350u, 1447312532u, 1081476588u, 780366847u, 1080842197u, 2196210744u, 0, COSH_TOLERANCE, 0},
{ 299, 1073618219u, 2842113832u, 3216156731u, 225159029u, 1074454774u, 2913703556u, 0, COSH_TOLERANCE, 0},
{ 300, 1079242825u, 1601981129u, 3234628869u, 2236538344u, 1192276494u, 2364090570u, 0, COSH_TOLERANCE, 0},
{ 301, 1076784916u, 2194185737u, 3242362684u, 87913366u, 1094646719u, 2239129684u, 0, COSH_TOLERANCE, 0},
{ 302, 3215861096u, 1346862963u, 1077836259u, 3604666660u, 1072695066u, 440704647u, 0, COSH_TOLERANCE, 0},
{ 303, 3218547435u, 3115209742u, 1099332326u, 1325101950u, 1072762515u, 59651451u, 0, COSH_TOLERANCE, 0},
{ 304, 3221400314u, 3889223100u, 1053247613u, 3371396923u, 1075106387u, 2524506776u, 0, COSH_TOLERANCE, 0},
{ 305, 3220477868u, 4163120793u, 1075022670u, 1387631215u, 1073688400u, 3535902313u, 0, COSH_TOLERANCE, 0},
{ 306, 3218064691u, 1532426189u, 1063168268u, 3397022615u, 1072725713u, 1946389065u, 0, COSH_TOLERANCE, 0},
{ 307, 3216761961u, 89324166u, 1079206060u, 3429424710u, 1072699477u, 4166825646u, 0, COSH_TOLERANCE, 0},
{ 308, 3214345198u, 747591401u, 1072238381u, 2803213904u, 1072693512u, 3712512165u, 0, COSH_TOLERANCE, 0},
{ 309, 1078530868u, 271904221u, 1044258318u, 1858545114u, 1147431148u, 2228394364u, 0, COSH_TOLERANCE, 0},
{ 310, 3222826034u, 314958082u, 3249912496u, 2966213175u, 1080821311u, 3940918208u, 0, COSH_TOLERANCE, 0},
{ 311, 3215005206u, 3119528953u, 3217179014u, 2908718240u, 1072693831u, 4021851488u, 0, COSH_TOLERANCE, 0},
{ 312, 3226738936u, 2018361566u, 1100926600u, 3985805054u, 1193401522u, 2660715245u, 0, COSH_TOLERANCE, 0},
{ 313, 1073278308u, 409584884u, 3239758947u, 755795129u, 1073993396u, 3069689441u, 0, COSH_TOLERANCE, 0},
{ 314, 1074723870u, 1819156379u, 3251342302u, 2982669005u, 1077415518u, 3369394811u, 0, COSH_TOLERANCE, 0},
{ 315, 1080591913u, 2080534280u, 3188254060u, 449171797u, 1368425681u, 3068381489u, 0, COSH_TOLERANCE, 0},
{ 316, 1079179684u, 168744837u, 3214950009u, 1322217822u, 1186375305u, 280204842u, 0, COSH_TOLERANCE, 0},
{ 317, 3229061076u, 3250487255u, 1062120700u, 1876195180u, 1641903706u, 3427323764u, 0, COSH_TOLERANCE, 0},
{ 318, 3223197752u, 1336400247u, 1098057903u, 3314079581u, 1082977604u, 2978454035u, 0, COSH_TOLERANCE, 0},
{ 319, 3216261732u, 265025555u, 1063854282u, 3779482256u, 1072696533u, 1033696308u, 0, COSH_TOLERANCE, 0},
{ 320, 1072543381u, 887044257u, 1054789618u, 2732056261u, 1073178705u, 3462589012u, 0, COSH_TOLERANCE, 0},
{ 321, 1067932534u, 4027115185u, 3191764868u, 2940199511u, 1072694339u, 1351370649u, 0, COSH_TOLERANCE, 0},
{ 322, 3216131643u, 2875684421u, 3227459837u, 2251967570u, 1072695920u, 3217040934u, 0, COSH_TOLERANCE, 0},
{ 323, 1071633020u, 284173546u, 3238823679u, 3557800647u, 1072825560u, 612997882u, 0, COSH_TOLERANCE, 0},
{ 324, 1080487040u, 3147771266u, 3220110464u, 2933364246u, 1348984230u, 3038347863u, 0, COSH_TOLERANCE, 0},
{ 325, 1071144616u, 3366183281u, 3234870843u, 537442654u, 1072770188u, 1133518616u, 0, COSH_TOLERANCE, 0},
{ 326, 3227341572u, 2529029548u, 3249882819u, 3781513577u, 1249030162u, 3889526767u, 0, COSH_TOLERANCE, 0},
{ 327, 3219727810u, 1080845539u, 3206760016u, 911778687u, 1073034045u, 1789981630u, 0, COSH_TOLERANCE, 0},
{ 328, 3213971132u, 469586759u, 1091830022u, 3080528840u, 1072693397u, 3347259082u, 0, COSH_TOLERANCE, 0},
{ 329, 1075006224u, 2863108169u, 3225605506u, 2508274250u, 1078925453u, 184242647u, 0, COSH_TOLERANCE, 0},
{ 330, 3218167016u, 4080017377u, 3206492941u, 1470284690u, 1072731933u, 456187951u, 0, COSH_TOLERANCE, 0},
{ 331, 3217606150u, 3867917386u, 1102054928u, 3504746045u, 1072712948u, 2971602982u, 0, COSH_TOLERANCE, 0},
{ 332, 1070813735u, 2962134101u, 3244741577u, 3390537350u, 1072741394u, 543292184u, 0, COSH_TOLERANCE, 0},
{ 333, 1077716053u, 1702237980u, 1071598971u, 1102587474u, 1114898104u, 2058865259u, 0, COSH_TOLERANCE, 0},
{ 334, 3216601606u, 2180218657u, 3211592260u, 1206527853u, 1072698432u, 76209351u, 0, COSH_TOLERANCE, 0},
{ 335, 3215959112u, 394130786u, 3242511482u, 2437699868u, 1072695251u, 149960380u, 0, COSH_TOLERANCE, 0},
{ 336, 1066257155u, 849581558u, 3252006507u, 2008614943u, 1072693358u, 4101451221u, 0, COSH_TOLERANCE, 0},
{ 337, 3218528622u, 3128971673u, 3249137531u, 2773583059u, 1072760788u, 3100318414u, 0, COSH_TOLERANCE, 0},
{ 338, 1076641258u, 590727700u, 3248651761u, 2183878539u, 1092924806u, 51935964u, 0, COSH_TOLERANCE, 0},
{ 339, 1080127109u, 820687580u, 3208143496u, 1402434664u, 1282555424u, 2229435922u, 0, COSH_TOLERANCE, 0},
{ 340, 3229222163u, 1873709254u, 3245167989u, 44275991u, 1701351914u, 2238140986u, 0, COSH_TOLERANCE, 0},
{ 341, 3213786001u, 1174874204u, 3208263730u, 2360372288u, 1072693364u, 650293763u, 0, COSH_TOLERANCE, 0},
{ 342, 1081834580u, 937573440u, 3208953761u, 211240241u, 1736830458u, 1339532059u, 0, COSH_TOLERANCE, 0},
{ 343, 3226771718u, 2469774991u, 1043117070u, 3380071805u, 1196458784u, 2866315288u, 0, COSH_TOLERANCE, 0},
{ 344, 1069655378u, 442507560u, 3254252803u, 3257889649u, 1072703227u, 3214474808u, 0, COSH_TOLERANCE, 0},
{ 345, 1071996248u, 1854921625u, 1049810168u, 2729627545u, 1072935760u, 506924846u, 0, COSH_TOLERANCE, 0},
{ 346, 3229546805u, 4001809575u, 3240128649u, 278261523u, 1821325618u, 2670070781u, 0, COSH_TOLERANCE, 0},
{ 347, 1077787510u, 1793907966u, 3238955714u, 398859249u, 1116585698u, 3075914843u, 0, COSH_TOLERANCE, 0},
{ 348, 3216681187u, 2511916952u, 3219195283u, 1697158299u, 1072698939u, 287923426u, 0, COSH_TOLERANCE, 0},
{ 349, 1073131276u, 3230931724u, 3243897690u, 3508781585u, 1073838825u, 19759326u, 0, COSH_TOLERANCE, 0},
{ 350, 1081827510u, 1674254897u, 1046547577u, 217148561u, 1734293969u, 3735031445u, 0, COSH_TOLERANCE, 0},
{ 351, 3218603986u, 3275604304u, 3194840159u, 2991205850u, 1072767839u, 3088730970u, 0, COSH_TOLERANCE, 0},
{ 352, 3214123743u, 3509997278u, 3248888030u, 3897986511u, 1072693440u, 3421485015u, 0, COSH_TOLERANCE, 0},
{ 353, 1067105379u, 2156824613u, 1042295665u, 1239257646u, 1072693605u, 1822348699u, 0, COSH_TOLERANCE, 0},
{ 354, 3219555541u, 1073153314u, 3250031627u, 2567234990u, 1072963776u, 815746145u, 0, COSH_TOLERANCE, 0},
{ 355, 3213662084u, 4261696995u, 3197784432u, 323702024u, 1072693350u, 809860393u, 0, COSH_TOLERANCE, 0},
{ 356, 3226913781u, 4075177615u, 3202791065u, 1919006082u, 1209499947u, 316750843u, 0, COSH_TOLERANCE, 0},
{ 357, 3225638525u, 386429966u, 1086504491u, 3698826164u, 1130089950u, 2126562020u, 0, COSH_TOLERANCE, 0},
{ 358, 1075181462u, 1681986446u, 3194985869u, 3072950140u, 1079924277u, 2975252779u, 0, COSH_TOLERANCE, 0},
{ 359, 3220457661u, 3719038997u, 1055433962u, 3331415058u, 1073654972u, 2206416840u, 0, COSH_TOLERANCE, 0},
{ 360, 1070186897u, 2420250111u, 3238002206u, 1928661079u, 1072714547u, 3530074895u, 0, COSH_TOLERANCE, 0},
{ 361, 1075622754u, 3679866727u, 3227386672u, 1273835792u, 1082419812u, 3179745956u, 0, COSH_TOLERANCE, 0},
{ 362, 1065739986u, 2682092368u, 3234222284u, 1325425811u, 1072693307u, 4126875442u, 0, COSH_TOLERANCE, 0},
{ 363, 1068895525u, 4175172697u, 3208346191u, 2130706153u, 1072697140u, 2173065822u, 0, COSH_TOLERANCE, 0},
{ 364, 1078458136u, 1200784450u, 1083605096u, 1248595607u, 1144110494u, 3624009342u, 0, COSH_TOLERANCE, 0},
{ 365, 3219133743u, 1897285171u, 3251296075u, 944966123u, 1072828490u, 2338958613u, 0, COSH_TOLERANCE, 0},
{ 366, 3225642610u, 2270747330u, 3230692631u, 422503284u, 1130331904u, 3544140092u, 0, COSH_TOLERANCE, 0},
{ 367, 1076780005u, 2857564741u, 1075647403u, 3308906709u, 1094572049u, 3220041115u, 0, COSH_TOLERANCE, 0},
{ 368, 3216058010u, 1380066948u, 3232612906u, 2613634294u, 1072695602u, 333718361u, 0, COSH_TOLERANCE, 0},
{ 369, 1071230888u, 4022784584u, 1060483857u, 3264056381u, 1072778839u, 2084074650u, 0, COSH_TOLERANCE, 0},
{ 370, 1066657500u, 1778509100u, 3213146285u, 2665833973u, 1072693446u, 202166455u, 0, COSH_TOLERANCE, 0},
{ 371, 3219873028u, 1859175955u, 1079949560u, 4258450607u, 1073100545u, 4011898678u, 0, COSH_TOLERANCE, 0},
{ 372, 1067151756u, 4128020197u, 1076266146u, 4122840980u, 1072693624u, 2563901245u, 0, COSH_TOLERANCE, 0},
{ 373, 3214154683u, 2454653987u, 3229487005u, 2977478685u, 1072693450u, 768721227u, 0, COSH_TOLERANCE, 0},
{ 374, 3229439235u, 1355181872u, 1095308770u, 436846481u, 1781587330u, 3622868306u, 0, COSH_TOLERANCE, 0},
{ 375, 3227730934u, 2592856453u, 3247825559u, 3195234082u, 1304719890u, 3199167818u, 0, COSH_TOLERANCE, 0},
{ 376, 3222118023u, 3554670043u, 1091621009u, 3321236467u, 1077168356u, 697453788u, 0, COSH_TOLERANCE, 0},
{ 377, 1072158561u, 1936670355u, 1095715713u, 2958468553u, 1072997987u, 174155697u, 0, COSH_TOLERANCE, 0},
{ 378, 3214311205u, 2960339502u, 1098808013u, 1044068983u, 1072693501u, 258697260u, 0, COSH_TOLERANCE, 0},
{ 379, 3215565553u, 4093388677u, 1095478112u, 1735930261u, 1072694562u, 3158378439u, 0, COSH_TOLERANCE, 0},
{ 380, 1078457390u, 1807398746u, 3195743135u, 4261616162u, 1144084329u, 2733988366u, 0, COSH_TOLERANCE, 0},
{ 381, 3218731378u, 3250576797u, 1059002384u, 3043079652u, 1072780584u, 935135545u, 0, COSH_TOLERANCE, 0},
{ 382, 1072352837u, 666051428u, 3208765404u, 1912684117u, 1073083167u, 7373407u, 0, COSH_TOLERANCE, 0},
{ 383, 1081467324u, 1949030179u, 1096388934u, 896459246u, 1601250663u, 4124280137u, 0, COSH_TOLERANCE, 0},
{ 384, 1068980717u, 622499767u, 1066707637u, 1490260486u, 1072697613u, 1210054685u, 0, COSH_TOLERANCE, 0},
{ 385, 1081522669u, 1490616165u, 3251242436u, 795675736u, 1621632025u, 1772451300u, 0, COSH_TOLERANCE, 0},
{ 386, 1075701016u, 3662877092u, 3234317146u, 3200513112u, 1082885283u, 3445827098u, 0, COSH_TOLERANCE, 0},
{ 387, 1076748754u, 1356101968u, 3236536816u, 3062844611u, 1094157143u, 1389520040u, 0, COSH_TOLERANCE, 0},
{ 388, 3220971216u, 2284484846u, 3219498359u, 3240896015u, 1074258386u, 2487677987u, 0, COSH_TOLERANCE, 0},
{ 389, 3225273929u, 494503287u, 1092811254u, 142673998u, 1116669881u, 3833198838u, 0, COSH_TOLERANCE, 0},
{ 390, 3229057244u, 3394882641u, 3225306538u, 364852125u, 1640439514u, 3261908140u, 0, COSH_TOLERANCE, 0},
{ 391, 3222116035u, 193885269u, 1088149839u, 1359805831u, 1077163329u, 456192792u, 0, COSH_TOLERANCE, 0},
{ 392, 3216213422u, 592580907u, 3199560872u, 3086438952u, 1072696298u, 1737542508u, 0, COSH_TOLERANCE, 0},
{ 393, 1070004424u, 1778008540u, 1049064687u, 73581647u, 1072710179u, 3864358441u, 0, COSH_TOLERANCE, 0},
{ 394, 3227859230u, 233240285u, 1081923320u, 2710903921u, 1328471353u, 481819950u, 0, COSH_TOLERANCE, 0},
{ 395, 1072659495u, 3719878805u, 1079866720u, 3615458228u, 1073243085u, 1076099764u, 0, COSH_TOLERANCE, 0},
{ 396, 3221194724u, 3647632375u, 3247225271u, 3839959621u, 1074610804u, 1304629615u, 0, COSH_TOLERANCE, 0},
{ 397, 1081381000u, 2232210456u, 3235434773u, 224271737u, 1569318353u, 1467736445u, 0, COSH_TOLERANCE, 0},
{ 398, 3213975204u, 2134662911u, 3190390590u, 4239009051u, 1072693398u, 3679984553u, 0, COSH_TOLERANCE, 0},
{ 399, 1075283265u, 2305279897u, 1077668039u, 1854523320u, 1080450496u, 3286724522u, 0, COSH_TOLERANCE, 0},
{ 400, 3220912835u, 538224650u, 3206153057u, 1379649610u, 1074178663u, 1101193676u, 0, COSH_TOLERANCE, 0},
{ 401, 3215284875u, 3683897920u, 3244167599u, 3647579469u, 1072694160u, 399053723u, 0, COSH_TOLERANCE, 0},
{ 402, 1077698021u, 2694093608u, 1042775347u, 598406111u, 1114529526u, 2696598259u, 0, COSH_TOLERANCE, 0},
{ 403, 3218975424u, 872706833u, 1084802480u, 2200602798u, 1072807936u, 2094320399u, 0, COSH_TOLERANCE, 0},
{ 404, 1065408269u, 904146293u, 1060867322u, 1729685598u, 1072693283u, 1926681760u, 0, COSH_TOLERANCE, 0},
{ 405, 3214569338u, 1894173462u, 3232800651u, 191960416u, 1072693597u, 1873608164u, 0, COSH_TOLERANCE, 0},
{ 406, 1078642431u, 3521028551u, 1054522089u, 3287274359u, 1152594773u, 3672113002u, 0, COSH_TOLERANCE, 0},
{ 407, 1079658324u, 959640601u, 3201578263u, 4136915018u, 1230574401u, 2234964481u, 0, COSH_TOLERANCE, 0},
{ 408, 1071345483u, 1553716379u, 1106027987u, 984725765u, 1072791073u, 2060156860u, 0, COSH_TOLERANCE, 0},
{ 409, 3226249729u, 2287646644u, 3240329321u, 2276183378u, 1158291111u, 3692605402u, 0, COSH_TOLERANCE, 0},
{ 410, 1072403478u, 3940225170u, 3199544434u, 997572161u, 1073107368u, 2791800044u, 0, COSH_TOLERANCE, 0},
{ 411, 3219059817u, 36116288u, 3206886566u, 4196602670u, 1072818306u, 2941799181u, 0, COSH_TOLERANCE, 0},
{ 412, 3225967213u, 3550227562u, 3207257983u, 2747744117u, 1145259564u, 206811308u, 0, COSH_TOLERANCE, 0},
{ 413, 1081167454u, 507130047u, 1048359321u, 3229888373u, 1490439745u, 2514231187u, 0, COSH_TOLERANCE, 0},
{ 414, 3221948202u, 2210969014u, 1081031001u, 1946786091u, 1076714590u, 2720043926u, 0, COSH_TOLERANCE, 0},
{ 415, 3224772654u, 4059150589u, 3189759234u, 1177045799u, 1105086888u, 932381590u, 0, COSH_TOLERANCE, 0},
{ 416, 1078423548u, 2664812822u, 1050343198u, 2034180320u, 1142469137u, 3731467255u, 0, COSH_TOLERANCE, 0},
{ 417, 3220070573u, 1175750283u, 3235559706u, 1424491340u, 1073202287u, 696435719u, 0, COSH_TOLERANCE, 0},
{ 418, 3219147073u, 1630036121u, 3231972785u, 3195479448u, 1072832007u, 59437127u, 0, COSH_TOLERANCE, 0},
{ 419, 1077846963u, 2527029044u, 1046927050u, 4000723255u, 1117940775u, 3673409802u, 0, COSH_TOLERANCE, 0},
{ 420, 1076820069u, 3335703647u, 3237349676u, 3869440059u, 1094992333u, 786911050u, 0, COSH_TOLERANCE, 0},
{ 421, 1078850936u, 3888398377u, 3196041693u, 1290567220u, 1162199139u, 1366973945u, 0, COSH_TOLERANCE, 0},
{ 422, 1071921950u, 3242451480u, 3248384948u, 707431021u, 1072909878u, 2311264482u, 0, COSH_TOLERANCE, 0},
{ 423, 1075890477u, 2739665123u, 1060777905u, 1733073225u, 1084309432u, 2275080127u, 0, COSH_TOLERANCE, 0},
{ 424, 1075371333u, 1297274853u, 3208848704u, 3341639139u, 1081035738u, 1933977641u, 0, COSH_TOLERANCE, 0},
{ 425, 1066493885u, 2228057309u, 1084318902u, 1317851136u, 1072693399u, 2039076730u, 0, COSH_TOLERANCE, 0},
{ 426, 1077769567u, 270039934u, 3241414679u, 3063626339u, 1116118793u, 251426608u, 0, COSH_TOLERANCE, 0},
{ 427, 3220226926u, 83062251u, 3211262173u, 2659016437u, 1073323369u, 97426660u, 0, COSH_TOLERANCE, 0},
{ 428, 1080015246u, 3833539373u, 3206667189u, 1567476111u, 1263591609u, 3066665016u, 0, COSH_TOLERANCE, 0},
{ 429, 3217777984u, 2382776852u, 3249232579u, 1546622468u, 1072717356u, 1187260252u, 0, COSH_TOLERANCE, 0},
{ 430, 1076099255u, 1714300821u, 1104130938u, 4167591598u, 1086665941u, 3409246207u, 0, COSH_TOLERANCE, 0},
{ 431, 1067869976u, 2798720100u, 1086978789u, 449990704u, 1072694251u, 3968003626u, 0, COSH_TOLERANCE, 0},
{ 432, 3223858383u, 4039516226u, 3244344107u, 4272932619u, 1089843021u, 3071656581u, 0, COSH_TOLERANCE, 0},
{ 433, 3221659865u, 1683007544u, 1091105663u, 3805494321u, 1075903190u, 1030888557u, 0, COSH_TOLERANCE, 0},
{ 434, 3220852948u, 2072627412u, 1094383324u, 3394151662u, 1074101667u, 3593583933u, 0, COSH_TOLERANCE, 0},
{ 435, 3220570024u, 1120106427u, 3223631624u, 3404608264u, 1073796246u, 3485288401u, 0, COSH_TOLERANCE, 0},
{ 436, 1078985629u, 559918757u, 3205077053u, 908100198u, 1168462131u, 348797896u, 0, COSH_TOLERANCE, 0},
{ 437, 1065746590u, 2026673913u, 3244833635u, 2844573214u, 1072693308u, 2207107495u, 0, COSH_TOLERANCE, 0},
{ 438, 3229401435u, 3946837259u, 3234993796u, 3850406820u, 1767580525u, 957246048u, 0, COSH_TOLERANCE, 0},
{ 439, 1070062721u, 3139330994u, 1046133568u, 1539650690u, 1072711520u, 2060768029u, 0, COSH_TOLERANCE, 0},
{ 440, 3225171164u, 1554593884u, 3228899878u, 2813752562u, 1114234730u, 1205533002u, 0, COSH_TOLERANCE, 0},
{ 441, 1069087916u, 3804703138u, 1072931071u, 2053677923u, 1072698246u, 3320923600u, 0, COSH_TOLERANCE, 0},
{ 442, 3227038507u, 289355864u, 1078453818u, 2143066338u, 1221015905u, 3978063874u, 0, COSH_TOLERANCE, 0},
{ 443, 3216522792u, 2157691971u, 1106629150u, 110806409u, 1072697953u, 960655341u, 0, COSH_TOLERANCE, 0},
{ 444, 1075865563u, 3570399481u, 1085637605u, 180265334u, 1083999917u, 1645379652u, 0, COSH_TOLERANCE, 0},
{ 445, 3216708822u, 558779875u, 3202046748u, 2338464653u, 1072699120u, 2955459390u, 0, COSH_TOLERANCE, 0},
{ 446, 1066676984u, 1703969219u, 3229797258u, 1417521063u, 1072693452u, 36466462u, 0, COSH_TOLERANCE, 0},
{ 447, 3225199349u, 3917440951u, 1051668894u, 3736066983u, 1114891095u, 1562528722u, 0, COSH_TOLERANCE, 0},
{ 448, 1071043536u, 3106613409u, 1066627453u, 2735392257u, 1072760657u, 2979979981u, 0, COSH_TOLERANCE, 0},
{ 449, 1071956828u, 2229777605u, 1065061963u, 2405869925u, 1072921828u, 2085659379u, 0, COSH_TOLERANCE, 0},
{ 450, 3225831741u, 3967957902u, 1057416138u, 3459188071u, 1138999578u, 515773066u, 0, COSH_TOLERANCE, 0},
{ 451, 1071784938u, 3699016825u, 3249713090u, 796144848u, 1072866292u, 3094171396u, 0, COSH_TOLERANCE, 0},
{ 452, 3222524940u, 3285165564u, 3211948811u, 401510871u, 1079100907u, 4162441846u, 0, COSH_TOLERANCE, 0},
{ 453, 1078529018u, 634857910u, 3199607513u, 914218057u, 1147357727u, 2060143941u, 0, COSH_TOLERANCE, 0},
{ 454, 1076403304u, 2030735578u, 3233855943u, 965677531u, 1090189121u, 3806649244u, 0, COSH_TOLERANCE, 0},
{ 455, 1075362511u, 3957229084u, 1051050470u, 3123776651u, 1080967868u, 916230154u, 0, COSH_TOLERANCE, 0},
{ 456, 3221863333u, 162122081u, 3239376395u, 108064594u, 1076427741u, 411926356u, 0, COSH_TOLERANCE, 0},
{ 457, 3224688874u, 869031839u, 3225020876u, 1344301606u, 1103158924u, 668835625u, 0, COSH_TOLERANCE, 0},
{ 458, 3219676354u, 946696117u, 3231825228u, 1700703647u, 1073012096u, 2213580531u, 0, COSH_TOLERANCE, 0},
{ 459, 1074444299u, 3394168074u, 1076939786u, 1666995668u, 1076641844u, 156593023u, 0, COSH_TOLERANCE, 0},
{ 460, 3218211979u, 2488789804u, 3238508333u, 1506943664u, 1072735077u, 153972805u, 0, COSH_TOLERANCE, 0},
{ 461, 1072788663u, 3844072288u, 3202592279u, 2630019853u, 1073381700u, 2049645902u, 0, COSH_TOLERANCE, 0},
{ 462, 3220983118u, 1244307192u, 3191297711u, 2540916692u, 1074275226u, 1512921118u, 0, COSH_TOLERANCE, 0},
{ 463, 3215791332u, 2871645739u, 3239081581u, 1440249115u, 1072694939u, 4017423074u, 0, COSH_TOLERANCE, 0},
{ 464, 1072544937u, 1231934926u, 3236746788u, 603977748u, 1073179537u, 210999427u, 0, COSH_TOLERANCE, 0},
{ 465, 3214324057u, 2386312545u, 1063169277u, 2715234268u, 1072693505u, 2110999964u, 0, COSH_TOLERANCE, 0},
{ 466, 1077317658u, 915867083u, 1046790892u, 3347417612u, 1105687206u, 2072797994u, 0, COSH_TOLERANCE, 0},
{ 467, 1081866940u, 3553288373u, 1065698616u, 2906680663u, 1748821447u, 2025279999u, 0, COSH_TOLERANCE, 0},
{ 468, 1066477746u, 2342364630u, 1051356723u, 4019093203u, 1072693395u, 939076334u, 0, COSH_TOLERANCE, 0},
{ 469, 3216897802u, 2911548084u, 1105282515u, 2476735795u, 1072700439u, 1795805145u, 0, COSH_TOLERANCE, 0},
{ 470, 1068298564u, 1836216409u, 1101062307u, 2519592554u, 1072694923u, 3337330369u, 0, COSH_TOLERANCE, 0},
{ 471, 1073323889u, 1235369496u, 3222946447u, 668087854u, 1074046359u, 2670613655u, 0, COSH_TOLERANCE, 0},
{ 472, 3217991780u, 2981820811u, 1059838516u, 2845580478u, 1072723468u, 3674700934u, 0, COSH_TOLERANCE, 0},
{ 473, 3214902934u, 1565550570u, 3217165795u, 4162017137u, 1072693744u, 4188183367u, 0, COSH_TOLERANCE, 0},
{ 474, 3224668466u, 2808968027u, 1055630096u, 1782326814u, 1102624261u, 4229492206u, 0, COSH_TOLERANCE, 0},
{ 475, 1069305614u, 1492622658u, 3216653077u, 3972512122u, 1072699665u, 2777581694u, 0, COSH_TOLERANCE, 0},
{ 476, 3222171679u, 2722693603u, 3227814791u, 3169731970u, 1077311445u, 16711136u, 0, COSH_TOLERANCE, 0},
{ 477, 3221052359u, 899763203u, 3207606001u, 2804747833u, 1074377307u, 3651199518u, 0, COSH_TOLERANCE, 0},
{ 478, 3223330293u, 3789058912u, 3228095081u, 4135937628u, 1083748658u, 1647653733u, 0, COSH_TOLERANCE, 0},
{ 479, 1069636566u, 1682808307u, 3206960335u, 232877759u, 1072702905u, 922243855u, 0, COSH_TOLERANCE, 0},
{ 480, 3226362846u, 2851963139u, 3246852961u, 2590862592u, 1163510742u, 2280263532u, 0, COSH_TOLERANCE, 0},
{ 481, 1074908950u, 2422232642u, 3234779662u, 290458310u, 1078293793u, 402749758u, 0, COSH_TOLERANCE, 0},
{ 482, 3219059686u, 1082582386u, 1075605675u, 2602133689u, 1072818290u, 1078745978u, 0, COSH_TOLERANCE, 0},
{ 483, 3226187123u, 1789635787u, 1059414278u, 1048286093u, 1155460262u, 3672708776u, 0, COSH_TOLERANCE, 0},
{ 484, 1079456174u, 231339448u, 1055573265u, 504907415u, 1211943927u, 57355760u, 0, COSH_TOLERANCE, 0},
{ 485, 1071600069u, 1153251200u, 3204617090u, 1772013857u, 1072821329u, 3016594082u, 0, COSH_TOLERANCE, 0},
{ 486, 1080676687u, 1082898276u, 3212089272u, 1449080862u, 1384085102u, 3383991944u, 0, COSH_TOLERANCE, 0},
{ 487, 1076571101u, 3177299045u, 1058862813u, 809400815u, 1092108370u, 1324460299u, 0, COSH_TOLERANCE, 0},
{ 488, 3223514518u, 1924429710u, 1056464743u, 3349283177u, 1085877225u, 3373580267u, 0, COSH_TOLERANCE, 0},
{ 489, 3226599023u, 42238036u, 1042379500u, 2113559863u, 1180474780u, 3625179367u, 0, COSH_TOLERANCE, 0},
{ 490, 1071052699u, 3304403230u, 3217556703u, 58952646u, 1072761494u, 3681600331u, 0, COSH_TOLERANCE, 0},
{ 491, 3218960986u, 1645486982u, 3224301095u, 3636267471u, 1072806209u, 2824736299u, 0, COSH_TOLERANCE, 0},
{ 492, 1071150617u, 619402181u, 3235208235u, 557360557u, 1072770774u, 2233898320u, 0, COSH_TOLERANCE, 0},
{ 493, 3225655482u, 110029735u, 1046937383u, 984375729u, 1130844976u, 58252944u, 0, COSH_TOLERANCE, 0},
{ 494, 3213613986u, 4063688092u, 3203235744u, 1049950343u, 1072693345u, 41676873u, 0, COSH_TOLERANCE, 0},
{ 495, 1070739227u, 650996069u, 1054971928u, 3953359826u, 1072735857u, 3162766617u, 0, COSH_TOLERANCE, 0},
{ 496, 3222861501u, 66926332u, 1090561839u, 1379780888u, 1081084622u, 865857900u, 0, COSH_TOLERANCE, 0},
{ 497, 3224016123u, 2803378256u, 1086057989u, 498534626u, 1091702709u, 731355363u, 0, COSH_TOLERANCE, 0},
{ 498, 1076327097u, 2846400785u, 1047142525u, 1375153550u, 1089349462u, 3404991026u, 0, COSH_TOLERANCE, 0},
{ 499, 1066601297u, 2869128958u, 1070972315u, 4246440273u, 1072693429u, 1487293915u, 0, COSH_TOLERANCE, 0},
{ 500, 1067561146u, 3112381207u, 1044430965u, 3981604561u, 1072693873u, 4119638393u, 0, COSH_TOLERANCE, 0},
{ 501, 3223914965u, 243303420u, 1093735824u, 1575581926u, 1090564624u, 2235997569u, 0, COSH_TOLERANCE, 0},
{ 502, 3225506509u, 3218865041u, 3204803496u, 3840388050u, 1124051660u, 1649385448u, 0, COSH_TOLERANCE, 0},
{ 503, 1067289799u, 336846959u, 1052664471u, 3798336786u, 1072693684u, 2701401211u, 0, COSH_TOLERANCE, 0},
{ 504, 1068537148u, 3639240976u, 1081202165u, 1844741676u, 1072695448u, 3117267659u, 0, COSH_TOLERANCE, 0},
{ 505, 3218196249u, 717293069u, 3211534283u, 582401011u, 1072733962u, 3794010205u, 0, COSH_TOLERANCE, 0},
{ 506, 3228893840u, 3766248610u, 3196520332u, 1174437546u, 1580170719u, 1400243038u, 0, COSH_TOLERANCE, 0},
{ 507, 1076091194u, 756959182u, 3204099341u, 1581804034u, 1086583042u, 1991670922u, 0, COSH_TOLERANCE, 0},
{ 508, 3217340780u, 3560686300u, 3220980617u, 4277975772u, 1072707021u, 4141250989u, 0, COSH_TOLERANCE, 0},
{ 509, 3218294684u, 2598148853u, 3217622194u, 3460421008u, 1072741187u, 2314974653u, 0, COSH_TOLERANCE, 0},
{ 510, 1071963704u, 136600515u, 3209934920u, 3340653128u, 1072924225u, 3332847417u, 0, COSH_TOLERANCE, 0},
{ 511, 1078994518u, 1045480938u, 3251354609u, 4133432965u, 1169315390u, 1471292306u, 0, COSH_TOLERANCE, 0},
{ 512, 1077967943u, 1630207738u, 3239996829u, 2393354808u, 1121432564u, 2643918337u, 0, COSH_TOLERANCE, 0},
{ 513, 3213694690u, 3739770117u, 1059520750u, 3959551225u, 1072693353u, 3332559954u, 0, COSH_TOLERANCE, 0},
{ 514, 3223390473u, 1498861716u, 1091297147u, 847410798u, 1084459592u, 850649703u, 0, COSH_TOLERANCE, 0},
{ 515, 1073516688u, 983275314u, 3232538664u, 2244973629u, 1074299949u, 1095073224u, 0, COSH_TOLERANCE, 0},
{ 516, 1069529329u, 2353103845u, 3235718771u, 2978889966u, 1072701308u, 3479226514u, 0, COSH_TOLERANCE, 0},
{ 517, 3229337896u, 1546972125u, 3249076079u, 1987349196u, 1744100073u, 982927834u, 0, COSH_TOLERANCE, 0},
{ 518, 3225636601u, 2769161072u, 1075207126u, 292616282u, 1129986069u, 2356402899u, 0, COSH_TOLERANCE, 0},
{ 519, 3215440938u, 36855311u, 1052128202u, 1479039342u, 1072694374u, 3881612387u, 0, COSH_TOLERANCE, 0},
{ 520, 1076417021u, 2027463605u, 1066023013u, 3369686340u, 1090384091u, 1056865571u, 0, COSH_TOLERANCE, 0},
{ 521, 3215678541u, 3808681655u, 1054161346u, 1821773119u, 1072694745u, 2393129015u, 0, COSH_TOLERANCE, 0},
{ 522, 1065851752u, 3175490326u, 3226879970u, 845687760u, 1072693317u, 2845297936u, 0, COSH_TOLERANCE, 0},
{ 523, 1065371665u, 3124482451u, 3242748377u, 3259417226u, 1072693281u, 584816684u, 0, COSH_TOLERANCE, 0},
{ 524, 1067265791u, 2751606436u, 3236210939u, 3923142740u, 1072693673u, 3735488274u, 0, COSH_TOLERANCE, 0},
{ 525, 1079966097u, 2016872044u, 3228408064u, 4201274408u, 1259005133u, 2351383485u, 0, COSH_TOLERANCE, 0},
{ 526, 3215077894u, 1019916843u, 3219974785u, 1977881787u, 1072693910u, 925185854u, 0, COSH_TOLERANCE, 0},
{ 527, 3215207392u, 2060433318u, 1075872515u, 366073725u, 1072694061u, 3760406008u, 0, COSH_TOLERANCE, 0},
{ 528, 3213200653u, 1098469906u, 1082900695u, 2349346832u, 1072693306u, 241149696u, 0, COSH_TOLERANCE, 0},
{ 529, 3218363315u, 3011196295u, 3252479932u, 2459281672u, 1072746581u, 3475756260u, 0, COSH_TOLERANCE, 0},
{ 530, 3221334323u, 2843222682u, 1089275809u, 298982001u, 1074948209u, 2454086122u, 0, COSH_TOLERANCE, 0},
{ 531, 1080766178u, 914741728u, 3203468059u, 2833809843u, 1400546649u, 1543027566u, 0, COSH_TOLERANCE, 0},
{ 532, 3225229542u, 1274901962u, 3241535845u, 3759113509u, 1115653811u, 3663915975u, 0, COSH_TOLERANCE, 0},
{ 533, 3227042074u, 2134927252u, 3253802671u, 3013731444u, 1221386155u, 696872014u, 0, COSH_TOLERANCE, 0},
{ 534, 1080326973u, 2230655177u, 3254510616u, 1249674366u, 1319431604u, 3545707614u, 0, COSH_TOLERANCE, 0},
{ 535, 1071359861u, 717357389u, 1083533731u, 3746683362u, 1072792668u, 2873103559u, 0, COSH_TOLERANCE, 0},
{ 536, 3220064570u, 834976849u, 3217357661u, 2465861779u, 1073198996u, 2186293239u, 0, COSH_TOLERANCE, 0},
{ 537, 1066627637u, 1385714428u, 1053358395u, 3007113740u, 1072693437u, 350440274u, 0, COSH_TOLERANCE, 0},
{ 538, 1068353711u, 599268545u, 3201368210u, 2309854744u, 1072695022u, 2853715097u, 0, COSH_TOLERANCE, 0},
{ 539, 1073100182u, 2840234388u, 3232496515u, 333365983u, 1073809120u, 943021507u, 0, COSH_TOLERANCE, 0},
{ 540, 1066894301u, 3136078996u, 3194520860u, 2650572904u, 1072693524u, 2113824954u, 0, COSH_TOLERANCE, 0},
{ 541, 3224250507u, 2405805086u, 3251640319u, 324233833u, 1094385400u, 243647767u, 0, COSH_TOLERANCE, 0},
{ 542, 1081533322u, 2589598340u, 3254677807u, 952438812u, 1625576728u, 2555502454u, 0, COSH_TOLERANCE, 0},
{ 543, 3213232021u, 1922837702u, 3216892718u, 3535907549u, 1072693308u, 2850257966u, 0, COSH_TOLERANCE, 0},
{ 544, 3226838652u, 261447440u, 3209805849u, 1150571079u, 1202630263u, 3739940447u, 0, COSH_TOLERANCE, 0},
{ 545, 1079028016u, 4026487528u, 1073152064u, 27340691u, 1172419967u, 273403284u, 0, COSH_TOLERANCE, 0},
{ 546, 3222832236u, 338765118u, 1086225786u, 3207238249u, 1080865281u, 1988978339u, 0, COSH_TOLERANCE, 0},
{ 547, 3215057071u, 1085283176u, 3187775111u, 1601194210u, 1072693887u, 1234434999u, 0, COSH_TOLERANCE, 0},
{ 548, 1078937261u, 3031712790u, 3252307859u, 170666844u, 1166209488u, 3602398320u, 0, COSH_TOLERANCE, 0},
{ 549, 3220959383u, 3148395674u, 1041913758u, 3306391490u, 1074241844u, 1170600793u, 0, COSH_TOLERANCE, 0},
{ 550, 3217005710u, 2205233857u, 3208100078u, 3993195511u, 1072701252u, 2077853917u, 0, COSH_TOLERANCE, 0},
{ 551, 1071893912u, 4282766727u, 1072820377u, 1874778218u, 1072900526u, 122630446u, 0, COSH_TOLERANCE, 0},
{ 552, 3218173124u, 2920860798u, 3218070226u, 3104066154u, 1072732352u, 3593381418u, 0, COSH_TOLERANCE, 0},
{ 553, 3217533263u, 969991373u, 3250596895u, 1734386152u, 1072711214u, 2580159905u, 0, COSH_TOLERANCE, 0},
{ 554, 3226332906u, 1218740205u, 3239802737u, 2610078504u, 1162127953u, 443854413u, 0, COSH_TOLERANCE, 0},
{ 555, 3217565578u, 1485218325u, 3220870240u, 3591664613u, 1072711973u, 2041209195u, 0, COSH_TOLERANCE, 0},
{ 556, 3216754207u, 690157417u, 3190850619u, 4192347699u, 1072699425u, 761927835u, 0, COSH_TOLERANCE, 0},
{ 557, 1079276594u, 4009839784u, 1079670252u, 394167192u, 1195402369u, 2525536651u, 0, COSH_TOLERANCE, 0},
{ 558, 3225122053u, 961532417u, 1092588071u, 2923790239u, 1113093443u, 609779704u, 0, COSH_TOLERANCE, 0},
{ 559, 3216462003u, 4174125604u, 1050682630u, 2169701868u, 1072697599u, 3489469939u, 0, COSH_TOLERANCE, 0},
{ 560, 3227363835u, 4146748230u, 1087373950u, 2481478351u, 1251094158u, 2672248790u, 0, COSH_TOLERANCE, 0},
{ 561, 1073842138u, 3984715440u, 1050421618u, 2446142566u, 1074929194u, 4289031035u, 0, COSH_TOLERANCE, 0},
{ 562, 1076832374u, 936290150u, 1100614426u, 3625806370u, 1095122996u, 79506389u, 0, COSH_TOLERANCE, 0},
{ 563, 1080913584u, 1866615265u, 3215651428u, 2337013350u, 1427761572u, 2464900529u, 0, COSH_TOLERANCE, 0},
{ 564, 3229081054u, 712227971u, 1106004723u, 973148499u, 1649293146u, 2977854696u, 0, COSH_TOLERANCE, 0},
{ 565, 3223796743u, 3409813738u, 3244817008u, 1933503498u, 1089149243u, 2552950095u, 0, COSH_TOLERANCE, 0},
{ 566, 1075749429u, 3180389060u, 3228735703u, 83422217u, 1083215044u, 462445497u, 0, COSH_TOLERANCE, 0},
{ 567, 1074732996u, 556972671u, 3204582372u, 841555801u, 1077443176u, 1826489999u, 0, COSH_TOLERANCE, 0},
{ 568, 1072864873u, 4189151332u, 1080874032u, 706326922u, 1073487027u, 3634656193u, 0, COSH_TOLERANCE, 0},
{ 569, 1079374091u, 198291836u, 1057281892u, 2188836928u, 1204328207u, 2535783908u, 0, COSH_TOLERANCE, 0},
{ 570, 1074946267u, 1219449298u, 3228734687u, 3504562743u, 1078508868u, 3068106638u, 0, COSH_TOLERANCE, 0},
{ 571, 3217153376u, 1776099219u, 1094316777u, 4188083896u, 1072703477u, 1585085350u, 0, COSH_TOLERANCE, 0},
{ 572, 3214817228u, 2614400266u, 1073750227u, 3003203347u, 1072693704u, 2559210418u, 0, COSH_TOLERANCE, 0},
{ 573, 3219225558u, 2959351406u, 1105603716u, 311851587u, 1072853689u, 712516923u, 0, COSH_TOLERANCE, 0},
{ 574, 1076155826u, 865443613u, 1097532516u, 3622237781u, 1087394673u, 3547871343u, 0, COSH_TOLERANCE, 0},
{ 575, 3223398058u, 447506102u, 3195759295u, 3603669725u, 1084535881u, 3942095505u, 0, COSH_TOLERANCE, 0},
{ 576, 1079015805u, 3934398273u, 1040996422u, 2968621268u, 1171312413u, 1233059955u, 0, COSH_TOLERANCE, 0},
{ 577, 3215614193u, 784208771u, 1088764788u, 2182296421u, 1072694639u, 4197891501u, 0, COSH_TOLERANCE, 0},
{ 578, 3228409347u, 1527590526u, 3206961556u, 2823164069u, 1430023448u, 2977499390u, 0, COSH_TOLERANCE, 0},
{ 579, 3225109795u, 3876699591u, 3207481130u, 4028148535u, 1112820018u, 4290703953u, 0, COSH_TOLERANCE, 0},
{ 580, 1076236154u, 2164249756u, 1059857743u, 1785169952u, 1088299515u, 3030929114u, 0, COSH_TOLERANCE, 0},
{ 581, 1078172521u, 2079273665u, 1080303860u, 625760474u, 1130877384u, 2820657748u, 0, COSH_TOLERANCE, 0},
{ 582, 3222291804u, 3636214836u, 1068367620u, 2932621925u, 1077753994u, 327873440u, 0, COSH_TOLERANCE, 0},
{ 583, 1066015468u, 4274131512u, 1047707755u, 92550763u, 1072693333u, 799714962u, 0, COSH_TOLERANCE, 0},
{ 584, 3215599337u, 2648933384u, 1084603503u, 3534304873u, 1072694616u, 652218503u, 0, COSH_TOLERANCE, 0},
{ 585, 1070854691u, 3216750767u, 3191088629u, 547482628u, 1072744584u, 2911958539u, 0, COSH_TOLERANCE, 0},
{ 586, 1070521958u, 1420360746u, 1080063101u, 1690029499u, 1072723888u, 941039659u, 0, COSH_TOLERANCE, 0},
{ 587, 3223563908u, 1908572179u, 1080112083u, 1228319033u, 1086478448u, 1758442849u, 0, COSH_TOLERANCE, 0},
{ 588, 1067032546u, 500312015u, 3212368508u, 3864619086u, 1072693576u, 1399130808u, 0, COSH_TOLERANCE, 0},
{ 589, 3221335610u, 4211343447u, 1087492676u, 4272583781u, 1074951104u, 2361482956u, 0, COSH_TOLERANCE, 0},
{ 590, 1080518026u, 2382118000u, 1042665328u, 567154882u, 1354785044u, 2043686521u, 0, COSH_TOLERANCE, 0},
{ 591, 1069547778u, 1435344339u, 3216303171u, 2275988178u, 1072701454u, 3091158837u, 0, COSH_TOLERANCE, 0},
{ 592, 3219781499u, 3403659753u, 3218043030u, 1926480488u, 1073057838u, 4175444865u, 0, COSH_TOLERANCE, 0},
{ 593, 1074743231u, 1198845185u, 3225556149u, 1130089684u, 1077474775u, 701774850u, 0, COSH_TOLERANCE, 0},
{ 594, 3221614466u, 2183928090u, 1048403956u, 963834821u, 1075784139u, 1781731416u, 0, COSH_TOLERANCE, 0},
{ 595, 1080701440u, 2120625396u, 1041006976u, 2137548527u, 1388588575u, 2814596158u, 0, COSH_TOLERANCE, 0},
{ 596, 1080355870u, 586700956u, 1059670521u, 303891699u, 1324761751u, 2561465523u, 0, COSH_TOLERANCE, 0},
{ 597, 3221091650u, 2509132460u, 1102827530u, 2205707903u, 1074438471u, 4293296615u, 0, COSH_TOLERANCE, 0},
{ 598, 3217443509u, 1229308263u, 3209170414u, 4206576047u, 1072709189u, 3659228835u, 0, COSH_TOLERANCE, 0},
{ 599, 3221979137u, 4078010749u, 3199236456u, 733478972u, 1076831279u, 1826871371u, 0, COSH_TOLERANCE, 0},
{ 600, 3215538376u, 4277541051u, 3199806921u, 397102023u, 1072694520u, 2308144239u, 0, COSH_TOLERANCE, 0},
{ 601, 3214849381u, 900999594u, 3234720188u, 2530214248u, 1072693719u, 2334938475u, 0, COSH_TOLERANCE, 0},
{ 602, 1074446396u, 4000609478u, 1096577064u, 4148592328u, 1076649246u, 103153889u, 0, COSH_TOLERANCE, 0},
{ 603, 1067542452u, 2154187873u, 3224392607u, 3957250362u, 1072693853u, 4008151472u, 0, COSH_TOLERANCE, 0},
{ 604, 3221316336u, 2867079200u, 1101870326u, 921212001u, 1074908512u, 2509700010u, 0, COSH_TOLERANCE, 0},
{ 605, 3223784706u, 674547716u, 1063216239u, 3929755226u, 1088993407u, 3179222759u, 0, COSH_TOLERANCE, 0},
{ 606, 3225735787u, 3158182449u, 1043794244u, 3259056345u, 1134618609u, 4149902865u, 0, COSH_TOLERANCE, 0},
{ 607, 3225242320u, 3002823940u, 1059511739u, 2832435794u, 1115891743u, 2207198717u, 0, COSH_TOLERANCE, 0},
{ 608, 3220450550u, 2196511929u, 1049973941u, 3672092877u, 1073643386u, 2318601716u, 0, COSH_TOLERANCE, 0},
{ 609, 1068263848u, 3655292191u, 1086438127u, 3567072906u, 1072694862u, 4213993228u, 0, COSH_TOLERANCE, 0},
{ 610, 3227458308u, 1617573614u, 3201863123u, 3090723732u, 1259777410u, 3864691446u, 0, COSH_TOLERANCE, 0},
{ 611, 3223764196u, 679893506u, 3211547753u, 824081024u, 1088758736u, 857579464u, 0, COSH_TOLERANCE, 0},
{ 612, 1076947613u, 2285242807u, 1084999409u, 2221731406u, 1097150618u, 2093305440u, 0, COSH_TOLERANCE, 0},
{ 613, 3217219424u, 1935990727u, 1088822246u, 1058156518u, 1072704666u, 953435733u, 0, COSH_TOLERANCE, 0},
{ 614, 1080819070u, 521023584u, 1059186903u, 4245163857u, 1410372185u, 1987577595u, 0, COSH_TOLERANCE, 0},
{ 615, 1081871044u, 2312887617u, 3191771354u, 1885370807u, 1750314185u, 485435265u, 0, COSH_TOLERANCE, 0},
{ 616, 3228836567u, 1796441468u, 1100030327u, 2772711004u, 1558966124u, 2025534396u, 0, COSH_TOLERANCE, 0},
{ 617, 3216859732u, 2095685003u, 1077984448u, 2100773742u, 1072700162u, 4253902229u, 0, COSH_TOLERANCE, 0},
{ 618, 3213926140u, 2892538035u, 1042396334u, 4162200338u, 1072693386u, 569374073u, 0, COSH_TOLERANCE, 0},
{ 619, 3226997111u, 2177698116u, 3227557177u, 150832500u, 1217246100u, 1325856495u, 0, COSH_TOLERANCE, 0},
{ 620, 3213582312u, 607966734u, 3236250630u, 4164600559u, 1072693341u, 2889359002u, 0, COSH_TOLERANCE, 0},
{ 621, 3219535540u, 2830122967u, 1046096700u, 3713346883u, 1072956203u, 1374575132u, 0, COSH_TOLERANCE, 0},
{ 622, 3224615051u, 2314640506u, 3203696416u, 3276228872u, 1101389827u, 2072666780u, 0, COSH_TOLERANCE, 0},
{ 623, 3219203763u, 469331883u, 3249037349u, 2999233437u, 1072847499u, 1996240604u, 0, COSH_TOLERANCE, 0},
{ 624, 1079556219u, 560886625u, 1091899487u, 748795120u, 1221147643u, 1766795176u, 0, COSH_TOLERANCE, 0},
{ 625, 1067712650u, 2958421324u, 1092569414u, 3235243477u, 1072694048u, 1164281115u, 0, COSH_TOLERANCE, 0},
{ 626, 3213998017u, 3221475559u, 1043038304u, 915608434u, 1072693404u, 4140936154u, 0, COSH_TOLERANCE, 0},
{ 627, 1073294682u, 3007808652u, 3216682290u, 2531019474u, 1074012135u, 896886954u, 0, COSH_TOLERANCE, 0},
{ 628, 3226300359u, 1767658578u, 3237045269u, 2313128318u, 1160682881u, 3225971130u, 0, COSH_TOLERANCE, 0},
{ 629, 3219006500u, 1926845182u, 1066835624u, 1783256828u, 1072811700u, 601434355u, 0, COSH_TOLERANCE, 0},
{ 630, 1065741453u, 90378038u, 1057168870u, 164358218u, 1072693308u, 358383822u, 0, COSH_TOLERANCE, 0},
{ 631, 1081693348u, 1610524680u, 1085283851u, 2903496007u, 1684679818u, 520929572u, 0, COSH_TOLERANCE, 0},
{ 632, 1075489858u, 4274321404u, 3202913591u, 720121831u, 1081645052u, 1137073838u, 0, COSH_TOLERANCE, 0},
{ 633, 1067982472u, 2034778236u, 1071133763u, 1413236391u, 1072694411u, 2978736869u, 0, COSH_TOLERANCE, 0},
{ 634, 1067840244u, 1489112261u, 1076691395u, 348210906u, 1072694211u, 2870609134u, 0, COSH_TOLERANCE, 0},
{ 635, 3217229677u, 2797651324u, 3224410527u, 2374818327u, 1072704856u, 2869857501u, 0, COSH_TOLERANCE, 0},
{ 636, 1077801496u, 1823161666u, 3197810695u, 3119680047u, 1116891443u, 2045262415u, 0, COSH_TOLERANCE, 0},
{ 637, 1072218792u, 3420950657u, 1087084743u, 2136638961u, 1073023120u, 888020177u, 0, COSH_TOLERANCE, 0},
{ 638, 1073047952u, 3554566429u, 1062907717u, 2736702589u, 1073761419u, 2894883977u, 0, COSH_TOLERANCE, 0},
{ 639, 3227062875u, 2928437580u, 3187765027u, 1393427873u, 1223274893u, 1790477232u, 0, COSH_TOLERANCE, 0},
{ 640, 3218738745u, 189447067u, 1051643315u, 828663513u, 1072781353u, 367269471u, 0, COSH_TOLERANCE, 0},
{ 641, 1068042509u, 2852350928u, 1045683757u, 673354280u, 1072694501u, 3387685354u, 0, COSH_TOLERANCE, 0},
{ 642, 1065966397u, 3589563265u, 3248741629u, 812657927u, 1072693328u, 1586913836u, 0, COSH_TOLERANCE, 0},
{ 643, 3213679498u, 1766416701u, 1100392103u, 2185373290u, 1072693352u, 415400947u, 0, COSH_TOLERANCE, 0},
{ 644, 3220275389u, 3763582673u, 3191965790u, 388374829u, 1073385772u, 4240820449u, 0, COSH_TOLERANCE, 0},
{ 645, 1075440832u, 1187403069u, 1075300235u, 336640304u, 1081370125u, 3682779662u, 0, COSH_TOLERANCE, 0},
{ 646, 1081906155u, 1718795752u, 3243118752u, 683369237u, 1763270328u, 2150807698u, 0, COSH_TOLERANCE, 0},
{ 647, 3218132129u, 1863545307u, 1069449477u, 3418627399u, 1072729579u, 3284902905u, 0, COSH_TOLERANCE, 0},
{ 648, 1072747022u, 3295607249u, 1068878592u, 1633297809u, 1073328061u, 1666517126u, 0, COSH_TOLERANCE, 0},
{ 649, 1070481463u, 2585980994u, 3236670483u, 1286750688u, 1072722668u, 848603239u, 0, COSH_TOLERANCE, 0},
{ 650, 1067128553u, 15816845u, 3233249283u, 2491924775u, 1072693614u, 4044617895u, 0, COSH_TOLERANCE, 0},
{ 651, 1065481693u, 1051983351u, 1049180786u, 1474421917u, 1072693288u, 1384210764u, 0, COSH_TOLERANCE, 0},
{ 652, 3216978165u, 2003816032u, 1086050104u, 668090487u, 1072701040u, 3365823522u, 0, COSH_TOLERANCE, 0},
{ 653, 1068284677u, 3671484625u, 1067020039u, 430024694u, 1072694899u, 1388039659u, 0, COSH_TOLERANCE, 0},
{ 654, 1072639990u, 3991830201u, 3207808714u, 1021245839u, 1073231933u, 3593074248u, 0, COSH_TOLERANCE, 0},
{ 655, 1071534423u, 4255801807u, 3207681716u, 1926756877u, 1072813117u, 3996147524u, 0, COSH_TOLERANCE, 0},
{ 656, 1067869425u, 4167786896u, 1077097744u, 1775517981u, 1072694251u, 733571701u, 0, COSH_TOLERANCE, 0},
{ 657, 1076164794u, 3187518564u, 1082437406u, 944672491u, 1087470446u, 2671993134u, 0, COSH_TOLERANCE, 0},
{ 658, 1068240650u, 953085192u, 3227310828u, 3459155777u, 1072694822u, 4213317825u, 0, COSH_TOLERANCE, 0},
{ 659, 1072648234u, 1908555460u, 1073640207u, 260441967u, 1073236630u, 142454325u, 0, COSH_TOLERANCE, 0},
{ 660, 1072462486u, 250762477u, 1072582645u, 2886742039u, 1073136645u, 291307456u, 0, COSH_TOLERANCE, 0},
{ 661, 3228885910u, 786180031u, 3197734769u, 2788918312u, 1577200566u, 2788902326u, 0, COSH_TOLERANCE, 0},
{ 662, 3225074643u, 2055912467u, 3244244909u, 1394142937u, 1111997077u, 3336869072u, 0, COSH_TOLERANCE, 0},
{ 663, 1072758713u, 91984146u, 3222252812u, 4126276047u, 1073342848u, 1253513367u, 0, COSH_TOLERANCE, 0},
{ 664, 1075048683u, 3942715706u, 3239316352u, 410676547u, 1079134213u, 267559533u, 0, COSH_TOLERANCE, 0},
{ 665, 3215335062u, 86296211u, 1085850694u, 649202596u, 1072694226u, 2983711788u, 0, COSH_TOLERANCE, 0},
{ 666, 3226492024u, 3069064472u, 3237358008u, 23209276u, 1170562231u, 633460538u, 0, COSH_TOLERANCE, 0},
{ 667, 1074943832u, 1867297860u, 1072956607u, 2513414118u, 1078493882u, 1616885989u, 0, COSH_TOLERANCE, 0},
{ 668, 3228513251u, 3171788768u, 3235208783u, 162138697u, 1449229135u, 3375110619u, 0, COSH_TOLERANCE, 0},
{ 669, 1075436999u, 1245110700u, 1081653954u, 2584994077u, 1081350721u, 957691310u, 0, COSH_TOLERANCE, 0},
{ 670, 3226635752u, 3347226587u, 1058962932u, 2291943376u, 1183896710u, 168233073u, 0, COSH_TOLERANCE, 0},
{ 671, 1070433398u, 966940828u, 1060726420u, 2798041096u, 1072721252u, 2966013057u, 0, COSH_TOLERANCE, 0},
{ 672, 1072793759u, 2487340727u, 3223786370u, 4105954991u, 1073388450u, 3307746147u, 0, COSH_TOLERANCE, 0},
{ 673, 3228193553u, 1671039260u, 1086395032u, 3745833360u, 1390173013u, 393415964u, 0, COSH_TOLERANCE, 0},
{ 674, 1069661709u, 651714217u, 1047070645u, 2130549237u, 1072703337u, 2120747923u, 0, COSH_TOLERANCE, 0},
{ 675, 3217601491u, 1423000172u, 3247822717u, 1551488170u, 1072712835u, 1816865234u, 0, COSH_TOLERANCE, 0},
{ 676, 3216277371u, 921077236u, 3213332351u, 1431049019u, 1072696611u, 565650984u, 0, COSH_TOLERANCE, 0},
{ 677, 1071704599u, 655715547u, 3190985373u, 1527556471u, 1072843172u, 1336277049u, 0, COSH_TOLERANCE, 0},
{ 678, 3222412099u, 4110878657u, 3251297180u, 879739345u, 1078402367u, 500635058u, 0, COSH_TOLERANCE, 0},
{ 679, 1076367578u, 2623955764u, 1093699897u, 1216444475u, 1089767499u, 3859717334u, 0, COSH_TOLERANCE, 0},
{ 680, 1078274115u, 107442539u, 3239767031u, 1149813329u, 1135642519u, 2525054892u, 0, COSH_TOLERANCE, 0},
{ 681, 3224008056u, 1761361082u, 3226030205u, 1121849716u, 1091632053u, 723647737u, 0, COSH_TOLERANCE, 0},
{ 682, 3226455627u, 2534144722u, 1044223733u, 3512285706u, 1167807417u, 2831697989u, 0, COSH_TOLERANCE, 0},
{ 683, 3218137533u, 4073670723u, 1050729852u, 3034818849u, 1072729939u, 1759331685u, 0, COSH_TOLERANCE, 0},
{ 684, 1081013054u, 1421423503u, 1060278048u, 1397153092u, 1446153340u, 3645912721u, 0, COSH_TOLERANCE, 0},
{ 685, 3220567557u, 1649206019u, 1104525577u, 1267104290u, 1073793966u, 3599940925u, 0, COSH_TOLERANCE, 0},
{ 686, 3213419345u, 3775270392u, 1040251850u, 68667319u, 1072693325u, 1835336288u, 0, COSH_TOLERANCE, 0},
{ 687, 3216913812u, 3099226694u, 3254103006u, 4020102648u, 1072700557u, 1248825926u, 0, COSH_TOLERANCE, 0},
{ 688, 3216271776u, 3718441177u, 3215643451u, 4032951536u, 1072696583u, 704224480u, 0, COSH_TOLERANCE, 0},
{ 689, 1066151467u, 508048351u, 3210196713u, 1707937896u, 1072693347u, 1151265229u, 0, COSH_TOLERANCE, 0},
{ 690, 3215388843u, 2784738160u, 1073435430u, 1109346010u, 1072694300u, 2895740676u, 0, COSH_TOLERANCE, 0},
{ 691, 3222579562u, 3331916473u, 3238794568u, 2707019594u, 1079370721u, 3655030168u, 0, COSH_TOLERANCE, 0},
{ 692, 1078502606u, 3093165197u, 1072894805u, 2853215019u, 1146174228u, 2594603642u, 0, COSH_TOLERANCE, 0},
{ 693, 3219727867u, 2135797997u, 1048399559u, 2941926126u, 1073034070u, 1282347664u, 0, COSH_TOLERANCE, 0},
{ 694, 1067305348u, 2083412145u, 3249335391u, 507212448u, 1072693691u, 2874470125u, 0, COSH_TOLERANCE, 0},
{ 695, 1074315175u, 4270176401u, 3246546709u, 3288753319u, 1076238829u, 3050002800u, 0, COSH_TOLERANCE, 0},
{ 696, 3228009919u, 3692175292u, 3197271515u, 3989064196u, 1356228656u, 3358892546u, 0, COSH_TOLERANCE, 0},
{ 697, 3228623066u, 3111924274u, 1066772558u, 59281695u, 1480086690u, 2342955533u, 0, COSH_TOLERANCE, 0},
{ 698, 1071878215u, 2135245466u, 3208804313u, 3846547392u, 1072895387u, 4144720311u, 0, COSH_TOLERANCE, 0},
{ 699, 1079149171u, 972051266u, 3222814246u, 3539700586u, 1183589479u, 2607924773u, 0, COSH_TOLERANCE, 0},
{ 700, 3216597418u, 330951080u, 1079189813u, 583922384u, 1072698405u, 4243865843u, 0, COSH_TOLERANCE, 0},
{ 701, 1077057180u, 1711944085u, 1104170032u, 643991456u, 1099706751u, 436337680u, 0, COSH_TOLERANCE, 0},
{ 702, 3224992365u, 2072550721u, 3250147641u, 4280263530u, 1110117290u, 2591847584u, 0, COSH_TOLERANCE, 0},
{ 703, 3213944226u, 1566376352u, 1067251433u, 72984588u, 1072693390u, 3254259422u, 0, COSH_TOLERANCE, 0},
{ 704, 1079547929u, 3103043079u, 1045853123u, 410067497u, 1220439527u, 692790947u, 0, COSH_TOLERANCE, 0},
{ 705, 3219818221u, 1910366299u, 1081770885u, 634683073u, 1073074645u, 1429806814u, 0, COSH_TOLERANCE, 0},
{ 706, 1075239232u, 2226525875u, 3224149290u, 2126302825u, 1080223855u, 1320759816u, 0, COSH_TOLERANCE, 0},
{ 707, 1073150247u, 1383818978u, 3193885723u, 1220372650u, 1073857441u, 263464829u, 0, COSH_TOLERANCE, 0},
{ 708, 1071725823u, 1953339096u, 1077176252u, 1476516558u, 1072849107u, 4237100024u, 0, COSH_TOLERANCE, 0},
{ 709, 1072383456u, 1306277326u, 1079089150u, 4093716191u, 1073097698u, 3030680746u, 0, COSH_TOLERANCE, 0},
{ 710, 3223711603u, 51750045u, 3242913901u, 4256866157u, 1088179763u, 3515333215u, 0, COSH_TOLERANCE, 0},
{ 711, 3213959335u, 2163853087u, 3232053146u, 2962422808u, 1072693394u, 2920600260u, 0, COSH_TOLERANCE, 0},
{ 712, 1074468369u, 1618388148u, 3233154824u, 3711953164u, 1076728610u, 463521720u, 0, COSH_TOLERANCE, 0},
{ 713, 3227993634u, 357108214u, 3202294604u, 2306775262u, 1353223522u, 1996029149u, 0, COSH_TOLERANCE, 0},
{ 714, 3216584150u, 2571356437u, 3249064063u, 2394851808u, 1072698323u, 4161073125u, 0, COSH_TOLERANCE, 0},
{ 715, 3224196635u, 4273880094u, 1103698617u, 3578832032u, 1093789145u, 485628572u, 0, COSH_TOLERANCE, 0},
{ 716, 3223989517u, 2091068742u, 3228270226u, 3980489730u, 1091402892u, 675814748u, 0, COSH_TOLERANCE, 0},
{ 717, 3222725296u, 2772307714u, 1051008486u, 32546576u, 1080235328u, 3668049513u, 0, COSH_TOLERANCE, 0},
{ 718, 3225500575u, 2143788498u, 3195498043u, 3630119231u, 1123707886u, 237087314u, 0, COSH_TOLERANCE, 0},
{ 719, 3215410151u, 2527385594u, 3240503648u, 3482095012u, 1072694330u, 3136314740u, 0, COSH_TOLERANCE, 0},
{ 720, 3226440159u, 2690097362u, 1068598730u, 2360266862u, 1167133545u, 2847015826u, 0, COSH_TOLERANCE, 0},
{ 721, 1070392205u, 2673272949u, 1082639557u, 522449749u, 1072720067u, 3056493936u, 0, COSH_TOLERANCE, 0},
{ 722, 1081355475u, 3596379400u, 3242016775u, 2002293002u, 1559892600u, 3057535830u, 0, COSH_TOLERANCE, 0},
{ 723, 1080565288u, 4113224369u, 3222122439u, 2152316893u, 1363443372u, 2667631927u, 0, COSH_TOLERANCE, 0},
{ 724, 3220796716u, 31662602u, 1047721249u, 1747087514u, 1074033558u, 858447424u, 0, COSH_TOLERANCE, 0},
{ 725, 3228443661u, 2489659568u, 1097051253u, 277506957u, 1436371380u, 1518851146u, 0, COSH_TOLERANCE, 0},
{ 726, 3213421930u, 3850162281u, 3213841942u, 438724093u, 1072693325u, 2890275848u, 0, COSH_TOLERANCE, 0},
{ 727, 1079663895u, 2431814052u, 1075518084u, 2672434118u, 1231134099u, 340027527u, 0, COSH_TOLERANCE, 0},
{ 728, 3227434095u, 391606792u, 1048184750u, 4168944276u, 1257550215u, 1300409563u, 0, COSH_TOLERANCE, 0},
{ 729, 3227869472u, 457529672u, 3201090276u, 72407935u, 1330311224u, 3560882185u, 0, COSH_TOLERANCE, 0},
{ 730, 3220817871u, 3954981400u, 1052053242u, 2411049585u, 1074058719u, 3705062022u, 0, COSH_TOLERANCE, 0},
{ 731, 1076742907u, 485456950u, 1088415093u, 1655397424u, 1094089911u, 1354371166u, 0, COSH_TOLERANCE, 0},
{ 732, 3215011644u, 1551748070u, 3236871640u, 1329701152u, 1072693838u, 2879963114u, 0, COSH_TOLERANCE, 0},
{ 733, 3221493394u, 3099222537u, 1104984570u, 4293792842u, 1075366946u, 508314344u, 0, COSH_TOLERANCE, 0},
{ 734, 3216532617u, 3603065260u, 3197735968u, 2402359253u, 1072698011u, 2766024004u, 0, COSH_TOLERANCE, 0},
{ 735, 3215601800u, 3961208159u, 3219057584u, 2340553876u, 1072694620u, 379258978u, 0, COSH_TOLERANCE, 0},
{ 736, 1073833333u, 4014841779u, 3197672877u, 3697233334u, 1074909912u, 2808921288u, 0, COSH_TOLERANCE, 0},
{ 737, 3219567113u, 1403876392u, 3254028950u, 921363393u, 1072968212u, 2144303717u, 0, COSH_TOLERANCE, 0},
{ 738, 1082085982u, 1862576361u, 3194031708u, 2476290925u, 1829767895u, 2702820797u, 0, COSH_TOLERANCE, 0},
{ 739, 1067487560u, 1454212851u, 1088378861u, 3400401866u, 1072693797u, 54461841u, 0, COSH_TOLERANCE, 0},
{ 740, 1074406809u, 552676385u, 3188635745u, 3778112968u, 1076514406u, 2547119721u, 0, COSH_TOLERANCE, 0},
{ 741, 3219555010u, 1199568671u, 3225679997u, 46947405u, 1072963573u, 2577290657u, 0, COSH_TOLERANCE, 0},
{ 742, 1074539809u, 2596231448u, 3253943728u, 2219151748u, 1076949249u, 741854126u, 0, COSH_TOLERANCE, 0},
{ 743, 1071769915u, 4119719558u, 3222036299u, 1275474618u, 1072861834u, 622536215u, 0, COSH_TOLERANCE, 0},
{ 744, 3226277175u, 3347296825u, 1101507910u, 1254014794u, 1159605697u, 2046925534u, 0, COSH_TOLERANCE, 0},
{ 745, 1076779960u, 673775040u, 1070743626u, 244126093u, 1094571370u, 3392967795u, 0, COSH_TOLERANCE, 0},
{ 746, 3216831338u, 1832066983u, 1051358028u, 3262483417u, 1072699960u, 1544307325u, 0, COSH_TOLERANCE, 0},
{ 747, 1074413872u, 3962610501u, 3198598777u, 849269178u, 1076537724u, 1233885306u, 0, COSH_TOLERANCE, 0},
{ 748, 3224988140u, 2497516122u, 3254374111u, 2821429629u, 1110006630u, 4293280082u, 0, COSH_TOLERANCE, 0},
{ 749, 1074139136u, 2805941787u, 3217785843u, 779131141u, 1075816532u, 1482854069u, 0, COSH_TOLERANCE, 0},
{ 750, 3222714382u, 723423605u, 1084533420u, 627282213u, 1080184328u, 3302770918u, 0, COSH_TOLERANCE, 0},
{ 751, 3220141984u, 4292778869u, 1078101071u, 1676860147u, 1073242418u, 3635086186u, 0, COSH_TOLERANCE, 0},
{ 752, 1074191350u, 3528118587u, 3194648564u, 2363260897u, 1075935555u, 289356259u, 0, COSH_TOLERANCE, 0},
{ 753, 3214917975u, 1307010018u, 1061248120u, 1468743108u, 1072693752u, 1022163092u, 0, COSH_TOLERANCE, 0},
{ 754, 3227708771u, 107905661u, 3226089788u, 1943427674u, 1300618543u, 73406449u, 0, COSH_TOLERANCE, 0},
{ 755, 3213396365u, 760006940u, 1054265604u, 1749976597u, 1072693323u, 1120345363u, 0, COSH_TOLERANCE, 0},
{ 756, 3225190472u, 2787503556u, 1081282610u, 1195841206u, 1114725979u, 1251355153u, 0, COSH_TOLERANCE, 0},
{ 757, 3213822252u, 545462045u, 3208381743u, 1981311808u, 1072693368u, 1740079808u, 0, COSH_TOLERANCE, 0},
{ 758, 1070669320u, 3657978397u, 1104463616u, 3501253426u, 1072730976u, 1944423667u, 0, COSH_TOLERANCE, 0},
{ 759, 1067709649u, 1804177501u, 3210693633u, 3606766729u, 1072694044u, 2621219149u, 0, COSH_TOLERANCE, 0},
{ 760, 1074759727u, 1336278526u, 1043741618u, 3165279431u, 1077527020u, 1512975247u, 0, COSH_TOLERANCE, 0},
{ 761, 1069103403u, 1599382075u, 1058018527u, 4212580517u, 1072698341u, 3629517488u, 0, COSH_TOLERANCE, 0},
{ 762, 3217988086u, 3007589929u, 3202026547u, 2792028313u, 1072723357u, 1307088321u, 0, COSH_TOLERANCE, 0},
{ 763, 3228965522u, 1866066996u, 1060329048u, 3727175322u, 1606595077u, 1771558986u, 0, COSH_TOLERANCE, 0},
{ 764, 3215193859u, 150890940u, 1056025306u, 3082724735u, 1072694045u, 1265676852u, 0, COSH_TOLERANCE, 0},
{ 765, 1071446123u, 80400395u, 1093584426u, 3478941315u, 1072802523u, 752465669u, 0, COSH_TOLERANCE, 0},
{ 766, 3228571942u, 4050954182u, 3219263194u, 2537475930u, 1461204778u, 405562207u, 0, COSH_TOLERANCE, 0},
{ 767, 1071133327u, 2881752155u, 3212589299u, 2559651278u, 1072769091u, 2237199419u, 0, COSH_TOLERANCE, 0},
{ 768, 3228044784u, 440309030u, 3214267461u, 3788040806u, 1362669700u, 3272529857u, 0, COSH_TOLERANCE, 0},
{ 769, 1080553671u, 918813144u, 3208535698u, 1607035904u, 1361304066u, 4120585298u, 0, COSH_TOLERANCE, 0},
{ 770, 1066254699u, 2497054124u, 1089139147u, 2549609010u, 1072693358u, 2903505685u, 0, COSH_TOLERANCE, 0},
{ 771, 1066960585u, 790219083u, 1054657139u, 2797979479u, 1072693548u, 3389416957u, 0, COSH_TOLERANCE, 0},
{ 772, 1070364312u, 1149462078u, 1095765205u, 3879963182u, 1072719280u, 154258113u, 0, COSH_TOLERANCE, 0},
{ 773, 3216361301u, 2684353926u, 3205212854u, 1732474928u, 1072697044u, 3289630565u, 0, COSH_TOLERANCE, 0},
{ 774, 1079508325u, 2742237025u, 1051317716u, 3386396147u, 1216722133u, 1976234612u, 0, COSH_TOLERANCE, 0},
{ 775, 1071619594u, 3408320912u, 1103071166u, 4233059513u, 1072823827u, 3155315775u, 0, COSH_TOLERANCE, 0},
{ 776, 1071155004u, 1077495917u, 1088399968u, 433115118u, 1072771204u, 2638172126u, 0, COSH_TOLERANCE, 0},
{ 777, 3217130484u, 841366493u, 1051716814u, 4121125128u, 1072703080u, 2725484085u, 0, COSH_TOLERANCE, 0},
{ 778, 1070923540u, 321857207u, 1089128010u, 1149988239u, 1072750184u, 2497194249u, 0, COSH_TOLERANCE, 0},
{ 779, 3226668295u, 799866606u, 3197637091u, 3924438208u, 1186900516u, 3227583322u, 0, COSH_TOLERANCE, 0},
{ 780, 3213082986u, 2002049816u, 1077053447u, 2240354761u, 1072693296u, 3373709313u, 0, COSH_TOLERANCE, 0},
{ 781, 3222714827u, 478939968u, 1097035749u, 1066716440u, 1080186366u, 2582859282u, 0, COSH_TOLERANCE, 0},
{ 782, 3224085033u, 1653104725u, 1088548129u, 81977716u, 1092521464u, 1441379124u, 0, COSH_TOLERANCE, 0},
{ 783, 3215735644u, 3899475018u, 3189694084u, 3330093036u, 1072694842u, 2073424147u, 0, COSH_TOLERANCE, 0},
{ 784, 1077778247u, 2612450289u, 1079065127u, 603380842u, 1116328756u, 409577748u, 0, COSH_TOLERANCE, 0},
{ 785, 1080713847u, 3962735564u, 1101570429u, 1372490825u, 1390866750u, 1157784041u, 0, COSH_TOLERANCE, 0},
{ 786, 1069486080u, 1479841439u, 1059312257u, 541504905u, 1072700976u, 2186360231u, 0, COSH_TOLERANCE, 0},
{ 787, 1075516450u, 2626148789u, 1057571099u, 4121656076u, 1081817128u, 1530368747u, 0, COSH_TOLERANCE, 0},
{ 788, 1075321933u, 1902560314u, 1043130231u, 3557671562u, 1080683467u, 1859697987u, 0, COSH_TOLERANCE, 0},
{ 789, 3214801292u, 41779312u, 1081626342u, 831171823u, 1072693697u, 1186166695u, 0, COSH_TOLERANCE, 0},
{ 790, 1069665436u, 1393168821u, 1066457405u, 1381616968u, 1072703402u, 1650632034u, 0, COSH_TOLERANCE, 0},
{ 791, 1073386717u, 3756584649u, 3222267229u, 1423157432u, 1074123576u, 1665585151u, 0, COSH_TOLERANCE, 0},
{ 792, 3229269850u, 1894912556u, 1042426694u, 155024547u, 1718965712u, 945429025u, 0, COSH_TOLERANCE, 0},
{ 793, 3214327880u, 35164295u, 3203391785u, 1037041084u, 1072693506u, 3508532193u, 0, COSH_TOLERANCE, 0},
{ 794, 1076388871u, 3957875950u, 3232195211u, 1590756436u, 1090004859u, 3120776328u, 0, COSH_TOLERANCE, 0},
{ 795, 1071990050u, 1447585080u, 1071279485u, 1107922438u, 1072933539u, 2209886006u, 0, COSH_TOLERANCE, 0},
{ 796, 1067224038u, 981897615u, 1051856116u, 430357614u, 1072693655u, 2049552706u, 0, COSH_TOLERANCE, 0},
{ 797, 3222281335u, 395145384u, 3219821938u, 50586510u, 1077679062u, 1276809098u, 0, COSH_TOLERANCE, 0},
{ 798, 1072921640u, 750827797u, 1082862669u, 230466783u, 1073571776u, 3511683862u, 0, COSH_TOLERANCE, 0},
{ 799, 1077231635u, 1365083575u, 3204848310u, 1700831722u, 1103707567u, 2384443675u, 0, COSH_TOLERANCE, 0},
{ 800, 3220187542u, 344241827u, 1071538935u, 2715566077u, 1073275304u, 928327191u, 0, COSH_TOLERANCE, 0},
{ 801, 3227659912u, 4069301823u, 3193208760u, 2949125229u, 1291633407u, 3577170264u, 0, COSH_TOLERANCE, 0},
{ 802, 1081211291u, 3585711710u, 1065801594u, 2302229267u, 1506690422u, 4025253862u, 0, COSH_TOLERANCE, 0},
{ 803, 3214041900u, 709803845u, 1048741487u, 2296910194u, 1072693417u, 226115727u, 0, COSH_TOLERANCE, 0},
{ 804, 3214252299u, 744421179u, 1069302001u, 2659232829u, 1072693481u, 1038120994u, 0, COSH_TOLERANCE, 0},
{ 805, 1078155904u, 1799949903u, 3192522886u, 4212149209u, 1130147983u, 2298972399u, 0, COSH_TOLERANCE, 0},
{ 806, 3217642838u, 145234164u, 3250614064u, 912384201u, 1072713852u, 135186305u, 0, COSH_TOLERANCE, 0},
{ 807, 3225830600u, 2784620507u, 1102812948u, 3531481022u, 1138955264u, 414543568u, 0, COSH_TOLERANCE, 0},
{ 808, 3229139567u, 383952592u, 3205659905u, 3633194728u, 1670843603u, 1189342136u, 0, COSH_TOLERANCE, 0},
{ 809, 3216059164u, 3792395543u, 1070072378u, 3864816376u, 1072695606u, 3943605180u, 0, COSH_TOLERANCE, 0},
{ 810, 3217899185u, 2115553675u, 1066288499u, 3538377867u, 1072720735u, 3043278424u, 0, COSH_TOLERANCE, 0},
{ 811, 3229006513u, 1230026762u, 1090719723u, 440819880u, 1621709547u, 2644861228u, 0, COSH_TOLERANCE, 0},
{ 812, 3214518020u, 2991290482u, 1096886719u, 1097971167u, 1072693577u, 173583143u, 0, COSH_TOLERANCE, 0},
{ 813, 1077465688u, 1098035020u, 3230900504u, 1479059095u, 1109134739u, 1050435763u, 0, COSH_TOLERANCE, 0},
{ 814, 3229036868u, 1719428427u, 3188631907u, 3707377409u, 1632924552u, 1550018828u, 0, COSH_TOLERANCE, 0},
{ 815, 1068964805u, 3748932896u, 1084908557u, 1325384361u, 1072697522u, 3948486792u, 0, COSH_TOLERANCE, 0},
{ 816, 1076315468u, 3979168763u, 1057455255u, 2454615952u, 1089181690u, 2958015221u, 0, COSH_TOLERANCE, 0},
{ 817, 1068835624u, 1449164578u, 1056960316u, 1654931641u, 1072696824u, 1401361151u, 0, COSH_TOLERANCE, 0},
{ 818, 1073536162u, 2120487381u, 3226298974u, 2364226633u, 1074328434u, 1815453534u, 0, COSH_TOLERANCE, 0},
{ 819, 1074022852u, 1074268944u, 1065730444u, 280016852u, 1075407548u, 3974776385u, 0, COSH_TOLERANCE, 0},
{ 820, 3216036896u, 3315127889u, 3236295594u, 2900924954u, 1072695514u, 1876741827u, 0, COSH_TOLERANCE, 0},
{ 821, 3215300259u, 2246037502u, 1049691002u, 1496066550u, 1072694180u, 1112214741u, 0, COSH_TOLERANCE, 0},
{ 822, 3213978379u, 4191285446u, 3217936236u, 2382392789u, 1072693399u, 3005009332u, 0, COSH_TOLERANCE, 0},
{ 823, 1078153244u, 640099844u, 1042152237u, 2064279383u, 1130001370u, 3369789477u, 0, COSH_TOLERANCE, 0},
{ 824, 1075719134u, 3468560824u, 1093251038u, 310958750u, 1083014335u, 205376381u, 0, COSH_TOLERANCE, 0},
{ 825, 1080011184u, 1413568905u, 1100941106u, 1627289946u, 1263163319u, 2702685927u, 0, COSH_TOLERANCE, 0},
{ 826, 3213569646u, 3797143370u, 3195497539u, 3843275034u, 1072693340u, 1523765613u, 0, COSH_TOLERANCE, 0},
{ 827, 3229008721u, 2806642640u, 3201943068u, 2515980718u, 1622521255u, 1495856927u, 0, COSH_TOLERANCE, 0},
{ 828, 1077440132u, 632580632u, 1078673506u, 3259601317u, 1108541069u, 1728707154u, 0, COSH_TOLERANCE, 0},
{ 829, 3216709215u, 3309678799u, 1049337078u, 3056787074u, 1072699123u, 1270833534u, 0, COSH_TOLERANCE, 0},
{ 830, 3221495289u, 2341164249u, 1080834967u, 2810890005u, 1075372753u, 706611161u, 0, COSH_TOLERANCE, 0},
{ 831, 1072262554u, 932124675u, 1093915797u, 662682630u, 1073042092u, 3650070814u, 0, COSH_TOLERANCE, 0},
{ 832, 3228258571u, 1367996113u, 3251723684u, 2974064663u, 1402167137u, 835372527u, 0, COSH_TOLERANCE, 0},
{ 833, 1074987851u, 323437999u, 1090499064u, 901457511u, 1078787526u, 1748132310u, 0, COSH_TOLERANCE, 0},
{ 834, 3225293116u, 4184941840u, 3196770014u, 2458988443u, 1117047527u, 356853259u, 0, COSH_TOLERANCE, 0},
{ 835, 1077132524u, 2023065054u, 3211994098u, 2734612965u, 1101414558u, 3575590741u, 0, COSH_TOLERANCE, 0},
{ 836, 1071414726u, 3679267365u, 3237728785u, 1699558211u, 1072798880u, 129754064u, 0, COSH_TOLERANCE, 0},
{ 837, 1077593250u, 1826799031u, 1078709629u, 3986905229u, 1112051516u, 1053308024u, 0, COSH_TOLERANCE, 0},
{ 838, 1068572425u, 351061688u, 3194386466u, 4105857588u, 1072695593u, 4153306203u, 0, COSH_TOLERANCE, 0},
{ 839, 1068808070u, 1365244058u, 1064457319u, 1452191426u, 1072696683u, 1681752437u, 0, COSH_TOLERANCE, 0},
{ 840, 1071462417u, 2463030625u, 3215975031u, 3773488326u, 1072804439u, 2238472752u, 0, COSH_TOLERANCE, 0},
{ 841, 3229256575u, 752664055u, 1065110394u, 1835931663u, 1714075118u, 149401169u, 0, COSH_TOLERANCE, 0},
{ 842, 1077559328u, 3496172149u, 1089617208u, 109068701u, 1111311801u, 1798297128u, 0, COSH_TOLERANCE, 0},
{ 843, 3215960879u, 1636966254u, 1086098766u, 2016598298u, 1072695254u, 1939764603u, 0, COSH_TOLERANCE, 0},
{ 844, 1067708534u, 3551516956u, 1097969102u, 1317953425u, 1072694043u, 1086280677u, 0, COSH_TOLERANCE, 0},
{ 845, 3223540761u, 2977627788u, 1045339018u, 516058480u, 1086242904u, 2098662703u, 0, COSH_TOLERANCE, 0},
{ 846, 3224825666u, 3901731263u, 3189566462u, 32272932u, 1106313364u, 1335776681u, 0, COSH_TOLERANCE, 0},
{ 847, 1074136068u, 1956025297u, 3246628529u, 3840733905u, 1075804523u, 2847820500u, 0, COSH_TOLERANCE, 0},
{ 848, 1080943668u, 561057891u, 3198494340u, 4271027193u, 1433394156u, 930486357u, 0, COSH_TOLERANCE, 0},
{ 849, 3228909825u, 692989850u, 3242630588u, 2492225971u, 1585995290u, 319542345u, 0, COSH_TOLERANCE, 0},
{ 850, 3218062309u, 3439913962u, 1067477011u, 2973333638u, 1072725638u, 3634823438u, 0, COSH_TOLERANCE, 0},
{ 851, 3219236869u, 877613377u, 1044917899u, 809672798u, 1072856952u, 2796036778u, 0, COSH_TOLERANCE, 0},
{ 852, 3222171454u, 905426932u, 1046417457u, 1086320855u, 1077310812u, 2851365163u, 0, COSH_TOLERANCE, 0},
{ 853, 3227472261u, 2645567288u, 1051258339u, 557182478u, 1261081230u, 3197735669u, 0, COSH_TOLERANCE, 0},
{ 854, 3216640862u, 186287752u, 1061342054u, 4054003419u, 1072698679u, 729206068u, 0, COSH_TOLERANCE, 0},
{ 855, 1079440881u, 3506889716u, 3243866036u, 519056371u, 1210492348u, 931610429u, 0, COSH_TOLERANCE, 0},
{ 856, 1065722725u, 2171898436u, 3246911982u, 1091500784u, 1072693306u, 2265047919u, 0, COSH_TOLERANCE, 0},
{ 857, 3226870457u, 368493885u, 3222871893u, 1419055230u, 1205516424u, 2259354588u, 0, COSH_TOLERANCE, 0},
{ 858, 1078319084u, 2010971245u, 3188804530u, 1518695799u, 1137724679u, 3191526077u, 0, COSH_TOLERANCE, 0},
{ 859, 3218009421u, 1239207795u, 1040192984u, 2199481342u, 1072724004u, 1939639299u, 0, COSH_TOLERANCE, 0},
{ 860, 3218318669u, 4264613432u, 3203460972u, 3558930895u, 1072743039u, 1280148500u, 0, COSH_TOLERANCE, 0},
{ 861, 1068125075u, 3772748958u, 3227667376u, 309688336u, 1072694631u, 780493773u, 0, COSH_TOLERANCE, 0},
{ 862, 3223403009u, 1077949160u, 1075769893u, 2405271377u, 1084588117u, 750360291u, 0, COSH_TOLERANCE, 0},
{ 863, 1078203664u, 3751608506u, 3232278094u, 930375071u, 1132383966u, 338172682u, 0, COSH_TOLERANCE, 0},
{ 864, 3215394369u, 1518334131u, 3205247482u, 791756713u, 1072694308u, 1837710716u, 0, COSH_TOLERANCE, 0},
{ 865, 1067240397u, 2825203170u, 3245054001u, 1822981827u, 1072693662u, 2728197500u, 0, COSH_TOLERANCE, 0},
{ 866, 1080093419u, 514474738u, 1089072073u, 3300845441u, 1276320656u, 226623888u, 0, COSH_TOLERANCE, 0},
{ 867, 3219536978u, 247369460u, 3197320093u, 687450958u, 1072956743u, 2486540699u, 0, COSH_TOLERANCE, 0},
{ 868, 1081092750u, 2722237629u, 1058272368u, 90602316u, 1462892401u, 1953188388u, 0, COSH_TOLERANCE, 0},
{ 869, 3217535619u, 1845900544u, 3231520830u, 3389751458u, 1072711269u, 1708331520u, 0, COSH_TOLERANCE, 0},
{ 870, 3227612301u, 737689911u, 3195377751u, 3462616966u, 1282803389u, 893857503u, 0, COSH_TOLERANCE, 0},
{ 871, 3221441232u, 3620285831u, 1055501023u, 2708056059u, 1075215165u, 36506447u, 0, COSH_TOLERANCE, 0},
{ 872, 3220513572u, 4073430285u, 1056206159u, 172017902u, 1073745576u, 1368956281u, 0, COSH_TOLERANCE, 0},
{ 873, 3219161094u, 2799176222u, 1052706894u, 4083892667u, 1072835757u, 2697030089u, 0, COSH_TOLERANCE, 0},
{ 874, 3216959621u, 1562351330u, 1069705601u, 1247765260u, 1072700899u, 3715177876u, 0, COSH_TOLERANCE, 0},
{ 875, 3224328691u, 51853475u, 3189080201u, 2783553144u, 1095270977u, 3427601507u, 0, COSH_TOLERANCE, 0},
{ 876, 3220502929u, 3851781549u, 3241598113u, 514064046u, 1073730914u, 2250864942u, 0, COSH_TOLERANCE, 0},
{ 877, 1080123021u, 934745487u, 3248182437u, 2798581921u, 1281762996u, 865963855u, 0, COSH_TOLERANCE, 0},
{ 878, 3219373949u, 2948648757u, 3232177250u, 4278702895u, 1072899337u, 3276588090u, 0, COSH_TOLERANCE, 0},
{ 879, 1073534300u, 4259101461u, 1061606772u, 84229920u, 1074325687u, 1565151099u, 0, COSH_TOLERANCE, 0},
{ 880, 3215901351u, 3891230598u, 1095924595u, 3049217547u, 1072695140u, 4168549617u, 0, COSH_TOLERANCE, 0},
{ 881, 1074207325u, 3806018919u, 3243191216u, 280177341u, 1075970755u, 2786980301u, 0, COSH_TOLERANCE, 0},
{ 882, 1070061714u, 3900344258u, 1063647809u, 4206745890u, 1072711496u, 3823741603u, 0, COSH_TOLERANCE, 0},
{ 883, 3222464456u, 2126253040u, 3207248026u, 808507485u, 1078737170u, 621449966u, 0, COSH_TOLERANCE, 0},
{ 884, 1076653133u, 3465685634u, 3230391053u, 3754958214u, 1093053515u, 3736100576u, 0, COSH_TOLERANCE, 0},
{ 885, 1080840988u, 461094531u, 1101110393u, 1316091396u, 1414403053u, 3462873770u, 0, COSH_TOLERANCE, 0},
{ 886, 1071271770u, 4197635149u, 1091873113u, 1240127141u, 1072783106u, 1748105286u, 0, COSH_TOLERANCE, 0},
{ 887, 1074333893u, 118603800u, 1105304898u, 4291425557u, 1076291260u, 1720945322u, 0, COSH_TOLERANCE, 0},
{ 888, 3219720621u, 3744663425u, 3212482771u, 953662066u, 1073030929u, 896575844u, 0, COSH_TOLERANCE, 0},
{ 889, 1076782697u, 3564196690u, 3228101916u, 904305212u, 1094612637u, 2831822307u, 0, COSH_TOLERANCE, 0},
{ 890, 1067207479u, 3566257266u, 3235138829u, 2734275140u, 1072693648u, 1269634877u, 0, COSH_TOLERANCE, 0},
{ 891, 3227171261u, 606044282u, 3241318094u, 2446416887u, 1233304247u, 534441612u, 0, COSH_TOLERANCE, 0},
{ 892, 1065744532u, 2336116589u, 3197594053u, 2296925138u, 1072693308u, 1465765093u, 0, COSH_TOLERANCE, 0},
{ 893, 1070101995u, 907670625u, 3240769036u, 1827119006u, 1072712452u, 2747386971u, 0, COSH_TOLERANCE, 0},
{ 894, 1066487279u, 2818710946u, 3246059905u, 553394170u, 1072693397u, 3115364367u, 0, COSH_TOLERANCE, 0},
{ 895, 3213621342u, 4099522736u, 3232742168u, 3718083858u, 1072693345u, 3406009066u, 0, COSH_TOLERANCE, 0},
{ 896, 1078739788u, 1059279404u, 1080245336u, 175941677u, 1157065361u, 1087430260u, 0, COSH_TOLERANCE, 0},
{ 897, 1082121019u, 1650862428u, 1061816101u, 1723201723u, 1842630885u, 3875297949u, 0, COSH_TOLERANCE, 0},
{ 898, 3226429902u, 2462163405u, 3218946201u, 3876535372u, 1166601564u, 774021558u, 0, COSH_TOLERANCE, 0},
{ 899, 1076004278u, 495844137u, 1073721460u, 772777946u, 1085574307u, 3103051899u, 0, COSH_TOLERANCE, 0},
{ 900, 1068143970u, 458757721u, 3245680321u, 3609892707u, 1072694661u, 2944146062u, 0, COSH_TOLERANCE, 0},
{ 901, 3214254476u, 2533012202u, 1079980803u, 3592268374u, 1072693481u, 4122712420u, 0, COSH_TOLERANCE, 0},
{ 902, 3216996268u, 4108274117u, 1063045844u, 571992389u, 1072701179u, 2572750489u, 0, COSH_TOLERANCE, 0},
{ 903, 1077984359u, 3541110973u, 1096296754u, 3118427427u, 1122209571u, 2499543662u, 0, COSH_TOLERANCE, 0},
{ 904, 3213902987u, 1213941007u, 1105433735u, 2172963370u, 1072693380u, 1385696423u, 0, COSH_TOLERANCE, 0},
{ 905, 1079027567u, 272190288u, 1095452370u, 4026581530u, 1172388533u, 1567535437u, 0, COSH_TOLERANCE, 0},
{ 906, 1079855269u, 2843638672u, 1100510986u, 3190536898u, 1248839882u, 1134925313u, 0, COSH_TOLERANCE, 0},
{ 907, 1076417062u, 2014317727u, 3247389683u, 2428462015u, 1090384705u, 358950430u, 0, COSH_TOLERANCE, 0},
{ 908, 1078248077u, 688442200u, 1047852515u, 3035186380u, 1134419607u, 2761855333u, 0, COSH_TOLERANCE, 0},
{ 909, 1074567060u, 1010095511u, 3221288076u, 405287991u, 1077008382u, 2678639855u, 0, COSH_TOLERANCE, 0},
{ 910, 3229225943u, 2983070435u, 1089546472u, 2907918480u, 1702816421u, 3410875852u, 0, COSH_TOLERANCE, 0},
{ 911, 1076696665u, 81928569u, 1056007286u, 2740556321u, 1093638835u, 274386753u, 0, COSH_TOLERANCE, 0},
{ 912, 1066276691u, 2076689028u, 1081558619u, 3039159031u, 1072693361u, 800822767u, 0, COSH_TOLERANCE, 0},
{ 913, 1067230382u, 1376882094u, 3211003208u, 1296286481u, 1072693658u, 1054988025u, 0, COSH_TOLERANCE, 0},
{ 914, 1074871434u, 744133164u, 3200943494u, 955832216u, 1078106333u, 2049981092u, 0, COSH_TOLERANCE, 0},
{ 915, 3223144598u, 176522478u, 1069999908u, 2891249491u, 1082629674u, 2323388443u, 0, COSH_TOLERANCE, 0},
{ 916, 1065584698u, 3685851715u, 3187829932u, 2363997529u, 1072693295u, 2956924633u, 0, COSH_TOLERANCE, 0},
{ 917, 1065409879u, 3974431579u, 1052505165u, 2589067816u, 1072693283u, 2371419071u, 0, COSH_TOLERANCE, 0},
{ 918, 3213516885u, 3819109588u, 1048561488u, 969143351u, 1072693334u, 4144308189u, 0, COSH_TOLERANCE, 0},
{ 919, 1073687973u, 4246896124u, 1104584799u, 1940097860u, 1074570627u, 2298933225u, 0, COSH_TOLERANCE, 0},
{ 920, 1066912836u, 2228686199u, 3220231833u, 777624847u, 1072693531u, 787077708u, 0, COSH_TOLERANCE, 0},
{ 921, 3224127274u, 4189906558u, 3203004203u, 854242364u, 1092949557u, 959709294u, 0, COSH_TOLERANCE, 0},
{ 922, 1081890311u, 4089051094u, 3227282692u, 2693170723u, 1757476753u, 2188757040u, 0, COSH_TOLERANCE, 0},
{ 923, 1066855127u, 1278581412u, 3239296746u, 1774588717u, 1072693510u, 2634419015u, 0, COSH_TOLERANCE, 0},
{ 924, 3221324110u, 1794845306u, 1104879344u, 4135865182u, 1074925497u, 3906182610u, 0, COSH_TOLERANCE, 0},
{ 925, 1081283231u, 754938390u, 1061291430u, 2010786993u, 1533223782u, 1531468649u, 0, COSH_TOLERANCE, 0},
{ 926, 1073581409u, 2034303731u, 3240176537u, 314147356u, 1074396812u, 1237727695u, 0, COSH_TOLERANCE, 0},
{ 927, 3224109162u, 567588900u, 3195452230u, 1421366017u, 1092771194u, 1959115226u, 0, COSH_TOLERANCE, 0},
{ 928, 3221944027u, 2708717091u, 1071975971u, 1364590470u, 1076699364u, 3498938298u, 0, COSH_TOLERANCE, 0},
{ 929, 3229068611u, 3461956134u, 3207820115u, 1605709634u, 1644637705u, 436547866u, 0, COSH_TOLERANCE, 0},
{ 930, 1071594452u, 1497124553u, 1051715442u, 916736957u, 1072820615u, 3509403797u, 0, COSH_TOLERANCE, 0},
{ 931, 1070002699u, 834914365u, 1064667143u, 2839166298u, 1072710141u, 49948186u, 0, COSH_TOLERANCE, 0},
{ 932, 1069862861u, 2139295776u, 1062816721u, 914592523u, 1072707138u, 2831866037u, 0, COSH_TOLERANCE, 0},
{ 933, 3213754179u, 851569132u, 1058503154u, 1399378677u, 1072693360u, 2063325022u, 0, COSH_TOLERANCE, 0},
{ 934, 3224100513u, 3897202342u, 3245382590u, 246600375u, 1092694344u, 2855953602u, 0, COSH_TOLERANCE, 0},
{ 935, 3222314580u, 3620429520u, 1055627557u, 229305u, 1077927721u, 4207295924u, 0, COSH_TOLERANCE, 0},
{ 936, 1076618801u, 3641997865u, 3206673888u, 93720614u, 1092711110u, 70908616u, 0, COSH_TOLERANCE, 0},
{ 937, 3222565555u, 32766320u, 1062084905u, 3668443038u, 1079296080u, 3835260610u, 0, COSH_TOLERANCE, 0},
{ 938, 3222250420u, 2039713492u, 3248699388u, 1346210821u, 1077549839u, 2474839273u, 0, COSH_TOLERANCE, 0},
{ 939, 1078369952u, 1335820726u, 3191756860u, 1808427032u, 1140014824u, 1082588104u, 0, COSH_TOLERANCE, 0},
{ 940, 1070879947u, 650692001u, 1103515670u, 2253348763u, 1072746604u, 1613283469u, 0, COSH_TOLERANCE, 0},
{ 941, 3213415283u, 2372623300u, 3210185343u, 3200572848u, 1072693325u, 180886037u, 0, COSH_TOLERANCE, 0},
{ 942, 1080873125u, 762317532u, 3194595095u, 3192607437u, 1420280283u, 2571597720u, 0, COSH_TOLERANCE, 0},
{ 943, 1070651309u, 217775356u, 3232827087u, 2969367386u, 1072729767u, 3026198031u, 0, COSH_TOLERANCE, 0},
{ 944, 1069755463u, 3621353969u, 1077994795u, 3873976266u, 1072705033u, 1292815252u, 0, COSH_TOLERANCE, 0},
{ 945, 1078719075u, 268372152u, 3221764390u, 3216978962u, 1156113361u, 77208680u, 0, COSH_TOLERANCE, 0},
{ 946, 3227563243u, 142942404u, 1075322987u, 1746449109u, 1273775797u, 1613517009u, 0, COSH_TOLERANCE, 0},
{ 947, 1081986200u, 496534875u, 3254522293u, 2532372502u, 1792868955u, 1796814503u, 0, COSH_TOLERANCE, 0},
{ 948, 3228205445u, 2999955409u, 3222793392u, 1868977643u, 1392395773u, 861578698u, 0, COSH_TOLERANCE, 0},
{ 949, 1074319042u, 3353193428u, 3218469191u, 3326244297u, 1076249507u, 4249056915u, 0, COSH_TOLERANCE, 0},
{ 950, 1072413103u, 73646871u, 3231442171u, 3711510104u, 1073112064u, 51329157u, 0, COSH_TOLERANCE, 0},
{ 951, 1077900612u, 218135177u, 3198908856u, 3082199105u, 1119150740u, 3713509082u, 0, COSH_TOLERANCE, 0},
{ 952, 1072262784u, 1061628117u, 3248859043u, 86776158u, 1073042194u, 769388057u, 0, COSH_TOLERANCE, 0},
{ 953, 3217921858u, 938869114u, 1087911145u, 2416710759u, 1072721392u, 3474817236u, 0, COSH_TOLERANCE, 0},
{ 954, 1079848192u, 2970853959u, 3239543429u, 1887505029u, 1248109254u, 3136433410u, 0, COSH_TOLERANCE, 0},
{ 955, 3225145875u, 1337895935u, 1076463812u, 1172733328u, 1113691889u, 31768603u, 0, COSH_TOLERANCE, 0},
{ 956, 1068014296u, 1469010822u, 3229583535u, 551399515u, 1072694459u, 135999803u, 0, COSH_TOLERANCE, 0},
{ 957, 1074118123u, 1849711538u, 1049053713u, 1744276190u, 1075735689u, 4015727387u, 0, COSH_TOLERANCE, 0},
{ 958, 3226410140u, 2976596113u, 3192137295u, 3033242648u, 1165706945u, 2523414676u, 0, COSH_TOLERANCE, 0},
{ 959, 1079824113u, 876810930u, 3197470945u, 2571587447u, 1245903887u, 1889039904u, 0, COSH_TOLERANCE, 0},
{ 960, 3226042170u, 4007797282u, 3225853845u, 4069319648u, 1148697453u, 4203630871u, 0, COSH_TOLERANCE, 0},
{ 961, 1067202926u, 3840538373u, 1043189552u, 3668774580u, 1072693646u, 1426518963u, 0, COSH_TOLERANCE, 0},
{ 962, 3220757432u, 200857661u, 3229758439u, 3359367736u, 1073988275u, 2806959022u, 0, COSH_TOLERANCE, 0},
{ 963, 3227826349u, 111868139u, 3227902082u, 2366064003u, 1322375028u, 1662095535u, 0, COSH_TOLERANCE, 0},
{ 964, 1066215262u, 3510904416u, 3222131653u, 3822770497u, 1072693354u, 1051116137u, 0, COSH_TOLERANCE, 0},
{ 965, 3226947075u, 789151814u, 1099269239u, 2958956055u, 1212574387u, 2807768454u, 0, COSH_TOLERANCE, 0},
{ 966, 1076290712u, 722163228u, 1105524559u, 1534462169u, 1088870444u, 2168724557u, 0, COSH_TOLERANCE, 0},
{ 967, 1066509006u, 2207037106u, 3208952465u, 1231254630u, 1072693403u, 2222435194u, 0, COSH_TOLERANCE, 0},
{ 968, 3215709852u, 3838689849u, 3198769679u, 1302617170u, 1072694798u, 1405657813u, 0, COSH_TOLERANCE, 0},
{ 969, 1076501722u, 2527556476u, 3240373426u, 124352692u, 1091342710u, 1779782796u, 0, COSH_TOLERANCE, 0},
{ 970, 3215269445u, 3502371499u, 1043411944u, 4190072016u, 1072694140u, 376523261u, 0, COSH_TOLERANCE, 0},
{ 971, 1070967598u, 1798470077u, 3200116917u, 3421833729u, 1072753924u, 1515331822u, 0, COSH_TOLERANCE, 0},
{ 972, 3214486476u, 3653237931u, 3204255012u, 3683870669u, 1072693564u, 3470124748u, 0, COSH_TOLERANCE, 0},
{ 973, 1069317222u, 376530104u, 1073853547u, 565755892u, 1072699746u, 1235915232u, 0, COSH_TOLERANCE, 0},
{ 974, 3226775211u, 558292492u, 1051772749u, 4267873474u, 1196715895u, 131886187u, 0, COSH_TOLERANCE, 0},
{ 975, 3221626981u, 509637100u, 3212030069u, 215050379u, 1075833072u, 467034146u, 0, COSH_TOLERANCE, 0},
{ 976, 1078425613u, 3571665665u, 3188628584u, 757824767u, 1142574424u, 253046892u, 0, COSH_TOLERANCE, 0},
{ 977, 3220042217u, 998858159u, 1063077962u, 436029885u, 1073186855u, 1202860156u, 0, COSH_TOLERANCE, 0},
{ 978, 3217481301u, 996300405u, 3193842624u, 80548098u, 1072710027u, 2273904897u, 0, COSH_TOLERANCE, 0},
{ 979, 3222557384u, 3876129407u, 3215332180u, 2226970413u, 1079254352u, 3066283527u, 0, COSH_TOLERANCE, 0},
{ 980, 3225026041u, 200013509u, 3224552716u, 414878724u, 1110874928u, 1169612687u, 0, COSH_TOLERANCE, 0},
{ 981, 3224325637u, 309319541u, 1048979765u, 1261662434u, 1095233986u, 817192005u, 0, COSH_TOLERANCE, 0},
{ 982, 1077718303u, 4062255924u, 3224274128u, 4289485681u, 1114943885u, 3449799183u, 0, COSH_TOLERANCE, 0},
{ 983, 3224601748u, 1611969213u, 1053890378u, 3774617276u, 1101126454u, 3591228804u, 0, COSH_TOLERANCE, 0},
{ 984, 1075169883u, 1752164782u, 3239587974u, 612223386u, 1079838374u, 2949770801u, 0, COSH_TOLERANCE, 0},
{ 985, 1065663030u, 2024044989u, 1074932678u, 3259111307u, 1072693301u, 3021786197u, 0, COSH_TOLERANCE, 0},
{ 986, 1068936158u, 2564965629u, 1093571065u, 169360454u, 1072697362u, 2639638506u, 0, COSH_TOLERANCE, 0},
{ 987, 1077016178u, 1860101737u, 3191222372u, 1676437468u, 1098787212u, 2272979218u, 0, COSH_TOLERANCE, 0},
{ 988, 1070288728u, 588387057u, 3192103292u, 2495288012u, 1072717205u, 1389707200u, 0, COSH_TOLERANCE, 0},
{ 989, 3214127225u, 659070058u, 1073095700u, 1393632068u, 1072693441u, 3612914573u, 0, COSH_TOLERANCE, 0},
{ 990, 3220828991u, 4276187829u, 3217553330u, 1868253275u, 1074072167u, 2887453002u, 0, COSH_TOLERANCE, 0},
{ 991, 3222171696u, 2085481575u, 3215994784u, 800910002u, 1077311492u, 1227387766u, 0, COSH_TOLERANCE, 0},
{ 992, 1069517748u, 1950570756u, 3200582211u, 941022151u, 1072701219u, 599507787u, 0, COSH_TOLERANCE, 0},
{ 993, 1070113280u, 2075610870u, 3250142022u, 3605152103u, 1072712724u, 3542177568u, 0, COSH_TOLERANCE, 0},
{ 994, 3216567890u, 3792931748u, 3204857863u, 804393211u, 1072698224u, 1504041164u, 0, COSH_TOLERANCE, 0},
{ 995, 3229529122u, 3430071177u, 3226288311u, 3652522729u, 1814734598u, 874872258u, 0, COSH_TOLERANCE, 0},
{ 996, 3215994766u, 236884699u, 3227874605u, 2193269825u, 1072695344u, 2273001648u, 0, COSH_TOLERANCE, 0},
{ 997, 1071228049u, 2744231849u, 1046186036u, 771053722u, 1072778547u, 642403527u, 0, COSH_TOLERANCE, 0},
{ 998, 1076656004u, 3000189819u, 1096500901u, 2057239777u, 1093086420u, 3545313986u, 0, COSH_TOLERANCE, 0},
{ 999, 1078106941u, 205759408u, 3244643377u, 2702292618u, 1127858436u, 16441604u, 0, COSH_TOLERANCE, 0},


// AUTOMATICALLY GENERATED VECTORS STOP

};

#endif // CYGONCE_LIBM_COSH_H multiple inclusion protection

// EOF cosh.h
