#ifndef CYGONCE_LIBM_SIN_H
#define CYGONCE_LIBM_SIN_H
//===========================================================================
//
//      sin.h
//
//      Test vectors for testing of sin() math library function
//
//===========================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//===========================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):   jlarmour
// Contributors:  jlarmour
// Date:        1998-02-13
// Purpose:     
// Description: 
// Usage:       #include "vectors/sin.h"
//
//####DESCRIPTIONEND####
//
//===========================================================================


// CONFIGURATION

#include <pkgconf/libm.h>   // Configuration header


// INCLUDES

#include <cyg/infra/cyg_type.h>    // Common type definitions and support
#include "vectors/vector_support.h"// extra support for math tests

#define SIN_TOLERANCE 1.0E-04

static const Cyg_libm_test_double_vec_t sin_vec[] = {

// AUTOMATICALLY GENERATED VECTORS START

{ 1, 1077999148u, 2506787616u, 1090024059u, 3619148316u, 1071838869u, 2401661594u, 0, SIN_TOLERANCE, 0},
{ 2, 3218153654u, 3176730980u, 1051524793u, 2993920299u, 3218140303u, 2723656211u, 0, SIN_TOLERANCE, 0},
{ 3, 3239659803u, 2725707538u, 3232101343u, 2346810316u, 1070387016u, 2680769772u, 0, SIN_TOLERANCE, 0},
{ 4, 1092554362u, 2088062470u, 3201242716u, 420891118u, 3219218822u, 2049472052u, 0, SIN_TOLERANCE, 0},
{ 5, 3221200677u, 2636405208u, 1100049309u, 471635570u, 3220006780u, 536189369u, 0, SIN_TOLERANCE, 0},
{ 6, 1089363191u, 1746012320u, 1054478713u, 3333988501u, 3219789896u, 4274610101u, 0, SIN_TOLERANCE, 0},
{ 7, 1047953160u, 183014794u, 3202039382u, 2016785810u, 1047953160u, 183014787u, 0, SIN_TOLERANCE, 0},
{ 8, 3213486034u, 2688957927u, 1046089230u, 2709029994u, 3213485989u, 1514254211u, 0, SIN_TOLERANCE, 0},
{ 9, 1058795730u, 624574473u, 1045840574u, 3473266330u, 1058795730u, 609683576u, 0, SIN_TOLERANCE, 0},
{ 10, 3204919842u, 1605286142u, 1068931671u, 4233776869u, 3204919842u, 1603156146u, 0, SIN_TOLERANCE, 0},
{ 11, 1060343410u, 1857607719u, 3222889559u, 3417070006u, 1060343410u, 1775912310u, 0, SIN_TOLERANCE, 0},
{ 12, 1103599987u, 3981151660u, 1088899021u, 1332651746u, 3220044665u, 516737212u, 0, SIN_TOLERANCE, 0},
{ 13, 1085298022u, 3824988054u, 1066856791u, 2070129652u, 1068343696u, 2570408587u, 0, SIN_TOLERANCE, 0},
{ 14, 3207559790u, 1372884064u, 1080833116u, 3229926662u, 3207559790u, 1287711395u, 0, SIN_TOLERANCE, 0},
{ 15, 1093826501u, 3217805330u, 3191644264u, 2014578707u, 3220141559u, 642968502u, 0, SIN_TOLERANCE, 0},
{ 16, 1102287487u, 265058758u, 3239903247u, 1630600647u, 1067118390u, 524782221u, 0, SIN_TOLERANCE, 0},
{ 17, 1071124229u, 1946677669u, 3198462609u, 926009897u, 1071087355u, 3913666151u, 0, SIN_TOLERANCE, 0},
{ 18, 1072130299u, 2271884183u, 3203741999u, 2118617783u, 1071997067u, 1550277781u, 0, SIN_TOLERANCE, 0},
{ 19, 3194849109u, 213658772u, 3249401130u, 314151656u, 3194849109u, 213658768u, 0, SIN_TOLERANCE, 0},
{ 20, 3254112288u, 1564829925u, 3197817016u, 497230814u, 1071974247u, 929901645u, 0, SIN_TOLERANCE, 0},
{ 21, 3216262634u, 2075329122u, 3231746400u, 169900577u, 3216261246u, 919710895u, 0, SIN_TOLERANCE, 0},
{ 22, 1049848642u, 541549344u, 1096608669u, 3119070100u, 1049848642u, 541549268u, 0, SIN_TOLERANCE, 0},
{ 23, 1085427055u, 567496114u, 1045286891u, 1969998540u, 3220111007u, 980283378u, 0, SIN_TOLERANCE, 0},
{ 24, 1060548195u, 1299369769u, 1049342524u, 4167404066u, 1060548195u, 1171923561u, 0, SIN_TOLERANCE, 0},
{ 25, 3208865645u, 3348930841u, 1078472138u, 358457347u, 3208865645u, 3029730220u, 0, SIN_TOLERANCE, 0},
{ 26, 1071069297u, 2192461366u, 1099527247u, 3184735642u, 1071036129u, 813860861u, 0, SIN_TOLERANCE, 0},
{ 27, 1052861772u, 331696577u, 3189610016u, 793242270u, 1052861772u, 331693068u, 0, SIN_TOLERANCE, 0},
{ 28, 3252528934u, 2322696981u, 1083791358u, 3020766674u, 3219239726u, 3132111534u, 0, SIN_TOLERANCE, 0},
{ 29, 1044902177u, 252085215u, 3214426435u, 4139068910u, 1044902177u, 252085215u, 0, SIN_TOLERANCE, 0},
{ 30, 3222505725u, 105589263u, 1056316170u, 261630827u, 1072662522u, 1497100154u, 0, SIN_TOLERANCE, 0},
{ 31, 1107213408u, 428765703u, 3251828686u, 2009972239u, 1072151952u, 1213650637u, 0, SIN_TOLERANCE, 0},
{ 32, 1098568019u, 3517376586u, 3240257920u, 3304487302u, 3219808385u, 472344056u, 0, SIN_TOLERANCE, 0},
{ 33, 3233537912u, 237004814u, 3237899261u, 3364008659u, 1072254439u, 2138833907u, 0, SIN_TOLERANCE, 0},
{ 34, 3195247552u, 472004928u, 3226869477u, 1186387580u, 3195247552u, 472004923u, 0, SIN_TOLERANCE, 0},
{ 35, 1054226850u, 4085763910u, 1106394906u, 2684738273u, 1054226850u, 4085734635u, 0, SIN_TOLERANCE, 0},
{ 36, 1057053639u, 2055490142u, 3231581370u, 3879040079u, 1057053639u, 2054597482u, 0, SIN_TOLERANCE, 0},
{ 37, 3188976647u, 3725731239u, 1061652681u, 591292963u, 3188976647u, 3725731239u, 0, SIN_TOLERANCE, 0},
{ 38, 3225014981u, 1147041027u, 3215417793u, 624695933u, 3219415599u, 1075867927u, 0, SIN_TOLERANCE, 0},
{ 39, 3206052774u, 705725219u, 3238067573u, 1116238321u, 3206052774u, 695706716u, 0, SIN_TOLERANCE, 0},
{ 40, 3207367088u, 7287411u, 1045917232u, 116067742u, 3207367087u, 4238790031u, 0, SIN_TOLERANCE, 0},
{ 41, 3240055222u, 3604989074u, 1066381836u, 545298780u, 1072682140u, 2066217144u, 0, SIN_TOLERANCE, 0},
{ 42, 3219080936u, 1681476121u, 1060345752u, 3553822398u, 3219000313u, 4267532368u, 0, SIN_TOLERANCE, 0},
{ 43, 1102831658u, 3410480388u, 1052460275u, 1660607230u, 1067040834u, 487727068u, 0, SIN_TOLERANCE, 0},
{ 44, 1089216869u, 1494984673u, 3196647153u, 287894723u, 1071850264u, 1206127023u, 0, SIN_TOLERANCE, 0},
{ 45, 1054885127u, 644548665u, 1081948134u, 2442134629u, 1054885127u, 644502728u, 0, SIN_TOLERANCE, 0},
{ 46, 1087554095u, 2312530895u, 3221584595u, 3379665576u, 1072410294u, 22046932u, 0, SIN_TOLERANCE, 0},
{ 47, 1096085375u, 3018463866u, 1086226574u, 404012923u, 3216020271u, 1764000566u, 0, SIN_TOLERANCE, 0},
{ 48, 1064733299u, 1710279345u, 3251401196u, 3528946000u, 1064733291u, 4045889661u, 0, SIN_TOLERANCE, 0},
{ 49, 1061536351u, 2164450219u, 1083520023u, 3312018966u, 1061536351u, 1714337161u, 0, SIN_TOLERANCE, 0},
{ 50, 1057248676u, 2648986431u, 1050330591u, 1474376550u, 1057248676u, 2647551431u, 0, SIN_TOLERANCE, 0},
{ 51, 3194422028u, 1839068700u, 1077406406u, 3013052171u, 3194422028u, 1839068698u, 0, SIN_TOLERANCE, 0},
{ 52, 1046493630u, 772102380u, 3220729740u, 4219039958u, 1046493630u, 772102379u, 0, SIN_TOLERANCE, 0},
{ 53, 3229472221u, 3058618779u, 1046304788u, 3338676024u, 1069797744u, 562818333u, 0, SIN_TOLERANCE, 0},
{ 54, 1051172137u, 506286854u, 1094907481u, 2217000199u, 1051172137u, 506286305u, 0, SIN_TOLERANCE, 0},
{ 55, 1082428310u, 1147428263u, 1065432625u, 3034786717u, 3219662892u, 3667710140u, 0, SIN_TOLERANCE, 0},
{ 56, 1082016752u, 2844125311u, 1082985198u, 2561492677u, 1071337783u, 1367962921u, 0, SIN_TOLERANCE, 0},
{ 57, 3211536916u, 704542600u, 3222902057u, 2762779203u, 3211536912u, 2267019146u, 0, SIN_TOLERANCE, 0},
{ 58, 3199680614u, 184131949u, 3249723525u, 1667366082u, 3199680614u, 184129854u, 0, SIN_TOLERANCE, 0},
{ 59, 3223609598u, 3904224140u, 1067056698u, 2942159914u, 1072047947u, 1080365783u, 0, SIN_TOLERANCE, 0},
{ 60, 1100636863u, 426114282u, 3209056785u, 1083606355u, 1072166020u, 3340708234u, 0, SIN_TOLERANCE, 0},
{ 61, 1106165945u, 3774123863u, 1106787580u, 2722107965u, 1070744623u, 2373837450u, 0, SIN_TOLERANCE, 0},
{ 62, 1088005092u, 1377734762u, 1104232051u, 2377063483u, 3220087464u, 1358458230u, 0, SIN_TOLERANCE, 0},
{ 63, 1069380559u, 1029739074u, 1105467109u, 3062201018u, 1069376304u, 62267843u, 0, SIN_TOLERANCE, 0},
{ 64, 3234741597u, 773857656u, 3214251949u, 335833884u, 3219796959u, 290221919u, 0, SIN_TOLERANCE, 0},
{ 65, 3203224610u, 1473865960u, 1103073830u, 4000427507u, 3203224610u, 1473596865u, 0, SIN_TOLERANCE, 0},
{ 66, 1103185231u, 4242092620u, 1067009473u, 14539161u, 1072227400u, 4090466752u, 0, SIN_TOLERANCE, 0},
{ 67, 3192516074u, 1732245037u, 1101371955u, 1533536108u, 3192516074u, 1732245037u, 0, SIN_TOLERANCE, 0},
{ 68, 3249153995u, 1833841275u, 1099430098u, 4144145552u, 1072622333u, 484555410u, 0, SIN_TOLERANCE, 0},
{ 69, 3244270463u, 935007012u, 3188865420u, 604442938u, 1072668202u, 1236651337u, 0, SIN_TOLERANCE, 0},
{ 70, 3206903253u, 2211464602u, 1046255144u, 1635910526u, 3206903253u, 2184476310u, 0, SIN_TOLERANCE, 0},
{ 71, 1077871417u, 2549219008u, 3231633258u, 3733639385u, 3218677358u, 1624364943u, 0, SIN_TOLERANCE, 0},
{ 72, 1082095089u, 1819374372u, 3202219056u, 2617077637u, 1071973583u, 3233577778u, 0, SIN_TOLERANCE, 0},
{ 73, 1094345280u, 546465680u, 1048653554u, 532401530u, 3218994022u, 1472558371u, 0, SIN_TOLERANCE, 0},
{ 74, 1044571091u, 2759019783u, 3221570188u, 3554409630u, 1044571091u, 2759019783u, 0, SIN_TOLERANCE, 0},
{ 75, 3212931282u, 2527221960u, 1099107978u, 2696971136u, 3212931268u, 3320555499u, 0, SIN_TOLERANCE, 0},
{ 76, 1097158000u, 173134582u, 1087299442u, 2877794600u, 1072521083u, 2425421985u, 0, SIN_TOLERANCE, 0},
{ 77, 1086400474u, 547642046u, 3197285510u, 3521286127u, 3217558108u, 1228670264u, 0, SIN_TOLERANCE, 0},
{ 78, 1074860702u, 1231582831u, 1090971734u, 1653446832u, 3219973371u, 3322500u, 0, SIN_TOLERANCE, 0},
{ 79, 1061342535u, 3762182190u, 3252967851u, 2615360375u, 1061342535u, 3471785037u, 0, SIN_TOLERANCE, 0},
{ 80, 3200834423u, 2588067350u, 3206610957u, 3551059728u, 3200834423u, 2588057111u, 0, SIN_TOLERANCE, 0},
{ 81, 3206978856u, 845263327u, 1073415902u, 1749010288u, 3206978856u, 813684588u, 0, SIN_TOLERANCE, 0},
{ 82, 3205576370u, 3092685191u, 3190678390u, 2872219490u, 3205576370u, 3089203192u, 0, SIN_TOLERANCE, 0},
{ 83, 3218315055u, 4107255722u, 3205337291u, 3069068345u, 3218295099u, 3722832670u, 0, SIN_TOLERANCE, 0},
{ 84, 3243990857u, 2294867524u, 3216653996u, 2860384670u, 3220163327u, 3978375316u, 0, SIN_TOLERANCE, 0},
{ 85, 3193326350u, 2265437201u, 3240198679u, 1234948614u, 3193326350u, 2265437201u, 0, SIN_TOLERANCE, 0},
{ 86, 3216359929u, 1186945904u, 3251167793u, 1896750851u, 3216358213u, 946725939u, 0, SIN_TOLERANCE, 0},
{ 87, 1081575478u, 3686084548u, 1079286273u, 3309277689u, 3218959542u, 2751578340u, 0, SIN_TOLERANCE, 0},
{ 88, 3223476240u, 3006860614u, 3231412671u, 2504194724u, 3218080130u, 4276033061u, 0, SIN_TOLERANCE, 0},
{ 89, 3236149260u, 1948717780u, 1048317852u, 3791803982u, 3219561148u, 1725305302u, 0, SIN_TOLERANCE, 0},
{ 90, 1064345015u, 4272034420u, 3192982124u, 1526175922u, 1064345013u, 34094566u, 0, SIN_TOLERANCE, 0},
{ 91, 3245817826u, 4108948538u, 1104691287u, 640541190u, 1072633158u, 589399637u, 0, SIN_TOLERANCE, 0},
{ 92, 3207257417u, 3259274853u, 1082507103u, 3677038020u, 3207257417u, 3206332840u, 0, SIN_TOLERANCE, 0},
{ 93, 1083132498u, 3781708548u, 1096584871u, 1207386447u, 1072209224u, 1264489112u, 0, SIN_TOLERANCE, 0},
{ 94, 3188695272u, 3011191657u, 1103798670u, 1096124830u, 3188695272u, 3011191657u, 0, SIN_TOLERANCE, 0},
{ 95, 1063235023u, 2540404725u, 3240157452u, 4122845725u, 1063235022u, 1279389516u, 0, SIN_TOLERANCE, 0},
{ 96, 1083643710u, 311336721u, 3214382367u, 4212533768u, 1072594097u, 3319282857u, 0, SIN_TOLERANCE, 0},
{ 97, 1051139427u, 1769686293u, 3240200923u, 3538602249u, 1051139427u, 1769685778u, 0, SIN_TOLERANCE, 0},
{ 98, 1078227549u, 508056696u, 1103793878u, 776520138u, 3215655025u, 4092391317u, 0, SIN_TOLERANCE, 0},
{ 99, 1102910577u, 4064962760u, 1077424413u, 819766631u, 1070424010u, 2933370624u, 0, SIN_TOLERANCE, 0},
{ 100, 1074178362u, 2112385259u, 3227593179u, 1187058516u, 1070822880u, 179235259u, 0, SIN_TOLERANCE, 0},
{ 101, 1082295059u, 2514398118u, 1076579751u, 870169764u, 1072653766u, 2542208304u, 0, SIN_TOLERANCE, 0},
{ 102, 3246851392u, 1190259653u, 1069112254u, 3417249840u, 1072530344u, 3077286602u, 0, SIN_TOLERANCE, 0},
{ 103, 3193663083u, 3467757357u, 3215075200u, 2168175352u, 3193663083u, 3467757356u, 0, SIN_TOLERANCE, 0},
{ 104, 3239643135u, 1508888184u, 1060430241u, 3524949092u, 3219941021u, 4051870273u, 0, SIN_TOLERANCE, 0},
{ 105, 3197412883u, 166402802u, 3237198975u, 3572369260u, 3197412883u, 166402710u, 0, SIN_TOLERANCE, 0},
{ 106, 1081866822u, 2441536203u, 3202753937u, 3658194573u, 1072691983u, 3277464136u, 0, SIN_TOLERANCE, 0},
{ 107, 1062392908u, 2479742828u, 1062342831u, 4214154303u, 1062392908u, 1313065636u, 0, SIN_TOLERANCE, 0},
{ 108, 1082396794u, 426896765u, 1066474375u, 2201754442u, 1072530888u, 1547899382u, 0, SIN_TOLERANCE, 0},
{ 109, 3195629021u, 2055773734u, 3239267288u, 291396537u, 3195629021u, 2055773723u, 0, SIN_TOLERANCE, 0},
{ 110, 3236968033u, 874125203u, 3210508124u, 4091098764u, 1072252180u, 1389729742u, 0, SIN_TOLERANCE, 0},
{ 111, 1065716026u, 120488169u, 3241241441u, 1985269424u, 1065716000u, 71449286u, 0, SIN_TOLERANCE, 0},
{ 112, 3206539410u, 2243036871u, 3243941101u, 740033495u, 3206539410u, 2220858621u, 0, SIN_TOLERANCE, 0},
{ 113, 3209424906u, 1176656356u, 1074261978u, 3588756231u, 3209424906u, 223951041u, 0, SIN_TOLERANCE, 0},
{ 114, 3252816791u, 3037249392u, 1061635587u, 1173102190u, 1072325341u, 2929676563u, 0, SIN_TOLERANCE, 0},
{ 115, 3237209581u, 2882725208u, 1071440059u, 69225090u, 1071617875u, 134033807u, 0, SIN_TOLERANCE, 0},
{ 116, 3212663474u, 272319256u, 1072073912u, 2493997123u, 3212663457u, 2560321906u, 0, SIN_TOLERANCE, 0},
{ 117, 1057720186u, 188610379u, 3232757923u, 2209647371u, 1057720186u, 185049725u, 0, SIN_TOLERANCE, 0},
{ 118, 3236758517u, 1990439193u, 1078073146u, 622849962u, 1071355601u, 3706690183u, 0, SIN_TOLERANCE, 0},
{ 119, 1057135741u, 756052458u, 1081649113u, 2247475162u, 1057135741u, 754952242u, 0, SIN_TOLERANCE, 0},
{ 120, 1061623064u, 3878055211u, 3222407050u, 2979438623u, 1061623064u, 3340736229u, 0, SIN_TOLERANCE, 0},
{ 121, 3195290997u, 2676398686u, 1105124431u, 3631096636u, 3195290997u, 2676398681u, 0, SIN_TOLERANCE, 0},
{ 122, 1065079390u, 1697791764u, 3198136112u, 2299842819u, 1065079376u, 1610057462u, 0, SIN_TOLERANCE, 0},
{ 123, 1078084768u, 1931502677u, 3215264397u, 3016456382u, 3220004894u, 1668609696u, 0, SIN_TOLERANCE, 0},
{ 124, 1072253426u, 343404215u, 1061072607u, 4266232536u, 1072086222u, 4119862242u, 0, SIN_TOLERANCE, 0},
{ 125, 3241230836u, 4140316002u, 1082896196u, 868256971u, 1072690956u, 765035729u, 0, SIN_TOLERANCE, 0},
{ 126, 1075422810u, 1864139509u, 3187675097u, 3084482407u, 1069580313u, 3312804465u, 0, SIN_TOLERANCE, 0},
{ 127, 3220191323u, 2427162817u, 3234748208u, 2715105792u, 3219859859u, 2237649499u, 0, SIN_TOLERANCE, 0},
{ 128, 1064600512u, 3943389284u, 1046724025u, 3626825684u, 1064600507u, 1276893856u, 0, SIN_TOLERANCE, 0},
{ 129, 1045423002u, 967350972u, 1093012318u, 448002663u, 1045423002u, 967350972u, 0, SIN_TOLERANCE, 0},
{ 130, 3251845859u, 105058217u, 1069733884u, 171786224u, 3220069145u, 1168790563u, 0, SIN_TOLERANCE, 0},
{ 131, 3189614508u, 2863482262u, 3204997271u, 877784425u, 3189614508u, 2863482262u, 0, SIN_TOLERANCE, 0},
{ 132, 3202629313u, 2801782962u, 3213604117u, 762347195u, 3202629313u, 2801694452u, 0, SIN_TOLERANCE, 0},
{ 133, 3233486727u, 2317950339u, 3246333414u, 2135700283u, 1072471825u, 2589645930u, 0, SIN_TOLERANCE, 0},
{ 134, 1056516397u, 4171919805u, 1082858682u, 2180920863u, 1056516397u, 4171240187u, 0, SIN_TOLERANCE, 0},
{ 135, 3220149084u, 1918836931u, 1083603224u, 3137821660u, 3219829255u, 761344608u, 0, SIN_TOLERANCE, 0},
{ 136, 1103902874u, 3456203663u, 3235600523u, 2335688936u, 1070082723u, 1334614737u, 0, SIN_TOLERANCE, 0},
{ 137, 1042279322u, 4170235262u, 1051824459u, 521583737u, 1042279322u, 4170235262u, 0, SIN_TOLERANCE, 0},
{ 138, 1081348303u, 1296623194u, 3250673860u, 2442872540u, 1071794321u, 2307534527u, 0, SIN_TOLERANCE, 0},
{ 139, 1061684277u, 289979405u, 1049514449u, 3865737145u, 1061684276u, 3979725310u, 0, SIN_TOLERANCE, 0},
{ 140, 1075298944u, 3699090239u, 1054539840u, 3259249360u, 3218442720u, 3943632230u, 0, SIN_TOLERANCE, 0},
{ 141, 1096418100u, 1619819023u, 1045993352u, 1022642459u, 3219483919u, 1110725871u, 0, SIN_TOLERANCE, 0},
{ 142, 1081433004u, 19455098u, 3229182089u, 2096003654u, 1071953692u, 3887415361u, 0, SIN_TOLERANCE, 0},
{ 143, 1076297936u, 3803689997u, 1071630912u, 2263729518u, 3219914082u, 2841872974u, 0, SIN_TOLERANCE, 0},
{ 144, 1101357261u, 2816837387u, 1063422305u, 2597606398u, 3220176423u, 214584624u, 0, SIN_TOLERANCE, 0},
{ 145, 1069100169u, 3680967506u, 1040201163u, 179224723u, 1069097512u, 979815490u, 0, SIN_TOLERANCE, 0},
{ 146, 3188629767u, 978126928u, 1101553990u, 4047893399u, 3188629767u, 978126928u, 0, SIN_TOLERANCE, 0},
{ 147, 3222322045u, 4059818629u, 1042678728u, 3640293589u, 1072406284u, 1786742831u, 0, SIN_TOLERANCE, 0},
{ 148, 3248464040u, 3383497159u, 1070002807u, 1527313008u, 3218047308u, 1285854118u, 0, SIN_TOLERANCE, 0},
{ 149, 3202707679u, 2599946514u, 1104170406u, 2738675352u, 3202707679u, 2599841376u, 0, SIN_TOLERANCE, 0},
{ 150, 1105232623u, 3616571377u, 1060859316u, 1130603218u, 3219573748u, 1215925215u, 0, SIN_TOLERANCE, 0},
{ 151, 1076028796u, 3859211180u, 1067940450u, 1744531824u, 3214409789u, 2584792611u, 0, SIN_TOLERANCE, 0},
{ 152, 1042831340u, 1958025850u, 3236511256u, 2472176453u, 1042831340u, 1958025850u, 0, SIN_TOLERANCE, 0},
{ 153, 3233107089u, 182132862u, 3250520938u, 3924356991u, 1072578370u, 2980431846u, 0, SIN_TOLERANCE, 0},
{ 154, 3230501884u, 35632886u, 3209806504u, 1453402523u, 3216964734u, 4225175528u, 0, SIN_TOLERANCE, 0},
{ 155, 1083522102u, 743225214u, 3202890678u, 142917400u, 1072590656u, 4260949149u, 0, SIN_TOLERANCE, 0},
{ 156, 1080684976u, 1472665012u, 3203138231u, 256588219u, 1070228438u, 2092679689u, 0, SIN_TOLERANCE, 0},
{ 157, 1094982162u, 1062927000u, 1061134072u, 931677439u, 3219446490u, 1081234903u, 0, SIN_TOLERANCE, 0},
{ 158, 1058377732u, 2320910576u, 1055663370u, 288059864u, 1058377732u, 2314066573u, 0, SIN_TOLERANCE, 0},
{ 159, 1078958093u, 1448349062u, 3199478070u, 3454027134u, 1071009563u, 3384255603u, 0, SIN_TOLERANCE, 0},
{ 160, 3237458798u, 4215445172u, 3196654963u, 2231888973u, 1071748460u, 4139037911u, 0, SIN_TOLERANCE, 0},
{ 161, 3246632231u, 40413554u, 3232578253u, 983832844u, 1072230353u, 3672194469u, 0, SIN_TOLERANCE, 0},
{ 162, 3223721534u, 3995725873u, 1050082319u, 777231627u, 1072690845u, 636988494u, 0, SIN_TOLERANCE, 0},
{ 163, 1040986626u, 672789828u, 3253385962u, 2982787335u, 1040986626u, 672789828u, 0, SIN_TOLERANCE, 0},
{ 164, 1068390875u, 2075971825u, 1070166500u, 4034633931u, 1068389710u, 3161529855u, 0, SIN_TOLERANCE, 0},
{ 165, 3210046177u, 1018222907u, 3244621407u, 3090050495u, 3210046176u, 3596251017u, 0, SIN_TOLERANCE, 0},
{ 166, 1067680885u, 937732557u, 3200798890u, 2557898276u, 1067680575u, 1972612994u, 0, SIN_TOLERANCE, 0},
{ 167, 1078342316u, 130346162u, 3223590310u, 275568693u, 1071233160u, 2708659300u, 0, SIN_TOLERANCE, 0},
{ 168, 1042898869u, 3807416441u, 1075961161u, 3706820266u, 1042898869u, 3807416441u, 0, SIN_TOLERANCE, 0},
{ 169, 3216099005u, 1710131411u, 1078123323u, 1900790503u, 3216098069u, 1762662362u, 0, SIN_TOLERANCE, 0},
{ 170, 3238819361u, 3420420033u, 3210844787u, 588423066u, 1070295445u, 3527565762u, 0, SIN_TOLERANCE, 0},
{ 171, 1049684114u, 1160162008u, 3246307879u, 4265764460u, 1049684114u, 1160161958u, 0, SIN_TOLERANCE, 0},
{ 172, 1102543434u, 366653268u, 3188814424u, 466059202u, 1071873325u, 3249019602u, 0, SIN_TOLERANCE, 0},
{ 173, 3226627739u, 1325936170u, 3221436876u, 680097612u, 1072682938u, 865545992u, 0, SIN_TOLERANCE, 0},
{ 174, 3240391116u, 1827735934u, 3200554324u, 2875599271u, 3218775663u, 1968078348u, 0, SIN_TOLERANCE, 0},
{ 175, 3191030402u, 3117037091u, 3239246636u, 15838845u, 3191030402u, 3117037091u, 0, SIN_TOLERANCE, 0},
{ 176, 1051974004u, 749718883u, 3223587064u, 1523766569u, 1051974004u, 749717580u, 0, SIN_TOLERANCE, 0},
{ 177, 1044833651u, 1966536294u, 3250158026u, 699164258u, 1044833651u, 1966536294u, 0, SIN_TOLERANCE, 0},
{ 178, 1098048435u, 3759049394u, 1106085272u, 1183789499u, 1067724198u, 2503264895u, 0, SIN_TOLERANCE, 0},
{ 179, 1081201623u, 1970107747u, 1095245453u, 2308233883u, 1071856614u, 1496877905u, 0, SIN_TOLERANCE, 0},
{ 180, 1084756444u, 1491017852u, 1041444355u, 1723375725u, 1072328406u, 4148346279u, 0, SIN_TOLERANCE, 0},
{ 181, 3216630070u, 1141349287u, 1097465301u, 3403438584u, 3216627182u, 3737898172u, 0, SIN_TOLERANCE, 0},
{ 182, 3230571908u, 1711085243u, 3250239076u, 1377484108u, 1071511321u, 2243253033u, 0, SIN_TOLERANCE, 0},
{ 183, 1098385019u, 2880275004u, 1084039594u, 1611394950u, 3219345234u, 1584777341u, 0, SIN_TOLERANCE, 0},
{ 184, 3234221435u, 2626629370u, 1063771493u, 1499080813u, 3219468210u, 803658459u, 0, SIN_TOLERANCE, 0},
{ 185, 1055231263u, 3936262414u, 1103919063u, 3175668759u, 1055231263u, 3936155644u, 0, SIN_TOLERANCE, 0},
{ 186, 3207981719u, 1270950554u, 3194616071u, 3680565379u, 3207981719u, 1155967295u, 0, SIN_TOLERANCE, 0},
{ 187, 3208148223u, 1066985223u, 3221613219u, 4089383168u, 3208148223u, 907199018u, 0, SIN_TOLERANCE, 0},
{ 188, 3217058839u, 4017329311u, 3208334452u, 1667591498u, 3217055889u, 3244678034u, 0, SIN_TOLERANCE, 0},
{ 189, 1088164157u, 3154656624u, 1061894279u, 3886344038u, 1072681871u, 43356682u, 0, SIN_TOLERANCE, 0},
{ 190, 1050652945u, 977586119u, 3209762784u, 953839852u, 1050652945u, 977585787u, 0, SIN_TOLERANCE, 0},
{ 191, 1104965247u, 143071571u, 3206165386u, 913097445u, 3220176895u, 642550610u, 0, SIN_TOLERANCE, 0},
{ 192, 3190565456u, 1371169579u, 1057079837u, 2594818628u, 3190565456u, 1371169579u, 0, SIN_TOLERANCE, 0},
{ 193, 3251793336u, 2259342224u, 3217432469u, 1824221478u, 1072638954u, 2287566710u, 0, SIN_TOLERANCE, 0},
{ 194, 3246834775u, 1576604497u, 1079368611u, 185078728u, 1071666033u, 3954975003u, 0, SIN_TOLERANCE, 0},
{ 195, 3221679427u, 444800035u, 3243343143u, 1734989302u, 3218173113u, 1522075355u, 0, SIN_TOLERANCE, 0},
{ 196, 1072748883u, 130452005u, 1041548088u, 2158433515u, 1072418396u, 2140187299u, 0, SIN_TOLERANCE, 0},
{ 197, 3234695968u, 1941318385u, 1045807374u, 792193370u, 3219097358u, 2422945605u, 0, SIN_TOLERANCE, 0},
{ 198, 3238299666u, 1299392207u, 3212131720u, 3205732280u, 1070785701u, 2665619523u, 0, SIN_TOLERANCE, 0},
{ 199, 1098698804u, 3035093505u, 1052187689u, 3287702190u, 3219661363u, 3456576138u, 0, SIN_TOLERANCE, 0},
{ 200, 3246676260u, 2160225215u, 1102624859u, 836655570u, 3216148644u, 3912792675u, 0, SIN_TOLERANCE, 0},
{ 201, 1096723626u, 3360816360u, 3246176356u, 172860634u, 3220164389u, 1558063129u, 0, SIN_TOLERANCE, 0},
{ 202, 1070995788u, 146831910u, 1051558014u, 2340722078u, 1070967180u, 455169693u, 0, SIN_TOLERANCE, 0},
{ 203, 3230416351u, 1603798153u, 3207725532u, 1099413093u, 1072409569u, 201880887u, 0, SIN_TOLERANCE, 0},
{ 204, 3246678378u, 2429340443u, 3190303581u, 3223770005u, 3220129423u, 1040776768u, 0, SIN_TOLERANCE, 0},
{ 205, 1075882959u, 955542166u, 3230415151u, 275583938u, 1072454723u, 572297329u, 0, SIN_TOLERANCE, 0},
{ 206, 1092971882u, 513397822u, 1090646554u, 2089321329u, 3218397995u, 2821464852u, 0, SIN_TOLERANCE, 0},
{ 207, 3193169876u, 2782073372u, 1046063872u, 4023829068u, 3193169876u, 2782073372u, 0, SIN_TOLERANCE, 0},
{ 208, 1098564822u, 3242223094u, 3194111199u, 4264674108u, 1071856080u, 3645770997u, 0, SIN_TOLERANCE, 0},
{ 209, 3238510821u, 3506346169u, 1047020885u, 1742757458u, 1072690743u, 315036582u, 0, SIN_TOLERANCE, 0},
{ 210, 3192664477u, 1265459564u, 3193450280u, 3650514880u, 3192664477u, 1265459564u, 0, SIN_TOLERANCE, 0},
{ 211, 1081755890u, 1525260440u, 3235452527u, 2612331392u, 3218719377u, 3676821394u, 0, SIN_TOLERANCE, 0},
{ 212, 3248668920u, 1263613754u, 3219096387u, 635677201u, 3220176869u, 1842532013u, 0, SIN_TOLERANCE, 0},
{ 213, 3206272087u, 4140947288u, 3200792376u, 2013265346u, 3206272087u, 4126233538u, 0, SIN_TOLERANCE, 0},
{ 214, 3249974392u, 1912759945u, 3237045253u, 1351396825u, 3219910220u, 246004999u, 0, SIN_TOLERANCE, 0},
{ 215, 3248205162u, 1001433078u, 3206926643u, 2741676659u, 1072684426u, 1737390075u, 0, SIN_TOLERANCE, 0},
{ 216, 1080923606u, 1088945233u, 1085095743u, 3986114865u, 3219912227u, 2624070465u, 0, SIN_TOLERANCE, 0},
{ 217, 3215734057u, 831239754u, 1099828675u, 3071308141u, 3215733122u, 716489315u, 0, SIN_TOLERANCE, 0},
{ 218, 3225834497u, 3473592372u, 1102759382u, 1309576357u, 3219388623u, 3993183379u, 0, SIN_TOLERANCE, 0},
{ 219, 3251186706u, 2042340367u, 1091945628u, 2062772374u, 1072597127u, 2200262097u, 0, SIN_TOLERANCE, 0},
{ 220, 3194765687u, 1840632537u, 1096533424u, 807510337u, 3194765687u, 1840632533u, 0, SIN_TOLERANCE, 0},
{ 221, 3231451722u, 144814872u, 3212698915u, 2282965697u, 1071983481u, 3846419649u, 0, SIN_TOLERANCE, 0},
{ 222, 1071236430u, 2552499583u, 3229111426u, 1470130815u, 1071191158u, 3577871213u, 0, SIN_TOLERANCE, 0},
{ 223, 3243093065u, 2858583811u, 1089760910u, 6360994u, 3220122625u, 1732563055u, 0, SIN_TOLERANCE, 0},
{ 224, 3198264929u, 1614537194u, 1075198900u, 4088705365u, 3198264929u, 1614536965u, 0, SIN_TOLERANCE, 0},
{ 225, 3250939070u, 3545570051u, 1065221325u, 1629217700u, 1071003501u, 2410682589u, 0, SIN_TOLERANCE, 0},
{ 226, 1072744324u, 1813392963u, 3235313361u, 3772501596u, 1072413867u, 136366712u, 0, SIN_TOLERANCE, 0},
{ 227, 3196802686u, 2406734491u, 1042055360u, 89226663u, 3196802686u, 2406734438u, 0, SIN_TOLERANCE, 0},
{ 228, 3195751081u, 1618759139u, 3194723421u, 3888234802u, 3195751081u, 1618759126u, 0, SIN_TOLERANCE, 0},
{ 229, 1055357248u, 3590035633u, 3212424262u, 2892456615u, 1055357248u, 3589897668u, 0, SIN_TOLERANCE, 0},
{ 230, 3189943060u, 2431246964u, 3241512456u, 183850734u, 3189943060u, 2431246964u, 0, SIN_TOLERANCE, 0},
{ 231, 1089501101u, 3088319870u, 3211544311u, 862225364u, 1072189734u, 1087579715u, 0, SIN_TOLERANCE, 0},
{ 232, 3235294664u, 3495352775u, 1058576726u, 596957268u, 3218985922u, 793083747u, 0, SIN_TOLERANCE, 0},
{ 233, 1046553348u, 1839214511u, 3205004060u, 1923240983u, 1046553348u, 1839214510u, 0, SIN_TOLERANCE, 0},
{ 234, 1058073864u, 739619702u, 3223356436u, 2689885273u, 1058073864u, 736309424u, 0, SIN_TOLERANCE, 0},
{ 235, 3200324971u, 2143376228u, 1098306332u, 3760236188u, 3200324971u, 2143372904u, 0, SIN_TOLERANCE, 0},
{ 236, 1074621795u, 671680995u, 1091262633u, 2315535361u, 3219152238u, 1287790148u, 0, SIN_TOLERANCE, 0},
{ 237, 3214165989u, 2493598049u, 3194927008u, 1689107592u, 3214165902u, 2958559986u, 0, SIN_TOLERANCE, 0},
{ 238, 3189989959u, 1578976988u, 1066368383u, 2117279163u, 3189989959u, 1578976988u, 0, SIN_TOLERANCE, 0},
{ 239, 3222988111u, 3425290087u, 1098487295u, 1263412017u, 3218820540u, 1900418251u, 0, SIN_TOLERANCE, 0},
{ 240, 3208432764u, 3635396812u, 1070999426u, 3965655689u, 3208432764u, 3374510708u, 0, SIN_TOLERANCE, 0},
{ 241, 1060196346u, 2183973116u, 1101098363u, 1118613350u, 1060196346u, 2127296784u, 0, SIN_TOLERANCE, 0},
{ 242, 3221946089u, 199516350u, 1078368488u, 164621458u, 1070434834u, 2662056578u, 0, SIN_TOLERANCE, 0},
{ 243, 3187706018u, 3570940805u, 3230316437u, 3596080877u, 3187706018u, 3570940805u, 0, SIN_TOLERANCE, 0},
{ 244, 3208209565u, 980880313u, 1079833442u, 884465057u, 3208209565u, 802037311u, 0, SIN_TOLERANCE, 0},
{ 245, 1099977124u, 2558179220u, 1052873711u, 1233598120u, 1072290576u, 1462410304u, 0, SIN_TOLERANCE, 0},
{ 246, 1047115221u, 1909994277u, 1085015978u, 2991527452u, 1047115221u, 1909994274u, 0, SIN_TOLERANCE, 0},
{ 247, 1060855260u, 1680290941u, 1074309900u, 2943870846u, 1060855260u, 1456422275u, 0, SIN_TOLERANCE, 0},
{ 248, 1059496132u, 1451927357u, 3228615456u, 1502585517u, 1059496132u, 1420289507u, 0, SIN_TOLERANCE, 0},
{ 249, 3236211951u, 751136990u, 3230392165u, 3493275472u, 3219937610u, 2246171886u, 0, SIN_TOLERANCE, 0},
{ 250, 1098365967u, 1209623292u, 3238056647u, 979495322u, 1071752554u, 1874333801u, 0, SIN_TOLERANCE, 0},
{ 251, 3250424296u, 1717672108u, 1048120593u, 531240316u, 1070213823u, 2671633378u, 0, SIN_TOLERANCE, 0},
{ 252, 1054174923u, 3548721654u, 1086112947u, 3391817224u, 1054174923u, 3548695399u, 0, SIN_TOLERANCE, 0},
{ 253, 1077836851u, 2758195125u, 1100880260u, 2028440924u, 3219761819u, 2824613343u, 0, SIN_TOLERANCE, 0},
{ 254, 1084223893u, 2750123373u, 3232200256u, 1086294931u, 1072071999u, 3505664549u, 0, SIN_TOLERANCE, 0},
{ 255, 1043958672u, 2986160931u, 1076097908u, 2540046258u, 1043958672u, 2986160931u, 0, SIN_TOLERANCE, 0},
{ 256, 3235476602u, 451471221u, 1064816262u, 4187644495u, 1069352923u, 1649353225u, 0, SIN_TOLERANCE, 0},
{ 257, 1099460228u, 2439500162u, 1065280276u, 1979490284u, 1071123074u, 1626723231u, 0, SIN_TOLERANCE, 0},
{ 258, 1040415832u, 2283342035u, 1078398157u, 1345997553u, 1040415832u, 2283342035u, 0, SIN_TOLERANCE, 0},
{ 259, 3213249348u, 179066662u, 1103272172u, 1217337578u, 3213249319u, 799119578u, 0, SIN_TOLERANCE, 0},
{ 260, 3211562377u, 3779303391u, 3210023352u, 3115946280u, 3211562374u, 391551481u, 0, SIN_TOLERANCE, 0},
{ 261, 3192989874u, 286247089u, 1085153597u, 713645369u, 3192989874u, 286247089u, 0, SIN_TOLERANCE, 0},
{ 262, 1093670500u, 1468283899u, 1042831668u, 2022736418u, 1071991346u, 1826432782u, 0, SIN_TOLERANCE, 0},
{ 263, 1083139105u, 3305564080u, 1065483445u, 482392433u, 3219574119u, 3539231989u, 0, SIN_TOLERANCE, 0},
{ 264, 3201695807u, 2256346551u, 3222430705u, 2071674991u, 3201695807u, 2256318153u, 0, SIN_TOLERANCE, 0},
{ 265, 3204024695u, 2295269094u, 1084451053u, 2773103941u, 3204024695u, 2294558540u, 0, SIN_TOLERANCE, 0},
{ 266, 1078173946u, 1482721827u, 1092243422u, 3125409590u, 1072693090u, 777851873u, 0, SIN_TOLERANCE, 0},
{ 267, 3221065973u, 1381740563u, 1071545057u, 2918235653u, 3220096899u, 393002564u, 0, SIN_TOLERANCE, 0},
{ 268, 3238715972u, 1105857967u, 3241990046u, 2703723225u, 3219270769u, 1048619579u, 0, SIN_TOLERANCE, 0},
{ 269, 1043015571u, 174689677u, 1079333374u, 3947057014u, 1043015571u, 174689677u, 0, SIN_TOLERANCE, 0},
{ 270, 1090461859u, 2023082423u, 3242081486u, 1169047927u, 3217478735u, 1503114855u, 0, SIN_TOLERANCE, 0},
{ 271, 1064525899u, 3742487766u, 1043425732u, 194972788u, 1064525895u, 581411206u, 0, SIN_TOLERANCE, 0},
{ 272, 3213791827u, 2136071361u, 3211529757u, 993675115u, 3213791753u, 385020554u, 0, SIN_TOLERANCE, 0},
{ 273, 3213663381u, 210772141u, 3241441539u, 580731413u, 3213663320u, 232861266u, 0, SIN_TOLERANCE, 0},
{ 274, 1093840413u, 1751560711u, 1074522705u, 180987057u, 3219431759u, 1266961775u, 0, SIN_TOLERANCE, 0},
{ 275, 1066754591u, 2552236599u, 1088658621u, 2112468655u, 1066754489u, 3214488945u, 0, SIN_TOLERANCE, 0},
{ 276, 3189290617u, 1578223762u, 3224596567u, 2456166162u, 3189290617u, 1578223762u, 0, SIN_TOLERANCE, 0},
{ 277, 1058506965u, 2110924310u, 1086207177u, 3161208323u, 1058506965u, 2102025662u, 0, SIN_TOLERANCE, 0},
{ 278, 3231863394u, 2352173188u, 1079361728u, 4070222179u, 3220176852u, 2198122228u, 0, SIN_TOLERANCE, 0},
{ 279, 1101012904u, 2481562701u, 1090937016u, 3809489716u, 3217832679u, 1979402010u, 0, SIN_TOLERANCE, 0},
{ 280, 3197002651u, 330905705u, 1086260896u, 90264431u, 3197002651u, 330905632u, 0, SIN_TOLERANCE, 0},
{ 281, 1040729961u, 4162008079u, 3194387916u, 759522153u, 1040729961u, 4162008079u, 0, SIN_TOLERANCE, 0},
{ 282, 1081015037u, 1839697482u, 3216442625u, 2211508949u, 1070955687u, 1388259226u, 0, SIN_TOLERANCE, 0},
{ 283, 3249807211u, 3736863454u, 1063475914u, 3150741666u, 1071777503u, 4068277341u, 0, SIN_TOLERANCE, 0},
{ 284, 1060785883u, 4200269406u, 3236646101u, 1061812176u, 1060785883u, 4001387918u, 0, SIN_TOLERANCE, 0},
{ 285, 1080217979u, 106027290u, 3234978297u, 2245237549u, 3218059427u, 1946602808u, 0, SIN_TOLERANCE, 0},
{ 286, 3246984334u, 2132131375u, 3250483427u, 3449276437u, 1069746729u, 3706777593u, 0, SIN_TOLERANCE, 0},
{ 287, 1089388778u, 2334440944u, 1105423490u, 4004336184u, 1071914715u, 1322385081u, 0, SIN_TOLERANCE, 0},
{ 288, 3218772704u, 4090088208u, 1042030013u, 3898658299u, 3218723093u, 1840404530u, 0, SIN_TOLERANCE, 0},
{ 289, 3207908064u, 2272831437u, 3253082595u, 2639188641u, 3207908064u, 2174645771u, 0, SIN_TOLERANCE, 0},
{ 290, 1054766684u, 1856594168u, 3189515294u, 4101853676u, 1054766684u, 1856518788u, 0, SIN_TOLERANCE, 0},
{ 291, 1076012412u, 2211699255u, 3195060344u, 3865018604u, 1069151373u, 3758558462u, 0, SIN_TOLERANCE, 0},
{ 292, 3242767010u, 996259334u, 3241496889u, 3782673116u, 1070736732u, 1844588698u, 0, SIN_TOLERANCE, 0},
{ 293, 1099130747u, 3840380763u, 1048674041u, 550040067u, 1072262137u, 3368858202u, 0, SIN_TOLERANCE, 0},
{ 294, 3251419593u, 95874100u, 3237232828u, 2645647822u, 1072611743u, 4016179233u, 0, SIN_TOLERANCE, 0},
{ 295, 1043665640u, 3441419500u, 3252367038u, 876710419u, 1043665640u, 3441419500u, 0, SIN_TOLERANCE, 0},
{ 296, 3238593552u, 2560836004u, 3199616543u, 1180840586u, 1072163512u, 3370547255u, 0, SIN_TOLERANCE, 0},
{ 297, 3221602966u, 2218230392u, 3227485787u, 3947214579u, 3218747484u, 1674330182u, 0, SIN_TOLERANCE, 0},
{ 298, 1079539654u, 1447312532u, 1081476588u, 780366847u, 3218975849u, 1610107879u, 0, SIN_TOLERANCE, 0},
{ 299, 1072569643u, 2842113832u, 3216156731u, 225159029u, 1072290979u, 1210181575u, 0, SIN_TOLERANCE, 0},
{ 300, 1098117193u, 1601981129u, 3234628869u, 2236538344u, 3217893977u, 3064451299u, 0, SIN_TOLERANCE, 0},
{ 301, 1085173524u, 2194185737u, 3242362684u, 87913366u, 3215053909u, 2806861459u, 0, SIN_TOLERANCE, 0},
{ 302, 3199083880u, 1346862963u, 1077836259u, 3604666660u, 3199083880u, 1346861821u, 0, SIN_TOLERANCE, 0},
{ 303, 3212255979u, 3115209742u, 1099332326u, 1325101950u, 3212255971u, 2844681635u, 0, SIN_TOLERANCE, 0},
{ 304, 3224546042u, 3889223100u, 1053247613u, 3371396923u, 1070014491u, 1859783173u, 0, SIN_TOLERANCE, 0},
{ 305, 3220477868u, 4163120793u, 1075022670u, 1387631215u, 3220093026u, 1482317646u, 0, SIN_TOLERANCE, 0},
{ 306, 3205481779u, 1532426189u, 1063168268u, 3397022615u, 3205481779u, 1526953343u, 0, SIN_TOLERANCE, 0},
{ 307, 3201033321u, 89324166u, 1079206060u, 3429424710u, 3201033321u, 89309700u, 0, SIN_TOLERANCE, 0},
{ 308, 3192325102u, 747591401u, 1072238381u, 2803213904u, 3192325102u, 747591401u, 0, SIN_TOLERANCE, 0},
{ 309, 1091113780u, 271904221u, 1044258318u, 1858545114u, 3220166722u, 3739614867u, 0, SIN_TOLERANCE, 0},
{ 310, 3228068914u, 314958082u, 3249912496u, 2966213175u, 3219267980u, 1442348823u, 0, SIN_TOLERANCE, 0},
{ 311, 3197179414u, 3119528953u, 3217179014u, 2908718240u, 3197179414u, 3119528901u, 0, SIN_TOLERANCE, 0},
{ 312, 3242467576u, 2018361566u, 1100926600u, 3985805054u, 1072498987u, 1114330108u, 0, SIN_TOLERANCE, 0},
{ 313, 1070132580u, 409584884u, 3239758947u, 755795129u, 1070122273u, 2544291857u, 0, SIN_TOLERANCE, 0},
{ 314, 1075772446u, 1819156379u, 3251342302u, 2982669005u, 1072681080u, 3512208687u, 0, SIN_TOLERANCE, 0},
{ 315, 1101563433u, 2080534280u, 3188254060u, 449171797u, 3220175583u, 2151064167u, 0, SIN_TOLERANCE, 0},
{ 316, 1095956900u, 168744837u, 3214950009u, 1322217822u, 1072189425u, 4007310009u, 0, SIN_TOLERANCE, 0},
{ 317, 3254226900u, 3250487255u, 1062120700u, 1876195180u, 3220007214u, 3581504613u, 0, SIN_TOLERANCE, 0},
{ 318, 3226343480u, 1336400247u, 1098057903u, 3314079581u, 1071554540u, 633418165u, 0, SIN_TOLERANCE, 0},
{ 319, 3203678820u, 265025555u, 1063854282u, 3779482256u, 3203678820u, 264670771u, 0, SIN_TOLERANCE, 0},
{ 320, 1067300501u, 887044257u, 1054789618u, 2732056261u, 1067300227u, 4110391556u, 0, SIN_TOLERANCE, 0},
{ 321, 1050106742u, 4027115185u, 3191764868u, 2940199511u, 1050106742u, 4027115052u, 0, SIN_TOLERANCE, 0},
{ 322, 3202500155u, 2875684421u, 3227459837u, 2251967570u, 3202500155u, 2875619325u, 0, SIN_TOLERANCE, 0},
{ 323, 1063244412u, 284173546u, 3238823679u, 3557800647u, 1063244410u, 3242409421u, 0, SIN_TOLERANCE, 0},
{ 324, 1101458560u, 3147771266u, 3220110464u, 2933364246u, 3219368592u, 3568645980u, 0, SIN_TOLERANCE, 0},
{ 325, 1064853160u, 3366183281u, 3234870843u, 537442654u, 1064853151u, 1551952560u, 0, SIN_TOLERANCE, 0},
{ 326, 3244118788u, 2529029548u, 3249882819u, 3781513577u, 1072616894u, 43106596u, 0, SIN_TOLERANCE, 0},
{ 327, 3213436354u, 1080845539u, 3206760016u, 911778687u, 3213436312u, 3596660530u, 0, SIN_TOLERANCE, 0},
{ 328, 3191951036u, 469586759u, 1091830022u, 3080528840u, 3191951036u, 469586759u, 0, SIN_TOLERANCE, 0},
{ 329, 1080249104u, 2863108169u, 3225605506u, 2508274250u, 3218694376u, 673605614u, 0, SIN_TOLERANCE, 0},
{ 330, 3210826984u, 4080017377u, 3206492941u, 1470284690u, 3210826984u, 440611368u, 0, SIN_TOLERANCE, 0},
{ 331, 3207120390u, 3867917386u, 1102054928u, 3504746045u, 3207120390u, 3826399709u, 0, SIN_TOLERANCE, 0},
{ 332, 1064522279u, 2962134101u, 3244741577u, 3390537350u, 1064522274u, 4269499531u, 0, SIN_TOLERANCE, 0},
{ 333, 1088201813u, 1702237980u, 1071598971u, 1102587474u, 3219219713u, 2231984255u, 0, SIN_TOLERANCE, 0},
{ 334, 3202970118u, 2180218657u, 3211592260u, 1206527853u, 3202970118u, 2180042922u, 0, SIN_TOLERANCE, 0},
{ 335, 3197084744u, 394130786u, 3242511482u, 2437699868u, 3197084744u, 394130704u, 0, SIN_TOLERANCE, 0},
{ 336, 1044237059u, 849581558u, 3252006507u, 2008614943u, 1044237059u, 849581558u, 0, SIN_TOLERANCE, 0},
{ 337, 3210140014u, 3128971673u, 3249137531u, 2773583059u, 3210140014u, 1044145102u, 0, SIN_TOLERANCE, 0},
{ 338, 1085029866u, 590727700u, 3248651761u, 2183878539u, 1072378519u, 2279746955u, 0, SIN_TOLERANCE, 0},
{ 339, 1101098629u, 820687580u, 3208143496u, 1402434664u, 1070935377u, 2141380414u, 0, SIN_TOLERANCE, 0},
{ 340, 3252290835u, 1873709254u, 3245167989u, 44275991u, 3219443403u, 3646165606u, 0, SIN_TOLERANCE, 0},
{ 341, 3189668753u, 1174874204u, 3208263730u, 2360372288u, 3189668753u, 1174874204u, 0, SIN_TOLERANCE, 0},
{ 342, 1103854676u, 937573440u, 3208953761u, 211240241u, 3219590734u, 928440172u, 0, SIN_TOLERANCE, 0},
{ 343, 3243548934u, 2469774991u, 1043117070u, 3380071805u, 3219568461u, 498405354u, 0, SIN_TOLERANCE, 0},
{ 344, 1058121042u, 442507560u, 3254252803u, 3257889649u, 1058121042u, 438756694u, 0, SIN_TOLERANCE, 0},
{ 345, 1068850520u, 1854921625u, 1049810168u, 2729627545u, 1068848895u, 2974802106u, 0, SIN_TOLERANCE, 0},
{ 346, 3254712629u, 4001809575u, 3240128649u, 278261523u, 3219146788u, 1661912448u, 0, SIN_TOLERANCE, 0},
{ 347, 1087224694u, 1793907966u, 3238955714u, 398859249u, 3220058283u, 3138944076u, 0, SIN_TOLERANCE, 0},
{ 348, 3200952547u, 2511916952u, 3219195283u, 1697158299u, 3200952547u, 2511904320u, 0, SIN_TOLERANCE, 0},
{ 349, 1069985548u, 3230931724u, 3243897690u, 3508781585u, 1069977779u, 2586916475u, 0, SIN_TOLERANCE, 0},
{ 350, 1103847606u, 1674254897u, 1046547577u, 217148561u, 1071576757u, 1023587413u, 0, SIN_TOLERANCE, 0},
{ 351, 3211263954u, 3275604304u, 3194840159u, 2991205850u, 3211263952u, 2202700417u, 0, SIN_TOLERANCE, 0},
{ 352, 3195249375u, 3509997278u, 3248888030u, 3897986511u, 3195249375u, 3509997273u, 0, SIN_TOLERANCE, 0},
{ 353, 1047182435u, 2156824613u, 1042295665u, 1239257646u, 1047182435u, 2156824610u, 0, SIN_TOLERANCE, 0},
{ 354, 3213264085u, 1073153314u, 3250031627u, 2567234990u, 3213264055u, 2199995967u, 0, SIN_TOLERANCE, 0},
{ 355, 3190593412u, 4261696995u, 3197784432u, 323702024u, 3190593412u, 4261696995u, 0, SIN_TOLERANCE, 0},
{ 356, 3243690997u, 4075177615u, 3202791065u, 1919006082u, 1072671496u, 2731841203u, 0, SIN_TOLERANCE, 0},
{ 357, 3239270013u, 386429966u, 1086504491u, 3698826164u, 3220169748u, 4045379867u, 0, SIN_TOLERANCE, 0},
{ 358, 1078327190u, 1681986446u, 3194985869u, 3072950140u, 3215496106u, 3159177907u, 0, SIN_TOLERANCE, 0},
{ 359, 3217311933u, 3719038997u, 1055433962u, 3331415058u, 3217306376u, 4089001786u, 0, SIN_TOLERANCE, 0},
{ 360, 1060749713u, 2420250111u, 3238002206u, 1928661079u, 1060749713u, 2233624875u, 0, SIN_TOLERANCE, 0},
{ 361, 1081914210u, 3679866727u, 3227386672u, 1273835792u, 1071672711u, 2463694361u, 0, SIN_TOLERANCE, 0},
{ 362, 1041622738u, 2682092368u, 3234222284u, 1325425811u, 1041622738u, 2682092368u, 0, SIN_TOLERANCE, 0},
{ 363, 1056312613u, 4175172697u, 3208346191u, 2130706153u, 1056312613u, 4174715193u, 0, SIN_TOLERANCE, 0},
{ 364, 1092089624u, 1200784450u, 1083605096u, 1248595607u, 3218646220u, 2271896913u, 0, SIN_TOLERANCE, 0},
{ 365, 3213890863u, 1897285171u, 3251296075u, 944966123u, 3213890820u, 473058695u, 0, SIN_TOLERANCE, 0},
{ 366, 3241371250u, 2270747330u, 3230692631u, 422503284u, 3220159790u, 1559521389u, 0, SIN_TOLERANCE, 0},
{ 367, 1084120037u, 2857564741u, 1075647403u, 3308906709u, 1072682608u, 1566770115u, 0, SIN_TOLERANCE, 0},
{ 368, 3203475098u, 1380066948u, 3232612906u, 2613634294u, 3203475098u, 1379851699u, 0, SIN_TOLERANCE, 0},
{ 369, 1063890856u, 4022784584u, 1060483857u, 3264056381u, 1063890854u, 765768635u, 0, SIN_TOLERANCE, 0},
{ 370, 1044637404u, 1778509100u, 3213146285u, 2665833973u, 1044637404u, 1778509100u, 0, SIN_TOLERANCE, 0},
{ 371, 3216727300u, 1859175955u, 1079949560u, 4258450607u, 3216723887u, 2800533765u, 0, SIN_TOLERANCE, 0},
{ 372, 1048277388u, 4128020197u, 1076266146u, 4122840980u, 1048277388u, 4128020184u, 0, SIN_TOLERANCE, 0},
{ 373, 3193183163u, 2454653987u, 3229487005u, 2977478685u, 3193183163u, 2454653987u, 0, SIN_TOLERANCE, 0},
{ 374, 3253556483u, 1355181872u, 1095308770u, 436846481u, 1070404584u, 1346890185u, 0, SIN_TOLERANCE, 0},
{ 375, 3246605302u, 2592856453u, 3247825559u, 3195234082u, 3219332754u, 3289059462u, 0, SIN_TOLERANCE, 0},
{ 376, 3222118023u, 3554670043u, 1091621009u, 3321236467u, 1071711521u, 2918342783u, 0, SIN_TOLERANCE, 0},
{ 377, 1069012833u, 1936670355u, 1095715713u, 2958468553u, 1069010575u, 3545442834u, 0, SIN_TOLERANCE, 0},
{ 378, 3192291109u, 2960339502u, 1098808013u, 1044068983u, 3192291109u, 2960339502u, 0, SIN_TOLERANCE, 0},
{ 379, 3196691185u, 4093388677u, 1095478112u, 1735930261u, 3196691185u, 4093388633u, 0, SIN_TOLERANCE, 0},
{ 380, 1091040302u, 1807398746u, 3195743135u, 4261616162u, 3218499784u, 630768479u, 0, SIN_TOLERANCE, 0},
{ 381, 3209294194u, 3250576797u, 1059002384u, 3043079652u, 3209294194u, 2487695189u, 0, SIN_TOLERANCE, 0},
{ 382, 1069207109u, 666051428u, 3208765404u, 1912684117u, 1069203900u, 3062493543u, 0, SIN_TOLERANCE, 0},
{ 383, 1103487420u, 1949030179u, 1096388934u, 896459246u, 3219528448u, 2251950666u, 0, SIN_TOLERANCE, 0},
{ 384, 1054300653u, 622499767u, 1066707637u, 1490260486u, 1054300653u, 622465812u, 0, SIN_TOLERANCE, 0},
{ 385, 1106688493u, 1490616165u, 3251242436u, 795675736u, 1071164231u, 1572663486u, 0, SIN_TOLERANCE, 0},
{ 386, 1080943896u, 3662877092u, 3234317146u, 3200513112u, 1071174065u, 1421883672u, 0, SIN_TOLERANCE, 0},
{ 387, 1084088786u, 1356101968u, 3236536816u, 3062844611u, 1072062816u, 4171501946u, 0, SIN_TOLERANCE, 0},
{ 388, 3219922640u, 2284484846u, 3219498359u, 3240896015u, 3219694444u, 2213484574u, 0, SIN_TOLERANCE, 0},
{ 389, 3235759689u, 494503287u, 1092811254u, 142673998u, 3213704730u, 3260565064u, 0, SIN_TOLERANCE, 0},
{ 390, 3252125916u, 3394882641u, 3225306538u, 364852125u, 1072108480u, 4038780813u, 0, SIN_TOLERANCE, 0},
{ 391, 3225261763u, 193885269u, 1088149839u, 1359805831u, 1072624787u, 4121749569u, 0, SIN_TOLERANCE, 0},
{ 392, 3200484782u, 592580907u, 3199560872u, 3086438952u, 3200484782u, 592575947u, 0, SIN_TOLERANCE, 0},
{ 393, 1059518664u, 1778008540u, 1049064687u, 73581647u, 1059518664u, 1744906541u, 0, SIN_TOLERANCE, 0},
{ 394, 3246733598u, 233240285u, 1081923320u, 2710903921u, 1072686695u, 3681926353u, 0, SIN_TOLERANCE, 0},
{ 395, 1069513767u, 3719878805u, 1079866720u, 3615458228u, 1069508569u, 4007151816u, 0, SIN_TOLERANCE, 0},
{ 396, 3221194724u, 3647632375u, 3247225271u, 3839959621u, 3220011446u, 657266419u, 0, SIN_TOLERANCE, 0},
{ 397, 1103401096u, 2232210456u, 3235434773u, 224271737u, 3219291904u, 1056060008u, 0, SIN_TOLERANCE, 0},
{ 398, 3193003684u, 2134662911u, 3190390590u, 4239009051u, 3193003684u, 2134662911u, 0, SIN_TOLERANCE, 0},
{ 399, 1080526145u, 2305279897u, 1077668039u, 1854523320u, 3218395496u, 1710236719u, 0, SIN_TOLERANCE, 0},
{ 400, 3219864259u, 538224650u, 3206153057u, 1379649610u, 3219656570u, 905357172u, 0, SIN_TOLERANCE, 0},
{ 401, 3196410507u, 3683897920u, 3244167599u, 3647579469u, 3196410507u, 3683897895u, 0, SIN_TOLERANCE, 0},
{ 402, 1090280933u, 2694093608u, 1042775347u, 598406111u, 1072678613u, 1199374585u, 0, SIN_TOLERANCE, 0},
{ 403, 3211635392u, 872706833u, 1084802480u, 2200602798u, 3211635387u, 4094761714u, 0, SIN_TOLERANCE, 0},
{ 404, 1042339597u, 904146293u, 1060867322u, 1729685598u, 1042339597u, 904146293u, 0, SIN_TOLERANCE, 0},
{ 405, 3195694970u, 1894173462u, 3232800651u, 191960416u, 3195694970u, 1894173450u, 0, SIN_TOLERANCE, 0},
{ 406, 1091225343u, 3521028551u, 1054522089u, 3287274359u, 1072666872u, 2878943607u, 0, SIN_TOLERANCE, 0},
{ 407, 1095386964u, 959640601u, 3201578263u, 4136915018u, 1071650759u, 4107877457u, 0, SIN_TOLERANCE, 0},
{ 408, 1064005451u, 1553716379u, 1106027987u, 984725765u, 1064005448u, 3806280u, 0, SIN_TOLERANCE, 0},
{ 409, 3238832641u, 2287646644u, 3240329321u, 2276183378u, 3219833338u, 4061144814u, 0, SIN_TOLERANCE, 0},
{ 410, 1068209174u, 3940225170u, 3199544434u, 997572161u, 1068208301u, 293018899u, 0, SIN_TOLERANCE, 0},
{ 411, 3212768361u, 36116288u, 3206886566u, 4196602670u, 3212768341u, 2998456369u, 0, SIN_TOLERANCE, 0},
{ 412, 3241695853u, 3550227562u, 3207257983u, 2747744117u, 3216014115u, 1571426293u, 0, SIN_TOLERANCE, 0},
{ 413, 1104236126u, 507130047u, 1048359321u, 3229888373u, 1072679610u, 1134166995u, 0, SIN_TOLERANCE, 0},
{ 414, 3222996778u, 2210969014u, 1081031001u, 1946786091u, 3218944954u, 4108691652u, 0, SIN_TOLERANCE, 0},
{ 415, 3236306990u, 4059150589u, 3189759234u, 1177045799u, 1072192774u, 164380330u, 0, SIN_TOLERANCE, 0},
{ 416, 1093103612u, 2664812822u, 1050343198u, 2034180320u, 3220155710u, 2715854652u, 0, SIN_TOLERANCE, 0},
{ 417, 3213779117u, 1175750283u, 3235559706u, 1424491340u, 3213779044u, 1173295357u, 0, SIN_TOLERANCE, 0},
{ 418, 3213904193u, 1630036121u, 3231972785u, 3195479448u, 3213904148u, 1645005977u, 0, SIN_TOLERANCE, 0},
{ 419, 1090429875u, 2527029044u, 1046927050u, 4000723255u, 3219966524u, 3715598854u, 0, SIN_TOLERANCE, 0},
{ 420, 1085208677u, 3335703647u, 3237349676u, 3869440059u, 3219009356u, 4095114083u, 0, SIN_TOLERANCE, 0},
{ 421, 1091433848u, 3888398377u, 3196041693u, 1290567220u, 1072583950u, 1011503215u, 0, SIN_TOLERANCE, 0},
{ 422, 1066679070u, 3242451480u, 3248384948u, 707431021u, 1066678984u, 2160822261u, 0, SIN_TOLERANCE, 0},
{ 423, 1083230509u, 2739665123u, 1060777905u, 1733073225u, 3217071034u, 903609947u, 0, SIN_TOLERANCE, 0},
{ 424, 1078517061u, 1297274853u, 3208848704u, 3341639139u, 3219152212u, 3806596794u, 0, SIN_TOLERANCE, 0},
{ 425, 1046570941u, 2228057309u, 1084318902u, 1317851136u, 1046570941u, 2228057308u, 0, SIN_TOLERANCE, 0},
{ 426, 1088255327u, 270039934u, 3241414679u, 3063626339u, 3216396846u, 3644353080u, 0, SIN_TOLERANCE, 0},
{ 427, 3219178350u, 83062251u, 3211262173u, 2659016437u, 3219128787u, 1914189566u, 0, SIN_TOLERANCE, 0},
{ 428, 1095743886u, 3833539373u, 3206667189u, 1567476111u, 1071807946u, 404285730u, 0, SIN_TOLERANCE, 0},
{ 429, 3205195072u, 2382776852u, 3249232579u, 1546622468u, 3205195072u, 2379267821u, 0, SIN_TOLERANCE, 0},
{ 430, 1085536439u, 1714300821u, 1104130938u, 4167591598u, 3220123735u, 685495821u, 0, SIN_TOLERANCE, 0},
{ 431, 1051092760u, 2798720100u, 1086978789u, 449990704u, 1051092760u, 2798719632u, 0, SIN_TOLERANCE, 0},
{ 432, 3231198415u, 4039516226u, 3244344107u, 4272932619u, 3220175867u, 3527643160u, 0, SIN_TOLERANCE, 0},
{ 433, 3222708441u, 1683007544u, 1091105663u, 3805494321u, 1071825014u, 828793735u, 0, SIN_TOLERANCE, 0},
{ 434, 3220852948u, 2072627412u, 1094383324u, 3394151662u, 3220171166u, 1264193719u, 0, SIN_TOLERANCE, 0},
{ 435, 3220570024u, 1120106427u, 3223631624u, 3404608264u, 3220136791u, 2964380269u, 0, SIN_TOLERANCE, 0},
{ 436, 1097859997u, 559918757u, 3205077053u, 908100198u, 3219993005u, 970396619u, 0, SIN_TOLERANCE, 0},
{ 437, 1042677918u, 2026673913u, 3244833635u, 2844573214u, 1042677918u, 2026673913u, 0, SIN_TOLERANCE, 0},
{ 438, 3254567259u, 3946837259u, 3234993796u, 3850406820u, 3218559097u, 3013700769u, 0, SIN_TOLERANCE, 0},
{ 439, 1057479809u, 3139330994u, 1046133568u, 1539650690u, 1057479809u, 3137012350u, 0, SIN_TOLERANCE, 0},
{ 440, 3236705500u, 1554593884u, 3228899878u, 2813752562u, 1071977984u, 1955826869u, 0, SIN_TOLERANCE, 0},
{ 441, 1056505004u, 3804703138u, 1072931071u, 2053677923u, 1056505004u, 3804037510u, 0, SIN_TOLERANCE, 0},
{ 442, 3244864299u, 289355864u, 1078453818u, 2143066338u, 3219233682u, 468401044u, 0, SIN_TOLERANCE, 0},
{ 443, 3203939880u, 2157691971u, 1106629150u, 110806409u, 3203939880u, 2157084064u, 0, SIN_TOLERANCE, 0},
{ 444, 1082157019u, 3570399481u, 1085637605u, 180265334u, 3218415536u, 3741238523u, 0, SIN_TOLERANCE, 0},
{ 445, 3200980182u, 558779875u, 3202046748u, 2338464653u, 3200980182u, 558766634u, 0, SIN_TOLERANCE, 0},
{ 446, 1045705464u, 1703969219u, 3229797258u, 1417521063u, 1045705464u, 1703969219u, 0, SIN_TOLERANCE, 0},
{ 447, 3237782261u, 3917440951u, 1051668894u, 3736066983u, 3219677496u, 2476988526u, 0, SIN_TOLERANCE, 0},
{ 448, 1064752080u, 3106613409u, 1066627453u, 2735392257u, 1064752072u, 4205181601u, 0, SIN_TOLERANCE, 0},
{ 449, 1065665372u, 2229777605u, 1065061963u, 2405869925u, 1065665349u, 897699253u, 0, SIN_TOLERANCE, 0},
{ 450, 3239463229u, 3967957902u, 1057416138u, 3459188071u, 3219483279u, 1204805702u, 0, SIN_TOLERANCE, 0},
{ 451, 1068639210u, 3699016825u, 3249713090u, 796144848u, 1068638216u, 877792013u, 0, SIN_TOLERANCE, 0},
{ 452, 3228816396u, 3285165564u, 3211948811u, 401510871u, 3215486773u, 1278566204u, 0, SIN_TOLERANCE, 0},
{ 453, 1094257658u, 634857910u, 3199607513u, 914218057u, 1070809933u, 656420698u, 0, SIN_TOLERANCE, 0},
{ 454, 1083743336u, 2030735578u, 3233855943u, 965677531u, 3220005840u, 3974123114u, 0, SIN_TOLERANCE, 0},
{ 455, 1079556815u, 3957229084u, 1051050470u, 3123776651u, 3220175113u, 3998644826u, 0, SIN_TOLERANCE, 0},
{ 456, 3221863333u, 162122081u, 3239376395u, 108064594u, 1068707993u, 3902663790u, 0, SIN_TOLERANCE, 0},
{ 457, 3237271786u, 869031839u, 3225020876u, 1344301606u, 3219835626u, 1742181520u, 0, SIN_TOLERANCE, 0},
{ 458, 3214433474u, 946696117u, 3231825228u, 1700703647u, 3214433323u, 2592553516u, 0, SIN_TOLERANCE, 0},
{ 459, 1075492875u, 3394168074u, 1076939786u, 1666995668u, 1071167510u, 819576280u, 0, SIN_TOLERANCE, 0},
{ 460, 3208774795u, 2488789804u, 3238508333u, 1506943664u, 3208774795u, 2233231096u, 0, SIN_TOLERANCE, 0},
{ 461, 1072788663u, 3844072288u, 3202592279u, 2630019853u, 1072456452u, 882065402u, 0, SIN_TOLERANCE, 0},
{ 462, 3219934542u, 1244307192u, 3191297711u, 2540916692u, 3219702013u, 192990048u, 0, SIN_TOLERANCE, 0},
{ 463, 3200062692u, 2871645739u, 3239081581u, 1440249115u, 3200062692u, 2871641640u, 0, SIN_TOLERANCE, 0},
{ 464, 1068350633u, 1231934926u, 3236746788u, 603977748u, 1068349537u, 3457970651u, 0, SIN_TOLERANCE, 0},
{ 465, 3195449689u, 2386312545u, 1063169277u, 2715234268u, 3195449689u, 2386312537u, 0, SIN_TOLERANCE, 0},
{ 466, 1087803418u, 915867083u, 1046790892u, 3347417612u, 1072499185u, 2089737020u, 0, SIN_TOLERANCE, 0},
{ 467, 1105984188u, 3553288373u, 1065698616u, 2906680663u, 1071870382u, 1073334537u, 0, SIN_TOLERANCE, 0},
{ 468, 1045506226u, 2342364630u, 1051356723u, 4019093203u, 1045506226u, 2342364630u, 0, SIN_TOLERANCE, 0},
{ 469, 3201169162u, 2911548084u, 1105282515u, 2476735795u, 3201169162u, 2911530147u, 0, SIN_TOLERANCE, 0},
{ 470, 1050472772u, 1836216409u, 1101062307u, 2519592554u, 1050472772u, 1836216156u, 0, SIN_TOLERANCE, 0},
{ 471, 1070178161u, 1235369496u, 3222946447u, 668087854u, 1070166968u, 4228921710u, 0, SIN_TOLERANCE, 0},
{ 472, 3208554596u, 2981820811u, 1059838516u, 2845580478u, 3208554596u, 2667081449u, 0, SIN_TOLERANCE, 0},
{ 473, 3193931414u, 1565550570u, 3217165795u, 4162017137u, 3193931414u, 1565550569u, 0, SIN_TOLERANCE, 0},
{ 474, 3237251378u, 2808968027u, 1055630096u, 1782326814u, 3219818408u, 1142564445u, 0, SIN_TOLERANCE, 0},
{ 475, 1053576974u, 1492622658u, 3216653077u, 3972512122u, 1053576974u, 1492607534u, 0, SIN_TOLERANCE, 0},
{ 476, 3222171679u, 2722693603u, 3227814791u, 3169731970u, 1071887116u, 525452416u, 0, SIN_TOLERANCE, 0},
{ 477, 3217906631u, 899763203u, 3207606001u, 2804747833u, 3217889805u, 2998184084u, 0, SIN_TOLERANCE, 0},
{ 478, 3230670325u, 3789058912u, 3228095081u, 4135937628u, 3219896487u, 3785128251u, 0, SIN_TOLERANCE, 0},
{ 479, 1060199382u, 1682808307u, 3206960335u, 232877759u, 1060199382u, 1625675800u, 0, SIN_TOLERANCE, 0},
{ 480, 3242091486u, 2851963139u, 3246852961u, 2590862592u, 3219187029u, 4160198778u, 0, SIN_TOLERANCE, 0},
{ 481, 1081200406u, 2422232642u, 3234779662u, 290458310u, 1072292043u, 374164345u, 0, SIN_TOLERANCE, 0},
{ 482, 3210671078u, 1082582386u, 1075605675u, 2602133689u, 3210671077u, 194975196u, 0, SIN_TOLERANCE, 0},
{ 483, 3239818611u, 1789635787u, 1059414278u, 1048286093u, 3220086075u, 82631293u, 0, SIN_TOLERANCE, 0},
{ 484, 1098330542u, 231339448u, 1055573265u, 504907415u, 1068257446u, 2455089238u, 0, SIN_TOLERANCE, 0},
{ 485, 1063211461u, 1153251200u, 3204617090u, 1772013857u, 1063211460u, 79265977u, 0, SIN_TOLERANCE, 0},
{ 486, 1099551055u, 1082898276u, 3212089272u, 1449080862u, 3218511880u, 3277707552u, 0, SIN_TOLERANCE, 0},
{ 487, 1086008285u, 3177299045u, 1058862813u, 809400815u, 1071103413u, 828912693u, 0, SIN_TOLERANCE, 0},
{ 488, 3230854550u, 1924429710u, 1056464743u, 3349283177u, 1072591385u, 3082809316u, 0, SIN_TOLERANCE, 0},
{ 489, 3245473391u, 42238036u, 1042379500u, 2113559863u, 1072278178u, 3405273341u, 0, SIN_TOLERANCE, 0},
{ 490, 1064761243u, 3304403230u, 3217556703u, 58952646u, 1064761235u, 3788050789u, 0, SIN_TOLERANCE, 0},
{ 491, 3212669530u, 1645486982u, 3224301095u, 3636267471u, 3212669513u, 3263410238u, 0, SIN_TOLERANCE, 0},
{ 492, 1062762009u, 619402181u, 3235208235u, 557360557u, 1062762008u, 2356441311u, 0, SIN_TOLERANCE, 0},
{ 493, 3238238394u, 110029735u, 1046937383u, 984375729u, 1069598005u, 3806390758u, 0, SIN_TOLERANCE, 0},
{ 494, 3189496738u, 4063688092u, 3203235744u, 1049950343u, 3189496738u, 4063688092u, 0, SIN_TOLERANCE, 0},
{ 495, 1062350619u, 650996069u, 1054971928u, 3953359826u, 1062350618u, 3895169615u, 0, SIN_TOLERANCE, 0},
{ 496, 3227055805u, 66926332u, 1090561839u, 1379780888u, 1071907710u, 4044840027u, 0, SIN_TOLERANCE, 0},
{ 497, 3233453307u, 2803378256u, 1086057989u, 498534626u, 3218243918u, 2791615725u, 0, SIN_TOLERANCE, 0},
{ 498, 1082618553u, 2846400785u, 1047142525u, 1375153550u, 1071558334u, 1773771057u, 0, SIN_TOLERANCE, 0},
{ 499, 1044581201u, 2869128958u, 1070972315u, 4246440273u, 1044581201u, 2869128958u, 0, SIN_TOLERANCE, 0},
{ 500, 1051832506u, 3112381207u, 1044430965u, 3981604561u, 1051832506u, 3112380284u, 0, SIN_TOLERANCE, 0},
{ 501, 3231254997u, 243303420u, 1093735824u, 1575581926u, 3218023891u, 2206751039u, 0, SIN_TOLERANCE, 0},
{ 502, 3239137997u, 3218865041u, 3204803496u, 3840388050u, 1070566791u, 3693771798u, 0, SIN_TOLERANCE, 0},
{ 503, 1048415431u, 336846959u, 1052664471u, 3798336786u, 1048415431u, 336846942u, 0, SIN_TOLERANCE, 0},
{ 504, 1055954236u, 3639240976u, 1081202165u, 1844741676u, 1055954236u, 3639046406u, 0, SIN_TOLERANCE, 0},
{ 505, 3211904793u, 717293069u, 3211534283u, 582401011u, 3211904789u, 2186409606u, 0, SIN_TOLERANCE, 0},
{ 506, 3251962512u, 3766248610u, 3196520332u, 1174437546u, 3219859002u, 933735856u, 0, SIN_TOLERANCE, 0},
{ 507, 1083431226u, 756959182u, 3204099341u, 1581804034u, 1072468298u, 2249202001u, 0, SIN_TOLERANCE, 0},
{ 508, 3205806444u, 3560686300u, 3220980617u, 4277975772u, 3205806444u, 3554609858u, 0, SIN_TOLERANCE, 0},
{ 509, 3209906076u, 2598148853u, 3217622194u, 3460421008u, 3209906076u, 1345723928u, 0, SIN_TOLERANCE, 0},
{ 510, 1066720824u, 136600515u, 3209934920u, 3340653128u, 1066720729u, 1598401379u, 0, SIN_TOLERANCE, 0},
{ 511, 1096820310u, 1045480938u, 3251354609u, 4133432965u, 1072537699u, 4085430850u, 0, SIN_TOLERANCE, 0},
{ 512, 1091599431u, 1630207738u, 3239996829u, 2393354808u, 1071751521u, 1124141059u, 0, SIN_TOLERANCE, 0},
{ 513, 3190626018u, 3739770117u, 1059520750u, 3959551225u, 3190626018u, 3739770117u, 0, SIN_TOLERANCE, 0},
{ 514, 3230730505u, 1498861716u, 1091297147u, 847410798u, 1069557100u, 3597060909u, 0, SIN_TOLERANCE, 0},
{ 515, 1073516688u, 983275314u, 3232538664u, 2244973629u, 1072645188u, 2504109125u, 0, SIN_TOLERANCE, 0},
{ 516, 1054849265u, 2353103845u, 3235718771u, 2978889966u, 1054849265u, 2353018718u, 0, SIN_TOLERANCE, 0},
{ 517, 3251357992u, 1546972125u, 3249076079u, 1987349196u, 3220174666u, 3270764328u, 0, SIN_TOLERANCE, 0},
{ 518, 3238219513u, 2769161072u, 1075207126u, 292616282u, 3219645457u, 3531409241u, 0, SIN_TOLERANCE, 0},
{ 519, 3199712298u, 36855311u, 1052128202u, 1479039342u, 3199712298u, 36853082u, 0, SIN_TOLERANCE, 0},
{ 520, 1083757053u, 2027463605u, 1066023013u, 3369686340u, 3219992533u, 3618466663u, 0, SIN_TOLERANCE, 0},
{ 521, 3197852749u, 3808681655u, 1054161346u, 1821773119u, 3197852749u, 3808681442u, 0, SIN_TOLERANCE, 0},
{ 522, 1040685928u, 3175490326u, 3226879970u, 845687760u, 1040685928u, 3175490326u, 0, SIN_TOLERANCE, 0},
{ 523, 1042302993u, 3124482451u, 3242748377u, 3259417226u, 1042302993u, 3124482451u, 0, SIN_TOLERANCE, 0},
{ 524, 1045245695u, 2751606436u, 3236210939u, 3923142740u, 1045245695u, 2751606436u, 0, SIN_TOLERANCE, 0},
{ 525, 1095694737u, 2016872044u, 3228408064u, 4201274408u, 1072286341u, 1362265118u, 0, SIN_TOLERANCE, 0},
{ 526, 3199349254u, 1019916843u, 3219974785u, 1977881787u, 3199349254u, 1019915839u, 0, SIN_TOLERANCE, 0},
{ 527, 3199478752u, 2060433318u, 1075872515u, 366073725u, 3199478752u, 2060431950u, 0, SIN_TOLERANCE, 0},
{ 528, 3191180557u, 1098469906u, 1082900695u, 2349346832u, 3191180557u, 1098469906u, 0, SIN_TOLERANCE, 0},
{ 529, 3209974707u, 3011196295u, 3252479932u, 2459281672u, 3209974707u, 1543399360u, 0, SIN_TOLERANCE, 0},
{ 530, 3221334323u, 2843222682u, 1089275809u, 298982001u, 3219765832u, 3012348119u, 0, SIN_TOLERANCE, 0},
{ 531, 1101737698u, 914741728u, 3203468059u, 2833809843u, 3219808843u, 3014971771u, 0, SIN_TOLERANCE, 0},
{ 532, 3236763878u, 1274901962u, 3241535845u, 3759113509u, 3220165679u, 685102012u, 0, SIN_TOLERANCE, 0},
{ 533, 3245916442u, 2134927252u, 3253802671u, 3013731444u, 3220072965u, 474412391u, 0, SIN_TOLERANCE, 0},
{ 534, 1099201341u, 2230655177u, 3254510616u, 1249674366u, 3217398459u, 1862039103u, 0, SIN_TOLERANCE, 0},
{ 535, 1062971253u, 717357389u, 1083533731u, 3746683362u, 1062971252u, 1316352658u, 0, SIN_TOLERANCE, 0},
{ 536, 3213773114u, 834976849u, 3217357661u, 2465861779u, 3213773041u, 3660226702u, 0, SIN_TOLERANCE, 0},
{ 537, 1045656117u, 1385714428u, 1053358395u, 3007113740u, 1045656117u, 1385714428u, 0, SIN_TOLERANCE, 0},
{ 538, 1050527919u, 599268545u, 3201368210u, 2309854744u, 1050527919u, 599268270u, 0, SIN_TOLERANCE, 0},
{ 539, 1069954454u, 2840234388u, 3232496515u, 333365983u, 1069947162u, 1780277781u, 0, SIN_TOLERANCE, 0},
{ 540, 1045922781u, 3136078996u, 3194520860u, 2650572904u, 1045922781u, 3136078995u, 0, SIN_TOLERANCE, 0},
{ 541, 3233687691u, 2405805086u, 3251640319u, 324233833u, 1072686336u, 1152698935u, 0, SIN_TOLERANCE, 0},
{ 542, 1106699146u, 2589598340u, 3254677807u, 952438812u, 1072324232u, 3449767578u, 0, SIN_TOLERANCE, 0},
{ 543, 3189114773u, 1922837702u, 3216892718u, 3535907549u, 3189114773u, 1922837702u, 0, SIN_TOLERANCE, 0},
{ 544, 3243615868u, 261447440u, 3209805849u, 1150571079u, 1070965580u, 3935697264u, 0, SIN_TOLERANCE, 0},
{ 545, 1095805232u, 4026487528u, 1073152064u, 27340691u, 1071684378u, 548705734u, 0, SIN_TOLERANCE, 0},
{ 546, 3229123692u, 338765118u, 1086225786u, 3207238249u, 3218751755u, 1233472933u, 0, SIN_TOLERANCE, 0},
{ 547, 3196182703u, 1085283176u, 3187775111u, 1601194210u, 3196182703u, 1085283161u, 0, SIN_TOLERANCE, 0},
{ 548, 1091520173u, 3031712790u, 3252307859u, 170666844u, 3219971367u, 394023925u, 0, SIN_TOLERANCE, 0},
{ 549, 3218862231u, 3148395674u, 1041913758u, 3306391490u, 3218804621u, 1993316150u, 0, SIN_TOLERANCE, 0},
{ 550, 3201277070u, 2205233857u, 3208100078u, 3993195511u, 3201277070u, 2205212798u, 0, SIN_TOLERANCE, 0},
{ 551, 1067699608u, 4282766727u, 1072820377u, 1874778218u, 1067699285u, 1871096311u, 0, SIN_TOLERANCE, 0},
{ 552, 3210833092u, 2920860798u, 3218070226u, 3104066154u, 3210833091u, 3517395975u, 0, SIN_TOLERANCE, 0},
{ 553, 3204950351u, 969991373u, 3250596895u, 1734386152u, 3204950351u, 967730542u, 0, SIN_TOLERANCE, 0},
{ 554, 3238915818u, 1218740205u, 3239802737u, 2610078504u, 1071758532u, 2855666981u, 0, SIN_TOLERANCE, 0},
{ 555, 3206031242u, 1485218325u, 3220870240u, 3591664613u, 3206031242u, 1475597764u, 0, SIN_TOLERANCE, 0},
{ 556, 3202074143u, 690157417u, 3190850619u, 4192347699u, 3202074143u, 690100285u, 0, SIN_TOLERANCE, 0},
{ 557, 1096053810u, 4009839784u, 1079670252u, 394167192u, 3220176185u, 1631825320u, 0, SIN_TOLERANCE, 0},
{ 558, 3234559237u, 961532417u, 1092588071u, 2923790239u, 3219240085u, 1012830439u, 0, SIN_TOLERANCE, 0},
{ 559, 3203879091u, 4174125604u, 1050682630u, 2169701868u, 3203879091u, 4173584839u, 0, SIN_TOLERANCE, 0},
{ 560, 3243092475u, 4146748230u, 1087373950u, 2481478351u, 1067740115u, 3998469072u, 0, SIN_TOLERANCE, 0},
{ 561, 1076987866u, 3984715440u, 1050421618u, 2446142566u, 3220110698u, 974706513u, 0, SIN_TOLERANCE, 0},
{ 562, 1084172406u, 936290150u, 1100614426u, 3625806370u, 1072094479u, 2895643002u, 0, SIN_TOLERANCE, 0},
{ 563, 1099787952u, 1866615265u, 3215651428u, 2337013350u, 1071976815u, 3306026822u, 0, SIN_TOLERANCE, 0},
{ 564, 3253198302u, 712227971u, 1106004723u, 973148499u, 1070735011u, 1291506150u, 0, SIN_TOLERANCE, 0},
{ 565, 3230088199u, 3409813738u, 3244817008u, 1933503498u, 3219902662u, 1451815939u, 0, SIN_TOLERANCE, 0},
{ 566, 1079943733u, 3180389060u, 3228735703u, 83422217u, 3213454768u, 3879155175u, 0, SIN_TOLERANCE, 0},
{ 567, 1077878724u, 556972671u, 3204582372u, 841555801u, 3218237932u, 567370693u, 0, SIN_TOLERANCE, 0},
{ 568, 1070767721u, 4189151332u, 1080874032u, 706326922u, 1070750582u, 4079109003u, 0, SIN_TOLERANCE, 0},
{ 569, 1096151307u, 198291836u, 1057281892u, 2188836928u, 3220101257u, 368328880u, 0, SIN_TOLERANCE, 0},
{ 570, 1078091995u, 1219449298u, 3228734687u, 3504562743u, 3219776304u, 644559464u, 0, SIN_TOLERANCE, 0},
{ 571, 3204570464u, 1776099219u, 1094316777u, 4188083896u, 3204570464u, 1775126159u, 0, SIN_TOLERANCE, 0},
{ 572, 3193845708u, 2614400266u, 1073750227u, 3003203347u, 3193845708u, 2614400265u, 0, SIN_TOLERANCE, 0},
{ 573, 3213982678u, 2959351406u, 1105603716u, 311851587u, 3213982623u, 79201814u, 0, SIN_TOLERANCE, 0},
{ 574, 1084544434u, 865443613u, 1097532516u, 3622237781u, 1071041198u, 1507254391u, 0, SIN_TOLERANCE, 0},
{ 575, 3231786666u, 447506102u, 3195759295u, 3603669725u, 3219333885u, 3048377941u, 0, SIN_TOLERANCE, 0},
{ 576, 1097890173u, 3934398273u, 1040996422u, 2968621268u, 1072685797u, 2235914534u, 0, SIN_TOLERANCE, 0},
{ 577, 3196739825u, 784208771u, 1088764788u, 2182296421u, 3196739825u, 784208723u, 0, SIN_TOLERANCE, 0},
{ 578, 3248332291u, 1527590526u, 3206961556u, 2823164069u, 3219822440u, 478287683u, 0, SIN_TOLERANCE, 0},
{ 579, 3236644131u, 3876699591u, 3207481130u, 4028148535u, 1072393284u, 1209093961u, 0, SIN_TOLERANCE, 0},
{ 580, 1083576186u, 2164249756u, 1059857743u, 1785169952u, 3220097373u, 3809888698u, 0, SIN_TOLERANCE, 0},
{ 581, 1091804009u, 2079273665u, 1080303860u, 625760474u, 1072539707u, 298442240u, 0, SIN_TOLERANCE, 0},
{ 582, 3226486108u, 3636214836u, 1068367620u, 2932621925u, 3219708924u, 2233835753u, 0, SIN_TOLERANCE, 0},
{ 583, 1043995372u, 4274131512u, 1047707755u, 92550763u, 1043995372u, 4274131512u, 0, SIN_TOLERANCE, 0},
{ 584, 3198822121u, 2648933384u, 1084603503u, 3534304873u, 3198822121u, 2648932639u, 0, SIN_TOLERANCE, 0},
{ 585, 1064563235u, 3216750767u, 3191088629u, 547482628u, 1064563230u, 2503171318u, 0, SIN_TOLERANCE, 0},
{ 586, 1061084774u, 1420360746u, 1080063101u, 1690029499u, 1061084774u, 1099079215u, 0, SIN_TOLERANCE, 0},
{ 587, 3229855364u, 1908572179u, 1080112083u, 1228319033u, 3220171054u, 1328376247u, 0, SIN_TOLERANCE, 0},
{ 588, 1048158178u, 500312015u, 3212368508u, 3864619086u, 1048158178u, 500312004u, 0, SIN_TOLERANCE, 0},
{ 589, 3221335610u, 4211343447u, 1087492676u, 4272583781u, 3219762765u, 2753996887u, 0, SIN_TOLERANCE, 0},
{ 590, 1099392394u, 2382118000u, 1042665328u, 567154882u, 3219741310u, 1829458081u, 0, SIN_TOLERANCE, 0},
{ 591, 1058013442u, 1435344339u, 3216303171u, 2275988178u, 1058013442u, 1432546069u, 0, SIN_TOLERANCE, 0},
{ 592, 3214538619u, 3403659753u, 3218043030u, 1926480488u, 3214538437u, 1790486854u, 0, SIN_TOLERANCE, 0},
{ 593, 1076840383u, 1198845185u, 3225556149u, 1130089684u, 1068587528u, 1811589707u, 0, SIN_TOLERANCE, 0},
{ 594, 3222663042u, 2183928090u, 1048403956u, 963834821u, 1072099461u, 2434446950u, 0, SIN_TOLERANCE, 0},
{ 595, 1101672960u, 2120625396u, 1041006976u, 2137548527u, 3219902375u, 1240074469u, 0, SIN_TOLERANCE, 0},
{ 596, 1099230238u, 586700956u, 1059670521u, 303891699u, 3220110703u, 2829078942u, 0, SIN_TOLERANCE, 0},
{ 597, 3218994498u, 2509132460u, 1102827530u, 2205707903u, 3218923581u, 2733939463u, 0, SIN_TOLERANCE, 0},
{ 598, 3204860597u, 1229308263u, 3209170414u, 4206576047u, 3204860597u, 1227417723u, 0, SIN_TOLERANCE, 0},
{ 599, 3224076289u, 4078010749u, 3199236456u, 733478972u, 3220021681u, 3043659987u, 0, SIN_TOLERANCE, 0},
{ 600, 3197712584u, 4277541051u, 3199806921u, 397102023u, 3197712584u, 4277540884u, 0, SIN_TOLERANCE, 0},
{ 601, 3195975013u, 900999594u, 3234720188u, 2530214248u, 3195975013u, 900999575u, 0, SIN_TOLERANCE, 0},
{ 602, 1076543548u, 4000609478u, 1096577064u, 4148592328u, 1072113725u, 4220821840u, 0, SIN_TOLERANCE, 0},
{ 603, 1048668084u, 2154187873u, 3224392607u, 3957250362u, 1048668084u, 2154187859u, 0, SIN_TOLERANCE, 0},
{ 604, 3223413488u, 2867079200u, 1101870326u, 921212001u, 3219480669u, 133389711u, 0, SIN_TOLERANCE, 0},
{ 605, 3233221890u, 674547716u, 1063216239u, 3929755226u, 3219946283u, 1171404582u, 0, SIN_TOLERANCE, 0},
{ 606, 3240415851u, 3158182449u, 1043794244u, 3259056345u, 3218533956u, 783944099u, 0, SIN_TOLERANCE, 0},
{ 607, 3236776656u, 3002823940u, 1059511739u, 2832435794u, 1072633472u, 88715692u, 0, SIN_TOLERANCE, 0},
{ 608, 3217304822u, 2196511929u, 1049973941u, 3672092877u, 3217299354u, 982247005u, 0, SIN_TOLERANCE, 0},
{ 609, 1050438056u, 3655292191u, 1086438127u, 3567072906u, 1050438056u, 3655291952u, 0, SIN_TOLERANCE, 0},
{ 610, 3243186948u, 1617573614u, 3201863123u, 3090723732u, 3215736442u, 1512978851u, 0, SIN_TOLERANCE, 0},
{ 611, 3233201380u, 679893506u, 3211547753u, 824081024u, 3218967800u, 4050972393u, 0, SIN_TOLERANCE, 0},
{ 612, 1089530525u, 2285242807u, 1084999409u, 2221731406u, 3219969044u, 3383509535u, 0, SIN_TOLERANCE, 0},
{ 613, 3206733664u, 1935990727u, 1088822246u, 1058156518u, 3206733664u, 1917635426u, 0, SIN_TOLERANCE, 0},
{ 614, 1102839166u, 521023584u, 1059186903u, 4245163857u, 3217325547u, 1587065816u, 0, SIN_TOLERANCE, 0},
{ 615, 1103891140u, 2312887617u, 3191771354u, 1885370807u, 3213444364u, 1567572359u, 0, SIN_TOLERANCE, 0},
{ 616, 3252953815u, 1796441468u, 1100030327u, 2772711004u, 1071662076u, 3674672329u, 0, SIN_TOLERANCE, 0},
{ 617, 3204276820u, 2095685003u, 1077984448u, 2100773742u, 3204276820u, 2094602508u, 0, SIN_TOLERANCE, 0},
{ 618, 3192954620u, 2892538035u, 1042396334u, 4162200338u, 3192954620u, 2892538035u, 0, SIN_TOLERANCE, 0},
{ 619, 3242725751u, 2177698116u, 3227557177u, 150832500u, 3216437532u, 3818749185u, 0, SIN_TOLERANCE, 0},
{ 620, 3191562216u, 607966734u, 3236250630u, 4164600559u, 3191562216u, 607966734u, 0, SIN_TOLERANCE, 0},
{ 621, 3216389812u, 2830122967u, 1046096700u, 3713346883u, 3216387986u, 1984249858u, 0, SIN_TOLERANCE, 0},
{ 622, 3237197963u, 2314640506u, 3203696416u, 3276228872u, 3216456520u, 1563473680u, 0, SIN_TOLERANCE, 0},
{ 623, 3212912307u, 469331883u, 3249037349u, 2999233437u, 3212912293u, 4169087664u, 0, SIN_TOLERANCE, 0},
{ 624, 1097382011u, 560886625u, 1091899487u, 748795120u, 1071758952u, 1596727108u, 0, SIN_TOLERANCE, 0},
{ 625, 1049886858u, 2958421324u, 1092569414u, 3235243477u, 1049886858u, 2958421241u, 0, SIN_TOLERANCE, 0},
{ 626, 3193026497u, 3221475559u, 1043038304u, 915608434u, 3193026497u, 3221475559u, 0, SIN_TOLERANCE, 0},
{ 627, 1071197530u, 3007808652u, 3216682290u, 2531019474u, 1071155300u, 87724169u, 0, SIN_TOLERANCE, 0},
{ 628, 3242028999u, 1767658578u, 3237045269u, 2313128318u, 3220175220u, 1174141716u, 0, SIN_TOLERANCE, 0},
{ 629, 3210617892u, 1926845182u, 1066835624u, 1783256828u, 3210617891u, 1436289661u, 0, SIN_TOLERANCE, 0},
{ 630, 1040575629u, 90378038u, 1057168870u, 164358218u, 1040575629u, 90378038u, 0, SIN_TOLERANCE, 0},
{ 631, 1106859172u, 1610524680u, 1085283851u, 2903496007u, 1071615859u, 1847810491u, 0, SIN_TOLERANCE, 0},
{ 632, 1078635586u, 4274321404u, 3202913591u, 720121831u, 1068456740u, 1414423441u, 0, SIN_TOLERANCE, 0},
{ 633, 1051205256u, 2034778236u, 1071133763u, 1413236391u, 1051205256u, 2034777651u, 0, SIN_TOLERANCE, 0},
{ 634, 1051063028u, 1489112261u, 1076691395u, 348210906u, 1051063028u, 1489111820u, 0, SIN_TOLERANCE, 0},
{ 635, 3206743917u, 2797651324u, 3224410527u, 2374818327u, 3206743917u, 2778835738u, 0, SIN_TOLERANCE, 0},
{ 636, 1088287256u, 1823161666u, 3197810695u, 3119680047u, 1071953937u, 2742148483u, 0, SIN_TOLERANCE, 0},
{ 637, 1065927336u, 3420950657u, 1087084743u, 2136638961u, 1065927297u, 1140266162u, 0, SIN_TOLERANCE, 0},
{ 638, 1069902224u, 3554566429u, 1062907717u, 2736702589u, 1069895689u, 358674981u, 0, SIN_TOLERANCE, 0},
{ 639, 3244888667u, 2928437580u, 3187765027u, 1393427873u, 3215813938u, 1606543595u, 0, SIN_TOLERANCE, 0},
{ 640, 3209301561u, 189447067u, 1051643315u, 828663513u, 3209301560u, 3711574012u, 0, SIN_TOLERANCE, 0},
{ 641, 1052313869u, 2852350928u, 1045683757u, 673354280u, 1052313869u, 2852348313u, 0, SIN_TOLERANCE, 0},
{ 642, 1043946301u, 3589563265u, 3248741629u, 812657927u, 1043946301u, 3589563265u, 0, SIN_TOLERANCE, 0},
{ 643, 3190610826u, 1766416701u, 1100392103u, 2185373290u, 3190610826u, 1766416701u, 0, SIN_TOLERANCE, 0},
{ 644, 3220275389u, 3763582673u, 3191965790u, 388374829u, 3219942933u, 3406162011u, 0, SIN_TOLERANCE, 0},
{ 645, 1079635136u, 1187403069u, 1075300235u, 336640304u, 3214626985u, 2749575794u, 0, SIN_TOLERANCE, 0},
{ 646, 1103926251u, 1718795752u, 3243118752u, 683369237u, 1071824356u, 3919108797u, 0, SIN_TOLERANCE, 0},
{ 647, 3210792097u, 1863545307u, 1069449477u, 3418627399u, 3210792096u, 2844263943u, 0, SIN_TOLERANCE, 0},
{ 648, 1069601294u, 3295607249u, 1068878592u, 1633297809u, 1069598124u, 3479937974u, 0, SIN_TOLERANCE, 0},
{ 649, 1058947127u, 2585980994u, 3236670483u, 1286750688u, 1058947127u, 2567082753u, 0, SIN_TOLERANCE, 0},
{ 650, 1046157033u, 15816845u, 3233249283u, 2491924775u, 1046157033u, 15816844u, 0, SIN_TOLERANCE, 0},
{ 651, 1042413021u, 1051983351u, 1049180786u, 1474421917u, 1042413021u, 1051983351u, 0, SIN_TOLERANCE, 0},
{ 652, 3201249525u, 2003816032u, 1086050104u, 668090487u, 3201249525u, 2003795801u, 0, SIN_TOLERANCE, 0},
{ 653, 1052556037u, 3671484625u, 1067020039u, 430024694u, 1052556037u, 3671480672u, 0, SIN_TOLERANCE, 0},
{ 654, 1067397110u, 3991830201u, 3207808714u, 1021245839u, 1067396794u, 4124800169u, 0, SIN_TOLERANCE, 0},
{ 655, 1064194391u, 4255801807u, 3207681716u, 1926756877u, 1064194387u, 1955210840u, 0, SIN_TOLERANCE, 0},
{ 656, 1052140785u, 4167786896u, 1077097744u, 1775517981u, 1052140785u, 4167785024u, 0, SIN_TOLERANCE, 0},
{ 657, 1085601978u, 3187518564u, 1082437406u, 944672491u, 1070593685u, 930980615u, 0, SIN_TOLERANCE, 0},
{ 658, 1049366282u, 953085192u, 3227310828u, 3459155777u, 1049366282u, 953085134u, 0, SIN_TOLERANCE, 0},
{ 659, 1069502506u, 1908555460u, 1073640207u, 260441967u, 1069497393u, 480300537u, 0, SIN_TOLERANCE, 0},
{ 660, 1067219606u, 250762477u, 1072582645u, 2886742039u, 1067219365u, 2007310307u, 0, SIN_TOLERANCE, 0},
{ 661, 3250906006u, 786180031u, 3197734769u, 2788918312u, 3219264568u, 3771674599u, 0, SIN_TOLERANCE, 0},
{ 662, 3234511827u, 2055912467u, 3244244909u, 1394142937u, 3218137847u, 1567210213u, 0, SIN_TOLERANCE, 0},
{ 663, 1069612985u, 91984146u, 3222252812u, 4126276047u, 1069609713u, 861651410u, 0, SIN_TOLERANCE, 0},
{ 664, 1081340139u, 3942715706u, 3239316352u, 410676547u, 3220140746u, 429356827u, 0, SIN_TOLERANCE, 0},
{ 665, 3198557846u, 86296211u, 1085850694u, 649202596u, 3198557846u, 86295760u, 0, SIN_TOLERANCE, 0},
{ 666, 3245366392u, 3069064472u, 3237358008u, 23209276u, 1071324547u, 2757010564u, 0, SIN_TOLERANCE, 0},
{ 667, 1081235288u, 1867297860u, 1072956607u, 2513414118u, 3220095326u, 521246131u, 0, SIN_TOLERANCE, 0},
{ 668, 3250533347u, 3171788768u, 3235208783u, 162138697u, 1072639725u, 165429234u, 0, SIN_TOLERANCE, 0},
{ 669, 1081728455u, 1245110700u, 1081653954u, 2584994077u, 3219625989u, 633989636u, 0, SIN_TOLERANCE, 0},
{ 670, 3245510120u, 3347226587u, 1058962932u, 2291943376u, 3218529442u, 71696266u, 0, SIN_TOLERANCE, 0},
{ 671, 1058899062u, 966940828u, 1060726420u, 2798041096u, 1058899062u, 949384072u, 0, SIN_TOLERANCE, 0},
{ 672, 1072793759u, 2487340727u, 3223786370u, 4105954991u, 1072461134u, 2487756616u, 0, SIN_TOLERANCE, 0},
{ 673, 3248116497u, 1671039260u, 1086395032u, 3745833360u, 3218316220u, 868579447u, 0, SIN_TOLERANCE, 0},
{ 674, 1057078797u, 651714217u, 1047070645u, 2130549237u, 1057078797u, 650761015u, 0, SIN_TOLERANCE, 0},
{ 675, 3207115731u, 1423000172u, 3247822717u, 1551488170u, 3207115731u, 1381838934u, 0, SIN_TOLERANCE, 0},
{ 676, 3201597307u, 921077236u, 3213332351u, 1431049019u, 3201597307u, 921054269u, 0, SIN_TOLERANCE, 0},
{ 677, 1067510295u, 655715547u, 3190985373u, 1527556471u, 1067510093u, 2282908158u, 0, SIN_TOLERANCE, 0},
{ 678, 3227654979u, 4110878657u, 3251297180u, 879739345u, 3218425102u, 3708938007u, 0, SIN_TOLERANCE, 0},
{ 679, 1085804762u, 2623955764u, 1093699897u, 1216444475u, 3217573076u, 2367761568u, 0, SIN_TOLERANCE, 0},
{ 680, 1091905603u, 107442539u, 3239767031u, 1149813329u, 3219201617u, 765596820u, 0, SIN_TOLERANCE, 0},
{ 681, 3233445240u, 1761361082u, 3226030205u, 1121849716u, 3217621113u, 873360802u, 0, SIN_TOLERANCE, 0},
{ 682, 3240087115u, 2534144722u, 1044223733u, 3512285706u, 1072687886u, 3930762827u, 0, SIN_TOLERANCE, 0},
{ 683, 3211846077u, 4073670723u, 1050729852u, 3034818849u, 3211846074u, 3505394660u, 0, SIN_TOLERANCE, 0},
{ 684, 1101984574u, 1421423503u, 1060278048u, 1397153092u, 3219618337u, 3705914211u, 0, SIN_TOLERANCE, 0},
{ 685, 3217421829u, 1649206019u, 1104525577u, 1267104290u, 3217414778u, 3301659344u, 0, SIN_TOLERANCE, 0},
{ 686, 3189302097u, 3775270392u, 1040251850u, 68667319u, 3189302097u, 3775270392u, 0, SIN_TOLERANCE, 0},
{ 687, 3204330900u, 3099226694u, 3254103006u, 4020102648u, 3204330900u, 3098050414u, 0, SIN_TOLERANCE, 0},
{ 688, 3201591712u, 3718441177u, 3215643451u, 4032951536u, 3201591712u, 3718418496u, 0, SIN_TOLERANCE, 0},
{ 689, 1044131371u, 508048351u, 3210196713u, 1707937896u, 1044131371u, 508048351u, 0, SIN_TOLERANCE, 0},
{ 690, 3198611627u, 2784738160u, 1073435430u, 1109346010u, 3198611627u, 2784737657u, 0, SIN_TOLERANCE, 0},
{ 691, 3225725290u, 3331916473u, 3238794568u, 2707019594u, 1071495018u, 3178588094u, 0, SIN_TOLERANCE, 0},
{ 692, 1093182670u, 3093165197u, 1072894805u, 2853215019u, 3217500553u, 2290438925u, 0, SIN_TOLERANCE, 0},
{ 693, 3216582139u, 2135797997u, 1048399559u, 2941926126u, 3216579489u, 4159294474u, 0, SIN_TOLERANCE, 0},
{ 694, 1048430980u, 2083412145u, 3249335391u, 507212448u, 1048430980u, 2083412128u, 0, SIN_TOLERANCE, 0},
{ 695, 1075363751u, 4270176401u, 3246546709u, 3288753319u, 3216542507u, 215621546u, 0, SIN_TOLERANCE, 0},
{ 696, 3247932863u, 3692175292u, 3197271515u, 3989064196u, 3220143575u, 2114052675u, 0, SIN_TOLERANCE, 0},
{ 697, 3251691738u, 3111924274u, 1066772558u, 59281695u, 3218178701u, 29998399u, 0, SIN_TOLERANCE, 0},
{ 698, 1067683911u, 2135245466u, 3208804313u, 3846547392u, 1067683599u, 2295121613u, 0, SIN_TOLERANCE, 0},
{ 699, 1094877811u, 972051266u, 3222814246u, 3539700586u, 3219786441u, 533914340u, 0, SIN_TOLERANCE, 0},
{ 700, 3202965930u, 330951080u, 1079189813u, 583922384u, 3202965930u, 330776666u, 0, SIN_TOLERANCE, 0},
{ 701, 1089640092u, 1711944085u, 1104170032u, 643991456u, 3220087007u, 95099636u, 0, SIN_TOLERANCE, 0},
{ 702, 3234429549u, 2072550721u, 3250147641u, 4280263530u, 3219800876u, 983380726u, 0, SIN_TOLERANCE, 0},
{ 703, 3192972706u, 1566376352u, 1067251433u, 72984588u, 3192972706u, 1566376352u, 0, SIN_TOLERANCE, 0},
{ 704, 1095276569u, 3103043079u, 1045853123u, 410067497u, 1071502363u, 1641513533u, 0, SIN_TOLERANCE, 0},
{ 705, 3216672493u, 1910366299u, 1081770885u, 634683073u, 3216669383u, 4291074098u, 0, SIN_TOLERANCE, 0},
{ 706, 1081530688u, 2226525875u, 3224149290u, 2126302825u, 1072513290u, 2095198212u, 0, SIN_TOLERANCE, 0},
{ 707, 1073150247u, 1383818978u, 3193885723u, 1220372650u, 1072674175u, 3406438775u, 0, SIN_TOLERANCE, 0},
{ 708, 1066482943u, 1953339096u, 1077176252u, 1476516558u, 1066482890u, 413456908u, 0, SIN_TOLERANCE, 0},
{ 709, 1066092000u, 1306277326u, 1079089150u, 4093716191u, 1066091947u, 2046428131u, 0, SIN_TOLERANCE, 0},
{ 710, 3233148787u, 51750045u, 3242913901u, 4256866157u, 1072670444u, 2809926129u, 0, SIN_TOLERANCE, 0},
{ 711, 3195084967u, 2163853087u, 3232053146u, 2962422808u, 3195084967u, 2163853084u, 0, SIN_TOLERANCE, 0},
{ 712, 1075516945u, 1618388148u, 3233154824u, 3711953164u, 1071515415u, 4132615641u, 0, SIN_TOLERANCE, 0},
{ 713, 3246868002u, 357108214u, 3202294604u, 2306775262u, 1072207361u, 414524426u, 0, SIN_TOLERANCE, 0},
{ 714, 3201904086u, 2571356437u, 3249064063u, 2394851808u, 3201904086u, 2571313869u, 0, SIN_TOLERANCE, 0},
{ 715, 3230488091u, 4273880094u, 1103698617u, 3578832032u, 3219215904u, 3059520098u, 0, SIN_TOLERANCE, 0},
{ 716, 3233426701u, 2091068742u, 3228270226u, 3980489730u, 1067594500u, 166622290u, 0, SIN_TOLERANCE, 0},
{ 717, 3229016752u, 2772307714u, 1051008486u, 32546576u, 3220145742u, 42617798u, 0, SIN_TOLERANCE, 0},
{ 718, 3241229215u, 2143788498u, 3195498043u, 3630119231u, 1072561542u, 1965238809u, 0, SIN_TOLERANCE, 0},
{ 719, 3198632935u, 2527385594u, 3240503648u, 3482095012u, 3198632935u, 2527385069u, 0, SIN_TOLERANCE, 0},
{ 720, 3242168799u, 2690097362u, 1068598730u, 2360266862u, 3219788598u, 2965776922u, 0, SIN_TOLERANCE, 0},
{ 721, 1058857869u, 2673272949u, 1082639557u, 522449749u, 1058857869u, 2656814049u, 0, SIN_TOLERANCE, 0},
{ 722, 1104424147u, 3596379400u, 3242016775u, 2002293002u, 1072450473u, 2447589729u, 0, SIN_TOLERANCE, 0},
{ 723, 1099439656u, 4113224369u, 3222122439u, 2152316893u, 1071694670u, 2689772186u, 0, SIN_TOLERANCE, 0},
{ 724, 3220796716u, 31662602u, 1047721249u, 1747087514u, 3220176463u, 2050031094u, 0, SIN_TOLERANCE, 0},
{ 725, 3250463757u, 2489659568u, 1097051253u, 277506957u, 1072192681u, 1960692440u, 0, SIN_TOLERANCE, 0},
{ 726, 3191401834u, 3850162281u, 3213841942u, 438724093u, 3191401834u, 3850162281u, 0, SIN_TOLERANCE, 0},
{ 727, 1095392535u, 2431814052u, 1075518084u, 2672434118u, 1066470796u, 966739062u, 0, SIN_TOLERANCE, 0},
{ 728, 3243162735u, 391606792u, 1048184750u, 4168944276u, 1072497290u, 3546882296u, 0, SIN_TOLERANCE, 0},
{ 729, 3247792416u, 457529672u, 3201090276u, 72407935u, 3220118733u, 25015996u, 0, SIN_TOLERANCE, 0},
{ 730, 3218720719u, 3954981400u, 1052053242u, 2411049585u, 3218675396u, 3635036859u, 0, SIN_TOLERANCE, 0},
{ 731, 1086180091u, 485456950u, 1088415093u, 1655397424u, 3219592964u, 2876754847u, 0, SIN_TOLERANCE, 0},
{ 732, 3198234428u, 1551748070u, 3236871640u, 1329701152u, 3198234428u, 1551747859u, 0, SIN_TOLERANCE, 0},
{ 733, 3224639122u, 3099222537u, 1104984570u, 4293792842u, 3220062255u, 812536194u, 0, SIN_TOLERANCE, 0},
{ 734, 3203949705u, 3603065260u, 3197735968u, 2402359253u, 3203949705u, 3602446005u, 0, SIN_TOLERANCE, 0},
{ 735, 3198824584u, 3961208159u, 3219057584u, 2340553876u, 3198824584u, 3961207411u, 0, SIN_TOLERANCE, 0},
{ 736, 1074881909u, 4014841779u, 3197672877u, 3697233334u, 3220040008u, 2497124737u, 0, SIN_TOLERANCE, 0},
{ 737, 3213275657u, 1403876392u, 3254028950u, 921363393u, 3213275626u, 3797578388u, 0, SIN_TOLERANCE, 0},
{ 738, 1107251806u, 1862576361u, 3194031708u, 2476290925u, 1066826084u, 228279643u, 0, SIN_TOLERANCE, 0},
{ 739, 1049661768u, 1454212851u, 1088378861u, 3400401866u, 1049661768u, 1454212804u, 0, SIN_TOLERANCE, 0},
{ 740, 1074406809u, 552676385u, 3188635745u, 3778112968u, 3217043135u, 195821175u, 0, SIN_TOLERANCE, 0},
{ 741, 3216409282u, 1199568671u, 3225679997u, 46947405u, 3216407381u, 3639731911u, 0, SIN_TOLERANCE, 0},
{ 742, 1077685537u, 2596231448u, 3253943728u, 2219151748u, 1069092570u, 1466027195u, 0, SIN_TOLERANCE, 0},
{ 743, 1066527035u, 4119719558u, 3222036299u, 1275474618u, 1066526976u, 455592928u, 0, SIN_TOLERANCE, 0},
{ 744, 3239908663u, 3347296825u, 1101507910u, 1254014794u, 3219638163u, 2955619445u, 0, SIN_TOLERANCE, 0},
{ 745, 1084119992u, 673775040u, 1070743626u, 244126093u, 1072671174u, 3976384735u, 0, SIN_TOLERANCE, 0},
{ 746, 3203199850u, 1832066983u, 1051358028u, 3262483417u, 3203199850u, 1831808154u, 0, SIN_TOLERANCE, 0},
{ 747, 1077559600u, 3962610501u, 3198598777u, 849269178u, 1072485486u, 2297831715u, 0, SIN_TOLERANCE, 0},
{ 748, 3235473900u, 2497516122u, 3254374111u, 2821429629u, 1072590812u, 4038425279u, 0, SIN_TOLERANCE, 0},
{ 749, 1076236288u, 2805941787u, 3217785843u, 779131141u, 3220175561u, 802321461u, 0, SIN_TOLERANCE, 0},
{ 750, 3226908686u, 723423605u, 1084533420u, 627282213u, 3217897637u, 1983010531u, 0, SIN_TOLERANCE, 0},
{ 751, 3215947680u, 4292778869u, 1078101071u, 1676860147u, 3215946382u, 4157973483u, 0, SIN_TOLERANCE, 0},
{ 752, 1076288502u, 3528118587u, 3194648564u, 2363260897u, 3219982433u, 206443956u, 0, SIN_TOLERANCE, 0},
{ 753, 3192897879u, 1307010018u, 1061248120u, 1468743108u, 3192897879u, 1307010018u, 0, SIN_TOLERANCE, 0},
{ 754, 3246583139u, 107905661u, 3226089788u, 1943427674u, 3220138045u, 3201333477u, 0, SIN_TOLERANCE, 0},
{ 755, 3188230541u, 760006940u, 1054265604u, 1749976597u, 3188230541u, 760006940u, 0, SIN_TOLERANCE, 0},
{ 756, 3237773384u, 2787503556u, 1081282610u, 1195841206u, 1072407277u, 3529099003u, 0, SIN_TOLERANCE, 0},
{ 757, 3191802156u, 545462045u, 3208381743u, 1981311808u, 3191802156u, 545462045u, 0, SIN_TOLERANCE, 0},
{ 758, 1061232136u, 3657978397u, 1104463616u, 3501253426u, 1061232136u, 3438851257u, 0, SIN_TOLERANCE, 0},
{ 759, 1049883857u, 1804177501u, 3210693633u, 3606766729u, 1049883857u, 1804177418u, 0, SIN_TOLERANCE, 0},
{ 760, 1076856879u, 1336278526u, 1043741618u, 3165279431u, 3215831266u, 313798122u, 0, SIN_TOLERANCE, 0},
{ 761, 1055471915u, 1599382075u, 1058018527u, 4212580517u, 1055471915u, 1599210902u, 0, SIN_TOLERANCE, 0},
{ 762, 3207502326u, 3007589929u, 3202026547u, 2792028313u, 3207502326u, 2929338288u, 0, SIN_TOLERANCE, 0},
{ 763, 3253082770u, 1866066996u, 1060329048u, 3727175322u, 1072082805u, 370540720u, 0, SIN_TOLERANCE, 0},
{ 764, 3198416643u, 150890940u, 1056025306u, 3082724735u, 3198416643u, 150890608u, 0, SIN_TOLERANCE, 0},
{ 765, 1062008939u, 80400395u, 1093584426u, 3478941315u, 1062008938u, 3313057461u, 0, SIN_TOLERANCE, 0},
{ 766, 3251640614u, 4050954182u, 3219263194u, 2537475930u, 3216852172u, 4074570681u, 0, SIN_TOLERANCE, 0},
{ 767, 1064841871u, 2881752155u, 3212589299u, 2559651278u, 1064841862u, 1919635398u, 0, SIN_TOLERANCE, 0},
{ 768, 3249016304u, 440309030u, 3214267461u, 3788040806u, 3219057401u, 995701688u, 0, SIN_TOLERANCE, 0},
{ 769, 1100476615u, 918813144u, 3208535698u, 1607035904u, 3220032872u, 3228685377u, 0, SIN_TOLERANCE, 0},
{ 770, 1042137451u, 2497054124u, 1089139147u, 2549609010u, 1042137451u, 2497054124u, 0, SIN_TOLERANCE, 0},
{ 771, 1047037641u, 790219083u, 1054657139u, 2797979479u, 1047037641u, 790219081u, 0, SIN_TOLERANCE, 0},
{ 772, 1057781400u, 1149462078u, 1095765205u, 3879963182u, 1057781400u, 1145526553u, 0, SIN_TOLERANCE, 0},
{ 773, 3202729813u, 2684353926u, 3205212854u, 1732474928u, 3202729813u, 2684243741u, 0, SIN_TOLERANCE, 0},
{ 774, 1095236965u, 2742237025u, 1051317716u, 3386396147u, 1070877719u, 2705967942u, 0, SIN_TOLERANCE, 0},
{ 775, 1063230986u, 3408320912u, 1103071166u, 4233059513u, 1063230985u, 2179651933u, 0, SIN_TOLERANCE, 0},
{ 776, 1064863548u, 1077495917u, 1088399968u, 433115118u, 1064863538u, 2763460549u, 0, SIN_TOLERANCE, 0},
{ 777, 3204547572u, 841366493u, 1051716814u, 4121125128u, 3204547572u, 840449402u, 0, SIN_TOLERANCE, 0},
{ 778, 1064632084u, 321857207u, 1089128010u, 1149988239u, 1064632078u, 209377307u, 0, SIN_TOLERANCE, 0},
{ 779, 3245542663u, 799866606u, 3197637091u, 3924438208u, 3211532947u, 61380288u, 0, SIN_TOLERANCE, 0},
{ 780, 3191062890u, 2002049816u, 1077053447u, 2240354761u, 3191062890u, 2002049816u, 0, SIN_TOLERANCE, 0},
{ 781, 3229006283u, 478939968u, 1097035749u, 1066716440u, 1072118877u, 1278678307u, 0, SIN_TOLERANCE, 0},
{ 782, 3232473641u, 1653104725u, 1088548129u, 81977716u, 1070995575u, 2527929909u, 0, SIN_TOLERANCE, 0},
{ 783, 3196861276u, 3899475018u, 3189694084u, 3330093036u, 3196861276u, 3899474959u, 0, SIN_TOLERANCE, 0},
{ 784, 1089312583u, 2612450289u, 1079065127u, 603380842u, 1072258821u, 2147418766u, 0, SIN_TOLERANCE, 0},
{ 785, 1100636791u, 3962735564u, 1101570429u, 1372490825u, 1072153286u, 2509034605u, 0, SIN_TOLERANCE, 0},
{ 786, 1054806016u, 1479841439u, 1059312257u, 541504905u, 1054806016u, 1479761515u, 0, SIN_TOLERANCE, 0},
{ 787, 1078662178u, 2626148789u, 1057571099u, 4121656076u, 3219509598u, 3162938688u, 0, SIN_TOLERANCE, 0},
{ 788, 1081613389u, 1902560314u, 1043130231u, 3557671562u, 1071860231u, 4036566694u, 0, SIN_TOLERANCE, 0},
{ 789, 3193829772u, 41779312u, 1081626342u, 831171823u, 3193829772u, 41779311u, 0, SIN_TOLERANCE, 0},
{ 790, 1058131100u, 1393168821u, 1066457405u, 1381616968u, 1058131100u, 1389319230u, 0, SIN_TOLERANCE, 0},
{ 791, 1072338141u, 3756584649u, 3222267229u, 1423157432u, 1072144601u, 1216854602u, 0, SIN_TOLERANCE, 0},
{ 792, 3254435674u, 1894912556u, 1042426694u, 155024547u, 1070655378u, 1125014315u, 0, SIN_TOLERANCE, 0},
{ 793, 3195453512u, 35164295u, 3203391785u, 1037041084u, 3195453512u, 35164287u, 0, SIN_TOLERANCE, 0},
{ 794, 1084777479u, 3957875950u, 3232195211u, 1590756436u, 3219474557u, 145576704u, 0, SIN_TOLERANCE, 0},
{ 795, 1068844322u, 1447585080u, 1071279485u, 1107922438u, 1068842719u, 319192824u, 0, SIN_TOLERANCE, 0},
{ 796, 1046252518u, 981897615u, 1051856116u, 430357614u, 1046252518u, 981897614u, 0, SIN_TOLERANCE, 0},
{ 797, 3227524215u, 395145384u, 3219821938u, 50586510u, 1068861989u, 2803598491u, 0, SIN_TOLERANCE, 0},
{ 798, 1069775912u, 750827797u, 1082862669u, 230466783u, 1069770986u, 187872487u, 0, SIN_TOLERANCE, 0},
{ 799, 1086668819u, 1365083575u, 3204848310u, 1700831722u, 3219606702u, 664833781u, 0, SIN_TOLERANCE, 0},
{ 800, 3218090390u, 344241827u, 1071538935u, 2715566077u, 3218078590u, 1558660632u, 0, SIN_TOLERANCE, 0},
{ 801, 3247582856u, 4069301823u, 3193208760u, 2949125229u, 3219745876u, 2119491553u, 0, SIN_TOLERANCE, 0},
{ 802, 1103231387u, 3585711710u, 1065801594u, 2302229267u, 1072278020u, 3712833510u, 0, SIN_TOLERANCE, 0},
{ 803, 3194118956u, 709803845u, 1048741487u, 2296910194u, 3194118956u, 709803844u, 0, SIN_TOLERANCE, 0},
{ 804, 3193280779u, 744421179u, 1069302001u, 2659232829u, 3193280779u, 744421179u, 0, SIN_TOLERANCE, 0},
{ 805, 1092835968u, 1799949903u, 3192522886u, 4212149209u, 1072659620u, 690167108u, 0, SIN_TOLERANCE, 0},
{ 806, 3206108502u, 145234164u, 3250614064u, 912384201u, 3206108502u, 134135102u, 0, SIN_TOLERANCE, 0},
{ 807, 3240510664u, 2784620507u, 1102812948u, 3531481022u, 3219163481u, 1790069326u, 0, SIN_TOLERANCE, 0},
{ 808, 3251159663u, 383952592u, 3205659905u, 3633194728u, 3219784663u, 2266824838u, 0, SIN_TOLERANCE, 0},
{ 809, 3203476252u, 3792395543u, 1070072378u, 3864816376u, 3203476252u, 3792179630u, 0, SIN_TOLERANCE, 0},
{ 810, 3205316273u, 2115553675u, 1066288499u, 3538377867u, 3205316273u, 2111284942u, 0, SIN_TOLERANCE, 0},
{ 811, 3252075185u, 1230026762u, 1090719723u, 440819880u, 3219859189u, 4204717066u, 0, SIN_TOLERANCE, 0},
{ 812, 3194595076u, 2991290482u, 1096886719u, 1097971167u, 3194595076u, 2991290479u, 0, SIN_TOLERANCE, 0},
{ 813, 1090048600u, 1098035020u, 3230900504u, 1479059095u, 1072613721u, 801682150u, 0, SIN_TOLERANCE, 0},
{ 814, 3251056964u, 1719428427u, 3188631907u, 3707377409u, 3220096300u, 2928589051u, 0, SIN_TOLERANCE, 0},
{ 815, 1053236165u, 3748932896u, 1084908557u, 1325384361u, 1053236165u, 3748924669u, 0, SIN_TOLERANCE, 0},
{ 816, 1084704076u, 3979168763u, 1057455255u, 2454615952u, 1071259366u, 3324387602u, 0, SIN_TOLERANCE, 0},
{ 817, 1053106984u, 1449164578u, 1056960316u, 1654931641u, 1053106984u, 1449158282u, 0, SIN_TOLERANCE, 0},
{ 818, 1071439010u, 2120487381u, 3226298974u, 2364226633u, 1071375546u, 4139155718u, 0, SIN_TOLERANCE, 0},
{ 819, 1075071428u, 1074268944u, 1065730444u, 280016852u, 3220042721u, 1257491179u, 0, SIN_TOLERANCE, 0},
{ 820, 3200308256u, 3315127889u, 3236295594u, 2900924954u, 3200308256u, 3315124712u, 0, SIN_TOLERANCE, 0},
{ 821, 3196425891u, 2246037502u, 1049691002u, 1496066550u, 3196425891u, 2246037476u, 0, SIN_TOLERANCE, 0},
{ 822, 3193006859u, 4191285446u, 3217936236u, 2382392789u, 3193006859u, 4191285446u, 0, SIN_TOLERANCE, 0},
{ 823, 1092833308u, 640099844u, 1042152237u, 2064279383u, 3219074285u, 286563280u, 0, SIN_TOLERANCE, 0},
{ 824, 1079913438u, 3468560824u, 1093251038u, 310958750u, 1072619577u, 3792685792u, 0, SIN_TOLERANCE, 0},
{ 825, 1096788400u, 1413568905u, 1100941106u, 1627289946u, 3219437766u, 2995392509u, 0, SIN_TOLERANCE, 0},
{ 826, 3191549550u, 3797143370u, 3195497539u, 3843275034u, 3191549550u, 3797143370u, 0, SIN_TOLERANCE, 0},
{ 827, 3252077393u, 2806642640u, 3201943068u, 2515980718u, 3218059077u, 1307279186u, 0, SIN_TOLERANCE, 0},
{ 828, 1086877316u, 632580632u, 1078673506u, 3259601317u, 3219568792u, 1732990341u, 0, SIN_TOLERANCE, 0},
{ 829, 3200980575u, 3309678799u, 1049337078u, 3056787074u, 3200980575u, 3309665549u, 0, SIN_TOLERANCE, 0},
{ 830, 3221495289u, 2341164249u, 1080834967u, 2810890005u, 3219310107u, 247678568u, 0, SIN_TOLERANCE, 0},
{ 831, 1067019674u, 932124675u, 1093915797u, 662682630u, 1067019502u, 4105433546u, 0, SIN_TOLERANCE, 0},
{ 832, 3249230091u, 1367996113u, 3251723684u, 2974064663u, 3216906899u, 1904351782u, 0, SIN_TOLERANCE, 0},
{ 833, 1080230731u, 323437999u, 1090499064u, 901457511u, 1072620409u, 2752740672u, 0, SIN_TOLERANCE, 0},
{ 834, 3235778876u, 4184941840u, 3196770014u, 2458988443u, 3220123530u, 1783233073u, 0, SIN_TOLERANCE, 0},
{ 835, 1087618284u, 2023065054u, 3211994098u, 2734612965u, 3220107204u, 3311454131u, 0, SIN_TOLERANCE, 0},
{ 836, 1064074694u, 3679267365u, 3237728785u, 1699558211u, 1064074691u, 396556434u, 0, SIN_TOLERANCE, 0},
{ 837, 1088079010u, 1826799031u, 1078709629u, 3986905229u, 3217169719u, 1900478768u, 0, SIN_TOLERANCE, 0},
{ 838, 1052843785u, 351061688u, 3194386466u, 4105857588u, 1052843785u, 351058342u, 0, SIN_TOLERANCE, 0},
{ 839, 1054128006u, 1365244058u, 1064457319u, 1452191426u, 1054128006u, 1365220347u, 0, SIN_TOLERANCE, 0},
{ 840, 1064122385u, 2463030625u, 3215975031u, 3773488326u, 1064122381u, 2204556131u, 0, SIN_TOLERANCE, 0},
{ 841, 3251276671u, 752664055u, 1065110394u, 1835931663u, 1070742515u, 3481964645u, 0, SIN_TOLERANCE, 0},
{ 842, 1088045088u, 3496172149u, 1089617208u, 109068701u, 1072410999u, 2117102088u, 0, SIN_TOLERANCE, 0},
{ 843, 3198135087u, 1636966254u, 1086098766u, 2016598298u, 3198135087u, 1636965923u, 0, SIN_TOLERANCE, 0},
{ 844, 1050931318u, 3551516956u, 1097969102u, 1317953425u, 1050931318u, 3551516626u, 0, SIN_TOLERANCE, 0},
{ 845, 3229832217u, 2977627788u, 1045339018u, 516058480u, 3218591622u, 1181654978u, 0, SIN_TOLERANCE, 0},
{ 846, 3237408578u, 3901731263u, 3189566462u, 32272932u, 3218183231u, 3162146735u, 0, SIN_TOLERANCE, 0},
{ 847, 1077281796u, 1956025297u, 3246628529u, 3840733905u, 3214483846u, 190538678u, 0, SIN_TOLERANCE, 0},
{ 848, 1099818036u, 561057891u, 3198494340u, 4271027193u, 1071919107u, 1715483804u, 0, SIN_TOLERANCE, 0},
{ 849, 3250929921u, 692989850u, 3242630588u, 2492225971u, 1072330076u, 3935618552u, 0, SIN_TOLERANCE, 0},
{ 850, 3205479397u, 3439913962u, 1067477011u, 2973333638u, 3205479397u, 3434459874u, 0, SIN_TOLERANCE, 0},
{ 851, 3213993989u, 877613377u, 1044917899u, 809672798u, 3213993931u, 3731633135u, 0, SIN_TOLERANCE, 0},
{ 852, 3222171454u, 905426932u, 1046417457u, 1086320855u, 1071886405u, 1807554190u, 0, SIN_TOLERANCE, 0},
{ 853, 3246346629u, 2645567288u, 1051258339u, 557182478u, 1072600554u, 3493319746u, 0, SIN_TOLERANCE, 0},
{ 854, 3204057950u, 186287752u, 1061342054u, 4054003419u, 3204057950u, 185533994u, 0, SIN_TOLERANCE, 0},
{ 855, 1097266673u, 3506889716u, 3243866036u, 519056371u, 1071195689u, 2201933024u, 0, SIN_TOLERANCE, 0},
{ 856, 1042654053u, 2171898436u, 3246911982u, 1091500784u, 1042654053u, 2171898436u, 0, SIN_TOLERANCE, 0},
{ 857, 3243647673u, 368493885u, 3222871893u, 1419055230u, 3220170308u, 3389552159u, 0, SIN_TOLERANCE, 0},
{ 858, 1091950572u, 2010971245u, 3188804530u, 1518695799u, 3219634155u, 704817172u, 0, SIN_TOLERANCE, 0},
{ 859, 3205426509u, 1239207795u, 1040192984u, 2199481342u, 3205426509u, 1234159317u, 0, SIN_TOLERANCE, 0},
{ 860, 3210978637u, 4264613432u, 3203460972u, 3558930895u, 3210978636u, 3259134081u, 0, SIN_TOLERANCE, 0},
{ 861, 1050299283u, 3772748958u, 3227667376u, 309688336u, 1050299283u, 3772748769u, 0, SIN_TOLERANCE, 0},
{ 862, 3230743041u, 1077949160u, 1075769893u, 2405271377u, 3217631057u, 4284143378u, 0, SIN_TOLERANCE, 0},
{ 863, 1091835152u, 3751608506u, 3232278094u, 930375071u, 1070206721u, 167553464u, 0, SIN_TOLERANCE, 0},
{ 864, 3198617153u, 1518334131u, 3205247482u, 791756713u, 3198617153u, 1518333622u, 0, SIN_TOLERANCE, 0},
{ 865, 1047317453u, 2825203170u, 3245054001u, 1822981827u, 1047317453u, 2825203166u, 0, SIN_TOLERANCE, 0},
{ 866, 1100016363u, 514474738u, 1089072073u, 3300845441u, 1069818848u, 883839804u, 0, SIN_TOLERANCE, 0},
{ 867, 3216391250u, 247369460u, 3197320093u, 687450958u, 3216389418u, 1921207098u, 0, SIN_TOLERANCE, 0},
{ 868, 1104161422u, 2722237629u, 1058272368u, 90602316u, 1072335096u, 22009225u, 0, SIN_TOLERANCE, 0},
{ 869, 3208098435u, 1845900544u, 3231520830u, 3389751458u, 3208098435u, 1700546786u, 0, SIN_TOLERANCE, 0},
{ 870, 3247535245u, 737689911u, 3195377751u, 3462616966u, 1071595394u, 1733207567u, 0, SIN_TOLERANCE, 0},
{ 871, 3223538384u, 3620285831u, 1055501023u, 2708056059u, 1070340609u, 917475295u, 0, SIN_TOLERANCE, 0},
{ 872, 3219464996u, 4073430285u, 1056206159u, 172017902u, 3219366437u, 3489378266u, 0, SIN_TOLERANCE, 0},
{ 873, 3212869638u, 2799176222u, 1052706894u, 4083892667u, 3212869626u, 4094452023u, 0, SIN_TOLERANCE, 0},
{ 874, 3202279557u, 1562351330u, 1069705601u, 1247765260u, 3202279557u, 1562272590u, 0, SIN_TOLERANCE, 0},
{ 875, 3232717299u, 51853475u, 3189080201u, 2783553144u, 1072519452u, 3477669547u, 0, SIN_TOLERANCE, 0},
{ 876, 3219454353u, 3851781549u, 3241598113u, 514064046u, 3219358016u, 3762898794u, 0, SIN_TOLERANCE, 0},
{ 877, 1100045965u, 934745487u, 3248182437u, 2798581921u, 3217679015u, 4147249967u, 0, SIN_TOLERANCE, 0},
{ 878, 3213082493u, 2948648757u, 3232177250u, 4278702895u, 3213082473u, 2709607265u, 0, SIN_TOLERANCE, 0},
{ 879, 1072485724u, 4259101461u, 1061606772u, 84229920u, 1072240213u, 1656142705u, 0, SIN_TOLERANCE, 0},
{ 880, 3198075559u, 3891230598u, 1095924595u, 3049217547u, 3198075559u, 3891230295u, 0, SIN_TOLERANCE, 0},
{ 881, 1077353053u, 3806018919u, 3243191216u, 280177341u, 3219959879u, 13294155u, 0, SIN_TOLERANCE, 0},
{ 882, 1060624530u, 3900344258u, 1063647809u, 4206745890u, 1060624530u, 3752237512u, 0, SIN_TOLERANCE, 0},
{ 883, 3227707336u, 2126253040u, 3207248026u, 808507485u, 3218843364u, 965003397u, 0, SIN_TOLERANCE, 0},
{ 884, 1086090317u, 3465685634u, 3230391053u, 3754958214u, 1071085134u, 3025458875u, 0, SIN_TOLERANCE, 0},
{ 885, 1102861084u, 461094531u, 1101110393u, 1316091396u, 3219476555u, 130294181u, 0, SIN_TOLERANCE, 0},
{ 886, 1064980314u, 4197635149u, 1091873113u, 1240127141u, 1064980303u, 517467410u, 0, SIN_TOLERANCE, 0},
{ 887, 1074333893u, 118603800u, 1105304898u, 4291425557u, 1065956899u, 1987089718u, 0, SIN_TOLERANCE, 0},
{ 888, 3213429165u, 3744663425u, 3212482771u, 953662066u, 3213429124u, 4282849056u, 0, SIN_TOLERANCE, 0},
{ 889, 1085171305u, 3564196690u, 3228101916u, 904305212u, 1072570242u, 3569860264u, 0, SIN_TOLERANCE, 0},
{ 890, 1048333111u, 3566257266u, 3235138829u, 2734275140u, 1048333111u, 3566257251u, 0, SIN_TOLERANCE, 0},
{ 891, 3243948477u, 606044282u, 3241318094u, 2446416887u, 3218860673u, 3554048078u, 0, SIN_TOLERANCE, 0},
{ 892, 1041627284u, 2336116589u, 3197594053u, 2296925138u, 1041627284u, 2336116589u, 0, SIN_TOLERANCE, 0},
{ 893, 1058567659u, 907670625u, 3240769036u, 1827119006u, 1058567659u, 897679576u, 0, SIN_TOLERANCE, 0},
{ 894, 1044467183u, 2818710946u, 3246059905u, 553394170u, 1044467183u, 2818710946u, 0, SIN_TOLERANCE, 0},
{ 895, 3189504094u, 4099522736u, 3232742168u, 3718083858u, 3189504094u, 4099522736u, 0, SIN_TOLERANCE, 0},
{ 896, 1092371276u, 1059279404u, 1080245336u, 175941677u, 1072200212u, 1737419341u, 0, SIN_TOLERANCE, 0},
{ 897, 1105189691u, 1650862428u, 1061816101u, 1723201723u, 3218570766u, 2805783757u, 0, SIN_TOLERANCE, 0},
{ 898, 3239012814u, 2462163405u, 3218946201u, 3876535372u, 1071679035u, 447938331u, 0, SIN_TOLERANCE, 0},
{ 899, 1084392886u, 495844137u, 1073721460u, 772777946u, 1072411823u, 499804451u, 0, SIN_TOLERANCE, 0},
{ 900, 1052415330u, 458757721u, 3245680321u, 3609892707u, 1052415330u, 458754590u, 0, SIN_TOLERANCE, 0},
{ 901, 3193282956u, 2533012202u, 1079980803u, 3592268374u, 3193282956u, 2533012202u, 0, SIN_TOLERANCE, 0},
{ 902, 3203364780u, 4108274117u, 1063045844u, 571992389u, 3203364780u, 4107941752u, 0, SIN_TOLERANCE, 0},
{ 903, 1090567271u, 3541110973u, 1096296754u, 3118427427u, 1072597174u, 435564055u, 0, SIN_TOLERANCE, 0},
{ 904, 3193980043u, 1213941007u, 1105433735u, 2172963370u, 3193980043u, 1213941006u, 0, SIN_TOLERANCE, 0},
{ 905, 1096853359u, 272190288u, 1095452370u, 4026581530u, 1072068189u, 225919417u, 0, SIN_TOLERANCE, 0},
{ 906, 1095583909u, 2843638672u, 1100510986u, 3190536898u, 3220168753u, 3056278709u, 0, SIN_TOLERANCE, 0},
{ 907, 1083757094u, 2014317727u, 3247389683u, 2428462015u, 3219956586u, 2749317985u, 0, SIN_TOLERANCE, 0},
{ 908, 1093976717u, 688442200u, 1047852515u, 3035186380u, 1072571659u, 4146519538u, 0, SIN_TOLERANCE, 0},
{ 909, 1076664212u, 1010095511u, 3221288076u, 405287991u, 1072666832u, 2709716788u, 0, SIN_TOLERANCE, 0},
{ 910, 3252294615u, 2983070435u, 1089546472u, 2907918480u, 1072605952u, 1232286993u, 0, SIN_TOLERANCE, 0},
{ 911, 1082988121u, 81928569u, 1056007286u, 2740556321u, 1072215176u, 1059317954u, 0, SIN_TOLERANCE, 0},
{ 912, 1041110867u, 2076689028u, 1081558619u, 3039159031u, 1041110867u, 2076689028u, 0, SIN_TOLERANCE, 0},
{ 913, 1047307438u, 1376882094u, 3211003208u, 1296286481u, 1047307438u, 1376882090u, 0, SIN_TOLERANCE, 0},
{ 914, 1080114314u, 744133164u, 3200943494u, 955832216u, 3218422833u, 2642660829u, 0, SIN_TOLERANCE, 0},
{ 915, 3226290326u, 176522478u, 1069999908u, 2891249491u, 3219970288u, 3526549197u, 0, SIN_TOLERANCE, 0},
{ 916, 1043564602u, 3685851715u, 3187829932u, 2363997529u, 1043564602u, 3685851715u, 0, SIN_TOLERANCE, 0},
{ 917, 1040244055u, 3974431579u, 1052505165u, 2589067816u, 1040244055u, 3974431579u, 0, SIN_TOLERANCE, 0},
{ 918, 3191496789u, 3819109588u, 1048561488u, 969143351u, 3191496789u, 3819109588u, 0, SIN_TOLERANCE, 0},
{ 919, 1072639397u, 4246896124u, 1104584799u, 1940097860u, 1072331114u, 3149593052u, 0, SIN_TOLERANCE, 0},
{ 920, 1048038468u, 2228686199u, 3220231833u, 777624847u, 1048038468u, 2228686190u, 0, SIN_TOLERANCE, 0},
{ 921, 3231467306u, 4189906558u, 3203004203u, 854242364u, 3217932555u, 3373042203u, 0, SIN_TOLERANCE, 0},
{ 922, 1103910407u, 4089051094u, 3227282692u, 2693170723u, 1071833840u, 2957860682u, 0, SIN_TOLERANCE, 0},
{ 923, 1045883607u, 1278581412u, 3239296746u, 1774588717u, 1045883607u, 1278581412u, 0, SIN_TOLERANCE, 0},
{ 924, 3222372686u, 1794845306u, 1104879344u, 4135865182u, 1072575899u, 692380978u, 0, SIN_TOLERANCE, 0},
{ 925, 1106449055u, 754938390u, 1061291430u, 2010786993u, 1072509343u, 2661354649u, 0, SIN_TOLERANCE, 0},
{ 926, 1073581409u, 2034303731u, 3240176537u, 314147356u, 1072613751u, 1733668973u, 0, SIN_TOLERANCE, 0},
{ 927, 3231449194u, 567588900u, 3195452230u, 1421366017u, 3220144878u, 1302979618u, 0, SIN_TOLERANCE, 0},
{ 928, 3225089755u, 2708717091u, 1071975971u, 1364590470u, 3220106005u, 347473173u, 0, SIN_TOLERANCE, 0},
{ 929, 3252137283u, 3461956134u, 3207820115u, 1605709634u, 3219346471u, 1082368428u, 0, SIN_TOLERANCE, 0},
{ 930, 1065302996u, 1497124553u, 1051715442u, 916736957u, 1065302976u, 2196771713u, 0, SIN_TOLERANCE, 0},
{ 931, 1058468363u, 834914365u, 1064667143u, 2839166298u, 1058468363u, 826667283u, 0, SIN_TOLERANCE, 0},
{ 932, 1057279949u, 2139295776u, 1062816721u, 914592523u, 1057279949u, 2137757362u, 0, SIN_TOLERANCE, 0},
{ 933, 3189636931u, 851569132u, 1058503154u, 1399378677u, 3189636931u, 851569132u, 0, SIN_TOLERANCE, 0},
{ 934, 3233537697u, 3897202342u, 3245382590u, 246600375u, 1068716420u, 3379072270u, 0, SIN_TOLERANCE, 0},
{ 935, 3225460308u, 3620429520u, 1055627557u, 229305u, 3220111575u, 1489682636u, 0, SIN_TOLERANCE, 0},
{ 936, 1083958833u, 3641997865u, 3206673888u, 93720614u, 1072487430u, 2559630632u, 0, SIN_TOLERANCE, 0},
{ 937, 3227808435u, 32766320u, 1062084905u, 3668443038u, 3217825786u, 3141296516u, 0, SIN_TOLERANCE, 0},
{ 938, 3223298996u, 2039713492u, 3248699388u, 1346210821u, 3220173621u, 3576513478u, 0, SIN_TOLERANCE, 0},
{ 939, 1093050016u, 1335820726u, 3191756860u, 1808427032u, 3219908339u, 4273266576u, 0, SIN_TOLERANCE, 0},
{ 940, 1061442763u, 650692001u, 1103515670u, 2253348763u, 1061442763u, 283511768u, 0, SIN_TOLERANCE, 0},
{ 941, 3191395187u, 2372623300u, 3210185343u, 3200572848u, 3191395187u, 2372623300u, 0, SIN_TOLERANCE, 0},
{ 942, 1100796069u, 762317532u, 3194595095u, 3192607437u, 1072383342u, 3738669031u, 0, SIN_TOLERANCE, 0},
{ 943, 1062262701u, 217775356u, 3232827087u, 2969367386u, 1062262700u, 3677779917u, 0, SIN_TOLERANCE, 0},
{ 944, 1057172551u, 3621353969u, 1077994795u, 3873976266u, 1057172551u, 3620151104u, 0, SIN_TOLERANCE, 0},
{ 945, 1091301987u, 268372152u, 3221764390u, 3216978962u, 3215234871u, 2712477825u, 0, SIN_TOLERANCE, 0},
{ 946, 3246437611u, 142942404u, 1075322987u, 1746449109u, 3220174867u, 1806978771u, 0, SIN_TOLERANCE, 0},
{ 947, 1104006296u, 496534875u, 3254522293u, 2532372502u, 3219413463u, 3398089452u, 0, SIN_TOLERANCE, 0},
{ 948, 3250225541u, 2999955409u, 3222793392u, 1868977643u, 3217339456u, 3133783484u, 0, SIN_TOLERANCE, 0},
{ 949, 1074319042u, 3353193428u, 3218469191u, 3326244297u, 1067764907u, 3839181841u, 0, SIN_TOLERANCE, 0},
{ 950, 1068218799u, 73646871u, 3231442171u, 3711510104u, 1068217911u, 581741099u, 0, SIN_TOLERANCE, 0},
{ 951, 1090483524u, 218135177u, 3198908856u, 3082199105u, 1069914119u, 1727818807u, 0, SIN_TOLERANCE, 0},
{ 952, 1068068480u, 1061628117u, 3248859043u, 86776158u, 1068067794u, 4218705145u, 0, SIN_TOLERANCE, 0},
{ 953, 3208484674u, 938869114u, 1087911145u, 2416710759u, 3208484674u, 655859505u, 0, SIN_TOLERANCE, 0},
{ 954, 1095576832u, 2970853959u, 3239543429u, 1887505029u, 1071768245u, 3065994952u, 0, SIN_TOLERANCE, 0},
{ 955, 3237728787u, 1337895935u, 1076463812u, 1172733328u, 3220129698u, 1382726161u, 0, SIN_TOLERANCE, 0},
{ 956, 1049139928u, 1469010822u, 3229583535u, 551399515u, 1049139928u, 1469010783u, 0, SIN_TOLERANCE, 0},
{ 957, 1074118123u, 1849711538u, 1049053713u, 1744276190u, 1071272555u, 2206999416u, 0, SIN_TOLERANCE, 0},
{ 958, 3242138780u, 2976596113u, 3192137295u, 3033242648u, 3215990730u, 631966881u, 0, SIN_TOLERANCE, 0},
{ 959, 1098698481u, 876810930u, 3197470945u, 2571587447u, 3219824607u, 3141768906u, 0, SIN_TOLERANCE, 0},
{ 960, 3241770810u, 4007797282u, 3225853845u, 4069319648u, 3220129859u, 885379396u, 0, SIN_TOLERANCE, 0},
{ 961, 1047279982u, 3840538373u, 1043189552u, 3668774580u, 1047279982u, 3840538369u, 0, SIN_TOLERANCE, 0},
{ 962, 3217611704u, 200857661u, 3229758439u, 3359367736u, 3217601482u, 3545288024u, 0, SIN_TOLERANCE, 0},
{ 963, 3248797869u, 111868139u, 3227902082u, 2366064003u, 3220174936u, 1087612617u, 0, SIN_TOLERANCE, 0},
{ 964, 1044195166u, 3510904416u, 3222131653u, 3822770497u, 1044195166u, 3510904416u, 0, SIN_TOLERANCE, 0},
{ 965, 3242675715u, 789151814u, 1099269239u, 2958956055u, 3218832631u, 4285275856u, 0, SIN_TOLERANCE, 0},
{ 966, 1084679320u, 722163228u, 1105524559u, 1534462169u, 1072113216u, 2678860791u, 0, SIN_TOLERANCE, 0},
{ 967, 1046586062u, 2207037106u, 3208952465u, 1231254630u, 1046586062u, 2207037105u, 0, SIN_TOLERANCE, 0},
{ 968, 3197884060u, 3838689849u, 3198769679u, 1302617170u, 3197884060u, 3838689624u, 0, SIN_TOLERANCE, 0},
{ 969, 1085938906u, 2527556476u, 3240373426u, 124352692u, 3218875557u, 2578651385u, 0, SIN_TOLERANCE, 0},
{ 970, 3199540805u, 3502371499u, 1043411944u, 4190072016u, 3199540805u, 3502369929u, 0, SIN_TOLERANCE, 0},
{ 971, 1064676142u, 1798470077u, 3200116917u, 3421833729u, 1064676135u, 3414357561u, 0, SIN_TOLERANCE, 0},
{ 972, 3193514956u, 3653237931u, 3204255012u, 3683870669u, 3193514956u, 3653237930u, 0, SIN_TOLERANCE, 0},
{ 973, 1053588582u, 376530104u, 1073853547u, 565755892u, 1053588582u, 376514694u, 0, SIN_TOLERANCE, 0},
{ 974, 3242503851u, 558292492u, 1051772749u, 4267873474u, 3219291476u, 1962122958u, 0, SIN_TOLERANCE, 0},
{ 975, 3224772709u, 509637100u, 3212030069u, 215050379u, 1069631247u, 1773886841u, 0, SIN_TOLERANCE, 0},
{ 976, 1092057101u, 3571665665u, 3188628584u, 757824767u, 3217854652u, 1187254372u, 0, SIN_TOLERANCE, 0},
{ 977, 3214799337u, 998858159u, 1063077962u, 436029885u, 3214799057u, 2317319704u, 0, SIN_TOLERANCE, 0},
{ 978, 3205946965u, 996300405u, 3193842624u, 80548098u, 3205946965u, 988136066u, 0, SIN_TOLERANCE, 0},
{ 979, 3228848840u, 3876129407u, 3215332180u, 2226970413u, 1072692861u, 472379830u, 0, SIN_TOLERANCE, 0},
{ 980, 3237608953u, 200013509u, 3224552716u, 414878724u, 3220084938u, 2073324112u, 0, SIN_TOLERANCE, 0},
{ 981, 3230617093u, 309319541u, 1048979765u, 1261662434u, 3218724494u, 3260403043u, 0, SIN_TOLERANCE, 0},
{ 982, 1089252639u, 4062255924u, 3224274128u, 4289485681u, 1068544147u, 1040823283u, 0, SIN_TOLERANCE, 0},
{ 983, 3236136084u, 1611969213u, 1053890378u, 3774617276u, 1072347290u, 2008822234u, 0, SIN_TOLERANCE, 0},
{ 984, 1080412763u, 1752164782u, 3239587974u, 612223386u, 3220175631u, 284831033u, 0, SIN_TOLERANCE, 0},
{ 985, 1041545782u, 2024044989u, 1074932678u, 3259111307u, 1041545782u, 2024044989u, 0, SIN_TOLERANCE, 0},
{ 986, 1053207518u, 2564965629u, 1093571065u, 169360454u, 1053207518u, 2564957860u, 0, SIN_TOLERANCE, 0},
{ 987, 1089599090u, 1860101737u, 3191222372u, 1676437468u, 3219783008u, 3408493261u, 0, SIN_TOLERANCE, 0},
{ 988, 1059802968u, 588387057u, 3192103292u, 2495288012u, 1059802968u, 532767073u, 0, SIN_TOLERANCE, 0},
{ 989, 3193155705u, 659070058u, 1073095700u, 1393632068u, 3193155705u, 659070058u, 0, SIN_TOLERANCE, 0},
{ 990, 3217683263u, 4276187829u, 3217553330u, 1868253275u, 3217671637u, 3384799844u, 0, SIN_TOLERANCE, 0},
{ 991, 3223220272u, 2085481575u, 3215994784u, 800910002u, 3220114563u, 1165540335u, 0, SIN_TOLERANCE, 0},
{ 992, 1056934836u, 1950570756u, 3200582211u, 941022151u, 1056934836u, 1949231356u, 0, SIN_TOLERANCE, 0},
{ 993, 1057530368u, 2075610870u, 3250142022u, 3605152103u, 1057530368u, 2073059984u, 0, SIN_TOLERANCE, 0},
{ 994, 3200839250u, 3792931748u, 3204857863u, 804393211u, 3200839250u, 3792921417u, 0, SIN_TOLERANCE, 0},
{ 995, 3253646370u, 3430071177u, 3226288311u, 3652522729u, 3220166202u, 497140450u, 0, SIN_TOLERANCE, 0},
{ 996, 3201314702u, 236884699u, 3227874605u, 2193269825u, 3201314702u, 236873391u, 0, SIN_TOLERANCE, 0},
{ 997, 1064936593u, 2744231849u, 1046186036u, 771053722u, 1064936582u, 2840518528u, 0, SIN_TOLERANCE, 0},
{ 998, 1083996036u, 3000189819u, 1096500901u, 2057239777u, 3218010389u, 1041275114u, 0, SIN_TOLERANCE, 0},
{ 999, 1093835581u, 205759408u, 3244643377u, 2702292618u, 3220095357u, 2012768440u, 0, SIN_TOLERANCE, 0},


// AUTOMATICALLY GENERATED VECTORS STOP

};

#endif // CYGONCE_LIBM_SIN_H multiple inclusion protection

// EOF sin.h
